using System;using Tools;
namespace OpenSim.Region.ScriptEngine.Shared.CodeTools {
//%+LSLProgramRoot+95
public class LSLProgramRoot : SYMBOL{
 public  LSLProgramRoot (Parser yyp, States  s ):base(((LSLSyntax
)yyp)){ while (0< s . kids . Count ) kids . Add ( s . kids . Pop ());
}
 public  LSLProgramRoot (Parser yyp, GlobalDefinitions  gd , States  s ):base(((LSLSyntax
)yyp)){ while (0< gd . kids . Count ) kids . Add ( gd . kids . Pop ());
 while (0< s . kids . Count ) kids . Add ( s . kids . Pop ());
}

public override string yyname { get { return "LSLProgramRoot"; }}
public override int yynum { get { return 95; }}
public LSLProgramRoot(Parser yyp):base(yyp){}}
//%+GlobalDefinitions+96
public class GlobalDefinitions : SYMBOL{
 public  GlobalDefinitions (Parser yyp, GlobalVariableDeclaration  gvd ):base(((LSLSyntax
)yyp)){ kids . Add ( gvd );
}
 public  GlobalDefinitions (Parser yyp, GlobalDefinitions  gd , GlobalVariableDeclaration  gvd ):base(((LSLSyntax
)yyp)){ while (0< gd . kids . Count ) kids . Add ( gd . kids . Pop ());
 kids . Add ( gvd );
}
 public  GlobalDefinitions (Parser yyp, GlobalFunctionDefinition  gfd ):base(((LSLSyntax
)yyp)){ kids . Add ( gfd );
}
 public  GlobalDefinitions (Parser yyp, GlobalDefinitions  gd , GlobalFunctionDefinition  gfd ):base(((LSLSyntax
)yyp)){ while (0< gd . kids . Count ) kids . Add ( gd . kids . Pop ());
 kids . Add ( gfd );
}

public override string yyname { get { return "GlobalDefinitions"; }}
public override int yynum { get { return 96; }}
public GlobalDefinitions(Parser yyp):base(yyp){}}
//%+GlobalVariableDeclaration+97
public class GlobalVariableDeclaration : SYMBOL{
 public  GlobalVariableDeclaration (Parser yyp, Declaration  d ):base(((LSLSyntax
)yyp)){ kids . Add ( d );
}
 public  GlobalVariableDeclaration (Parser yyp, Assignment  a ):base(((LSLSyntax
)yyp)){ kids . Add ( a );
}

public override string yyname { get { return "GlobalVariableDeclaration"; }}
public override int yynum { get { return 97; }}
public GlobalVariableDeclaration(Parser yyp):base(yyp){}}
//%+GlobalFunctionDefinition+98
public class GlobalFunctionDefinition : SYMBOL{
 private  string  m_returnType ;
 private  string  m_name ;
 public  GlobalFunctionDefinition (Parser yyp, string  returnType , string  name , ArgumentDeclarationList  adl , CompoundStatement  cs ):base(((LSLSyntax
)yyp)){ m_returnType = returnType ;
 m_name = name ;
 kids . Add ( adl );
 kids . Add ( cs );
}
 public  string  ReturnType { get { return  m_returnType ;
}
 set { m_returnType = value ;
}
}
 public  string  Name { get { return  m_name ;
}
}

public override string yyname { get { return "GlobalFunctionDefinition"; }}
public override int yynum { get { return 98; }}
public GlobalFunctionDefinition(Parser yyp):base(yyp){}}
//%+States+99
public class States : SYMBOL{
 public  States (Parser yyp, State  ds ):base(((LSLSyntax
)yyp)){ kids . Add ( ds );
}
 public  States (Parser yyp, States  s , State  us ):base(((LSLSyntax
)yyp)){ while (0< s . kids . Count ) kids . Add ( s . kids . Pop ());
 kids . Add ( us );
}

public override string yyname { get { return "States"; }}
public override int yynum { get { return 99; }}
public States(Parser yyp):base(yyp){}}
//%+State+100
public class State : SYMBOL{
 private  string  m_name ;
 public  State (Parser yyp, string  name , StateBody  sb ):base(((LSLSyntax
)yyp)){ m_name = name ;
 while (0< sb . kids . Count ) kids . Add ( sb . kids . Pop ());
}
 public  override  string  ToString (){ return "STATE<"+ m_name +">";
}
 public  string  Name { get { return  m_name ;
}
}

public override string yyname { get { return "State"; }}
public override int yynum { get { return 100; }}
public State(Parser yyp):base(yyp){}}
//%+StateBody+101
public class StateBody : SYMBOL{
 public  StateBody (Parser yyp, StateBody  sb , StateEvent  se ):base(((LSLSyntax
)yyp)){ while (0< sb . kids . Count ) kids . Add ( sb . kids . Pop ());
 kids . Add ( se );
}
 public  StateBody (Parser yyp, StateEvent  se ):base(((LSLSyntax
)yyp)){ kids . Add ( se );
}

public override string yyname { get { return "StateBody"; }}
public override int yynum { get { return 101; }}
public StateBody(Parser yyp):base(yyp){}}
//%+StateEvent+102
public class StateEvent : SYMBOL{
 private  string  m_name ;
 public  StateEvent (Parser yyp, string  name , CompoundStatement  cs ):base(((LSLSyntax
)yyp)){ m_name = name ;
 kids . Add ( cs );
}
 public  StateEvent (Parser yyp, string  name , ArgumentDeclarationList  dal , CompoundStatement  cs ):base(((LSLSyntax
)yyp)){ m_name = name ;
 if (0< dal . kids . Count ) kids . Add ( dal );
 kids . Add ( cs );
}
 public  override  string  ToString (){ return "EVENT<"+ m_name +">";
}
 public  string  Name { get { return  m_name ;
}
}

public override string yyname { get { return "StateEvent"; }}
public override int yynum { get { return 102; }}
public StateEvent(Parser yyp):base(yyp){}}
//%+ArgumentDeclarationList+103
public class ArgumentDeclarationList : SYMBOL{
 public  ArgumentDeclarationList (Parser yyp, Declaration  d ):base(((LSLSyntax
)yyp)){ kids . Add ( d );
}
 public  ArgumentDeclarationList (Parser yyp, ArgumentDeclarationList  adl , Declaration  d ):base(((LSLSyntax
)yyp)){ while (0< adl . kids . Count ) kids . Add ( adl . kids . Pop ());
 kids . Add ( d );
}

public override string yyname { get { return "ArgumentDeclarationList"; }}
public override int yynum { get { return 103; }}
public ArgumentDeclarationList(Parser yyp):base(yyp){}}
//%+Declaration+104
public class Declaration : SYMBOL{
 private  string  m_datatype ;
 private  string  m_id ;
 public  Declaration (Parser yyp, string  type , string  id ):base(((LSLSyntax
)yyp)){ m_datatype = type ;
 m_id = id ;
}
 public  override  string  ToString (){ return "Declaration<"+ m_datatype +":"+ m_id +">";
}
 public  string  Datatype { get { return  m_datatype ;
}
 set { m_datatype = value ;
}
}
 public  string  Id { get { return  m_id ;
}
}

public override string yyname { get { return "Declaration"; }}
public override int yynum { get { return 104; }}
public Declaration(Parser yyp):base(yyp){}}
//%+Typename+105
public class Typename : SYMBOL{
 public  string  yytext ;
 public  Typename (Parser yyp, string  text ):base(((LSLSyntax
)yyp)){ yytext = text ;
}

public override string yyname { get { return "Typename"; }}
public override int yynum { get { return 105; }}
public Typename(Parser yyp):base(yyp){}}
//%+Event+106
public class Event : SYMBOL{
 public  string  yytext ;
 public  Event (Parser yyp, string  text ):base(((LSLSyntax
)yyp)){ yytext = text ;
}

public override string yyname { get { return "Event"; }}
public override int yynum { get { return 106; }}
public Event(Parser yyp):base(yyp){}}
//%+CompoundStatement+107
public class CompoundStatement : SYMBOL{
 public  CompoundStatement (Parser yyp):base(((LSLSyntax
)yyp)){}
 public  CompoundStatement (Parser yyp, StatementList  sl ):base(((LSLSyntax
)yyp)){ while (0< sl . kids . Count ) kids . Add ( sl . kids . Pop ());
}

public override string yyname { get { return "CompoundStatement"; }}
public override int yynum { get { return 107; }}
}
//%+StatementList+108
public class StatementList : SYMBOL{
 private  void  AddStatement ( Statement  s ){ if ( s . kids . Top  is  IfStatement || s . kids . Top  is  WhileStatement || s . kids . Top  is  DoWhileStatement || s . kids . Top  is  ForLoop ) kids . Add ( s . kids . Pop ());
 else  kids . Add ( s );
}
 public  StatementList (Parser yyp, Statement  s ):base(((LSLSyntax
)yyp)){ AddStatement ( s );
}
 public  StatementList (Parser yyp, StatementList  sl , Statement  s ):base(((LSLSyntax
)yyp)){ while (0< sl . kids . Count ) kids . Add ( sl . kids . Pop ());
 AddStatement ( s );
}

public override string yyname { get { return "StatementList"; }}
public override int yynum { get { return 108; }}
public StatementList(Parser yyp):base(yyp){}}
//%+Statement+109
public class Statement : SYMBOL{
 public  Statement (Parser yyp, Declaration  d ):base(((LSLSyntax
)yyp)){ kids . Add ( d );
}
 public  Statement (Parser yyp, CompoundStatement  cs ):base(((LSLSyntax
)yyp)){ kids . Add ( cs );
}
 public  Statement (Parser yyp, FunctionCall  fc ):base(((LSLSyntax
)yyp)){ kids . Add ( fc );
}
 public  Statement (Parser yyp, Assignment  a ):base(((LSLSyntax
)yyp)){ kids . Add ( a );
}
 public  Statement (Parser yyp, Expression  e ):base(((LSLSyntax
)yyp)){ kids . Add ( e );
}
 public  Statement (Parser yyp, ReturnStatement  rs ):base(((LSLSyntax
)yyp)){ kids . Add ( rs );
}
 public  Statement (Parser yyp, StateChange  sc ):base(((LSLSyntax
)yyp)){ kids . Add ( sc );
}
 public  Statement (Parser yyp, IfStatement  ifs ):base(((LSLSyntax
)yyp)){ kids . Add ( ifs );
}
 public  Statement (Parser yyp, WhileStatement  ifs ):base(((LSLSyntax
)yyp)){ kids . Add ( ifs );
}
 public  Statement (Parser yyp, DoWhileStatement  ifs ):base(((LSLSyntax
)yyp)){ kids . Add ( ifs );
}
 public  Statement (Parser yyp, ForLoop  fl ):base(((LSLSyntax
)yyp)){ kids . Add ( fl );
}
 public  Statement (Parser yyp, JumpLabel  jl ):base(((LSLSyntax
)yyp)){ kids . Add ( jl );
}
 public  Statement (Parser yyp, JumpStatement  js ):base(((LSLSyntax
)yyp)){ kids . Add ( js );
}
 public  Statement (Parser yyp, EmptyStatement  es ):base(((LSLSyntax
)yyp)){ kids . Add ( es );
}

public override string yyname { get { return "Statement"; }}
public override int yynum { get { return 109; }}
public Statement(Parser yyp):base(yyp){}}
//%+EmptyStatement+110
public class EmptyStatement : SYMBOL{
 public  EmptyStatement (Parser yyp):base(((LSLSyntax
)yyp)){}
 public  override  string  ToString (){ return  base . ToString ();
}

public override string yyname { get { return "EmptyStatement"; }}
public override int yynum { get { return 110; }}
}
//%+Assignment+111
public class Assignment : SYMBOL{
 protected  string  m_assignmentType ;
 public  Assignment (Parser yyp, SYMBOL  lhs , SYMBOL  rhs , string  assignmentType ):base(((LSLSyntax
)yyp)){ m_assignmentType = assignmentType ;
 kids . Add ( lhs );
 if ( rhs  is  ConstantExpression ) while (0< rhs . kids . Count ) kids . Add ( rhs . kids . Pop ());
 else  kids . Add ( rhs );
}
 public  Assignment (Parser yyp, SimpleAssignment  sa ):base(((LSLSyntax
)yyp)){ m_assignmentType = sa . AssignmentType ;
 while (0< sa . kids . Count ) kids . Add ( sa . kids . Pop ());
}
 public  string  AssignmentType { get { return  m_assignmentType ;
}
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_assignmentType +">";
}

public override string yyname { get { return "Assignment"; }}
public override int yynum { get { return 111; }}
public Assignment(Parser yyp):base(yyp){}}
//%+SimpleAssignment+112
public class SimpleAssignment : Assignment{
 public  SimpleAssignment (Parser yyp, SYMBOL  lhs , SYMBOL  rhs , string  assignmentType ):base(((LSLSyntax
)yyp)){ m_assignmentType = assignmentType ;
 kids . Add ( lhs );
 if ( rhs  is  ConstantExpression ) while (0< rhs . kids . Count ) kids . Add ( rhs . kids . Pop ());
 else  kids . Add ( rhs );
}

public override string yyname { get { return "SimpleAssignment"; }}
public override int yynum { get { return 112; }}
public SimpleAssignment(Parser yyp):base(yyp){}}
//%+ReturnStatement+113
public class ReturnStatement : SYMBOL{
 public  ReturnStatement (Parser yyp):base(((LSLSyntax
)yyp)){}
 public  ReturnStatement (Parser yyp, Expression  e ):base(((LSLSyntax
)yyp)){ if ( e  is  ConstantExpression ) while (0< e . kids . Count ) kids . Add ( e . kids . Pop ());
 else  kids . Add ( e );
}

public override string yyname { get { return "ReturnStatement"; }}
public override int yynum { get { return 113; }}
}
//%+JumpLabel+114
public class JumpLabel : SYMBOL{
 private  string  m_labelName ;
 public  JumpLabel (Parser yyp, string  labelName ):base(((LSLSyntax
)yyp)){ m_labelName = labelName ;
}
 public  string  LabelName { get { return  m_labelName ;
}
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_labelName +">";
}

public override string yyname { get { return "JumpLabel"; }}
public override int yynum { get { return 114; }}
public JumpLabel(Parser yyp):base(yyp){}}
//%+JumpStatement+115
public class JumpStatement : SYMBOL{
 private  string  m_targetName ;
 public  JumpStatement (Parser yyp, string  targetName ):base(((LSLSyntax
)yyp)){ m_targetName = targetName ;
}
 public  string  TargetName { get { return  m_targetName ;
}
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_targetName +">";
}

public override string yyname { get { return "JumpStatement"; }}
public override int yynum { get { return 115; }}
public JumpStatement(Parser yyp):base(yyp){}}
//%+StateChange+116
public class StateChange : SYMBOL{
 private  string  m_newState ;
 public  StateChange (Parser yyp, string  newState ):base(((LSLSyntax
)yyp)){ m_newState = newState ;
}
 public  string  NewState { get { return  m_newState ;
}
}

public override string yyname { get { return "StateChange"; }}
public override int yynum { get { return 116; }}
public StateChange(Parser yyp):base(yyp){}}
//%+IfStatement+117
public class IfStatement : SYMBOL{
 private  void  AddStatement ( Statement  s ){ if (0< s . kids . Count && s . kids . Top  is  CompoundStatement ) kids . Add ( s . kids . Pop ());
 else  kids . Add ( s );
}
 public  IfStatement (Parser yyp, SYMBOL  s , Statement  ifs ):base(((LSLSyntax
)yyp)){ kids . Add ( s );
 AddStatement ( ifs );
}
 public  IfStatement (Parser yyp, SYMBOL  s , Statement  ifs , Statement  es ):base(((LSLSyntax
)yyp)){ kids . Add ( s );
 AddStatement ( ifs );
 if (0< es . kids . Count && es . kids . Top  is  IfStatement ) kids . Add ( es . kids . Pop ());
 else  AddStatement ( es );
}

public override string yyname { get { return "IfStatement"; }}
public override int yynum { get { return 117; }}
public IfStatement(Parser yyp):base(yyp){}}
//%+WhileStatement+118
public class WhileStatement : SYMBOL{
 public  WhileStatement (Parser yyp, SYMBOL  s , Statement  st ):base(((LSLSyntax
)yyp)){ kids . Add ( s );
 if (0< st . kids . Count && st . kids . Top  is  CompoundStatement ) kids . Add ( st . kids . Pop ());
 else  kids . Add ( st );
}

public override string yyname { get { return "WhileStatement"; }}
public override int yynum { get { return 118; }}
public WhileStatement(Parser yyp):base(yyp){}}
//%+DoWhileStatement+119
public class DoWhileStatement : SYMBOL{
 public  DoWhileStatement (Parser yyp, SYMBOL  s , Statement  st ):base(((LSLSyntax
)yyp)){ if (0< st . kids . Count && st . kids . Top  is  CompoundStatement ) kids . Add ( st . kids . Pop ());
 else  kids . Add ( st );
 kids . Add ( s );
}

public override string yyname { get { return "DoWhileStatement"; }}
public override int yynum { get { return 119; }}
public DoWhileStatement(Parser yyp):base(yyp){}}
//%+ForLoop+120
public class ForLoop : SYMBOL{
 public  ForLoop (Parser yyp, ForLoopStatement  flsa , Expression  e , ForLoopStatement  flsb , Statement  s ):base(((LSLSyntax
)yyp)){ kids . Add ( flsa );
 kids . Add ( e );
 kids . Add ( flsb );
 if (0< s . kids . Count && s . kids . Top  is  CompoundStatement ) kids . Add ( s . kids . Pop ());
 else  kids . Add ( s );
}

public override string yyname { get { return "ForLoop"; }}
public override int yynum { get { return 120; }}
public ForLoop(Parser yyp):base(yyp){}}
//%+ForLoopStatement+121
public class ForLoopStatement : SYMBOL{
 public  ForLoopStatement (Parser yyp, Expression  e ):base(((LSLSyntax
)yyp)){ kids . Add ( e );
}
 public  ForLoopStatement (Parser yyp, SimpleAssignment  sa ):base(((LSLSyntax
)yyp)){ kids . Add ( sa );
}
 public  ForLoopStatement (Parser yyp, ForLoopStatement  fls , Expression  e ):base(((LSLSyntax
)yyp)){ while (0< fls . kids . Count ) kids . Add ( fls . kids . Pop ());
 kids . Add ( e );
}
 public  ForLoopStatement (Parser yyp, ForLoopStatement  fls , SimpleAssignment  sa ):base(((LSLSyntax
)yyp)){ while (0< fls . kids . Count ) kids . Add ( fls . kids . Pop ());
 kids . Add ( sa );
}

public override string yyname { get { return "ForLoopStatement"; }}
public override int yynum { get { return 121; }}
public ForLoopStatement(Parser yyp):base(yyp){}}
//%+FunctionCall+122
public class FunctionCall : SYMBOL{
 private  string  m_id ;
 public  FunctionCall (Parser yyp, string  id , ArgumentList  al ):base(((LSLSyntax
)yyp)){ m_id = id ;
 kids . Add ( al );
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_id +">";
}
 public  string  Id { get { return  m_id ;
}
}

public override string yyname { get { return "FunctionCall"; }}
public override int yynum { get { return 122; }}
public FunctionCall(Parser yyp):base(yyp){}}
//%+ArgumentList+123
public class ArgumentList : SYMBOL{
 public  ArgumentList (Parser yyp, Argument  a ):base(((LSLSyntax
)yyp)){ AddArgument ( a );
}
 public  ArgumentList (Parser yyp, ArgumentList  al , Argument  a ):base(((LSLSyntax
)yyp)){ while (0< al . kids . Count ) kids . Add ( al . kids . Pop ());
 AddArgument ( a );
}
 private  void  AddArgument ( Argument  a ){ if ( a  is  ExpressionArgument ) while (0< a . kids . Count ) kids . Add ( a . kids . Pop ());
 else  kids . Add ( a );
}

public override string yyname { get { return "ArgumentList"; }}
public override int yynum { get { return 123; }}
public ArgumentList(Parser yyp):base(yyp){}}
//%+Argument+124
public class Argument : SYMBOL{
public override string yyname { get { return "Argument"; }}
public override int yynum { get { return 124; }}
public Argument(Parser yyp):base(yyp){}}
//%+ExpressionArgument+125
public class ExpressionArgument : Argument{
 public  ExpressionArgument (Parser yyp, Expression  e ):base(((LSLSyntax
)yyp)){ if ( e  is  ConstantExpression ) while (0< e . kids . Count ) kids . Add ( e . kids . Pop ());
 else  kids . Add ( e );
}

public override string yyname { get { return "ExpressionArgument"; }}
public override int yynum { get { return 125; }}
public ExpressionArgument(Parser yyp):base(yyp){}}
//%+Constant+126
public class Constant : SYMBOL{
 private  string  m_type ;
 private  string  m_val ;
 public  Constant (Parser yyp, string  type , string  val ):base(((LSLSyntax
)yyp)){ m_type = type ;
 m_val = val ;
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_type +":"+ m_val +">";
}
 public  string  Value { get { return  m_val ;
}
 set { m_val = value ;
}
}
 public  string  Type { get { return  m_type ;
}
 set { m_type = value ;
}
}

public override string yyname { get { return "Constant"; }}
public override int yynum { get { return 126; }}
public Constant(Parser yyp):base(yyp){}}
//%+VectorConstant+127
public class VectorConstant : Constant{
 public  VectorConstant (Parser yyp, Expression  valX , Expression  valY , Expression  valZ ):base(((LSLSyntax
)yyp),"vector", null ){ kids . Add ( valX );
 kids . Add ( valY );
 kids . Add ( valZ );
}

public override string yyname { get { return "VectorConstant"; }}
public override int yynum { get { return 127; }}
public VectorConstant(Parser yyp):base(yyp){}}
//%+RotationConstant+128
public class RotationConstant : Constant{
 public  RotationConstant (Parser yyp, Expression  valX , Expression  valY , Expression  valZ , Expression  valS ):base(((LSLSyntax
)yyp),"rotation", null ){ kids . Add ( valX );
 kids . Add ( valY );
 kids . Add ( valZ );
 kids . Add ( valS );
}

public override string yyname { get { return "RotationConstant"; }}
public override int yynum { get { return 128; }}
public RotationConstant(Parser yyp):base(yyp){}}
//%+ListConstant+129
public class ListConstant : Constant{
 public  ListConstant (Parser yyp, ArgumentList  al ):base(((LSLSyntax
)yyp),"list", null ){ kids . Add ( al );
}

public override string yyname { get { return "ListConstant"; }}
public override int yynum { get { return 129; }}
public ListConstant(Parser yyp):base(yyp){}}
//%+Expression+130
public class Expression : SYMBOL{
 protected  void  AddExpression ( Expression  e ){ if ( e  is  ConstantExpression ) while (0< e . kids . Count ) kids . Add ( e . kids . Pop ());
 else  kids . Add ( e );
}

public override string yyname { get { return "Expression"; }}
public override int yynum { get { return 130; }}
public Expression(Parser yyp):base(yyp){}}
//%+ConstantExpression+131
public class ConstantExpression : Expression{
 public  ConstantExpression (Parser yyp, Constant  c ):base(((LSLSyntax
)yyp)){ kids . Add ( c );
}

public override string yyname { get { return "ConstantExpression"; }}
public override int yynum { get { return 131; }}
public ConstantExpression(Parser yyp):base(yyp){}}
//%+IdentExpression+132
public class IdentExpression : Expression{
 protected  string  m_name ;
 public  IdentExpression (Parser yyp, string  name ):base(((LSLSyntax
)yyp)){ m_name = name ;
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_name +">";
}
 public  string  Name { get { return  m_name ;
}
}

public override string yyname { get { return "IdentExpression"; }}
public override int yynum { get { return 132; }}
public IdentExpression(Parser yyp):base(yyp){}}
//%+IdentDotExpression+133
public class IdentDotExpression : IdentExpression{
 private  string  m_member ;
 public  IdentDotExpression (Parser yyp, string  name , string  member ):base(((LSLSyntax
)yyp), name ){ m_member = member ;
}
 public  override  string  ToString (){ string  baseToString = base . ToString ();
 return  baseToString . Substring (0, baseToString . Length -1)+"."+ m_member +">";
}
 public  string  Member { get { return  m_member ;
}
}

public override string yyname { get { return "IdentDotExpression"; }}
public override int yynum { get { return 133; }}
public IdentDotExpression(Parser yyp):base(yyp){}}
//%+FunctionCallExpression+134
public class FunctionCallExpression : Expression{
 public  FunctionCallExpression (Parser yyp, FunctionCall  fc ):base(((LSLSyntax
)yyp)){ kids . Add ( fc );
}

public override string yyname { get { return "FunctionCallExpression"; }}
public override int yynum { get { return 134; }}
public FunctionCallExpression(Parser yyp):base(yyp){}}
//%+BinaryExpression+135
public class BinaryExpression : Expression{
 private  string  m_expressionSymbol ;
 public  BinaryExpression (Parser yyp, Expression  lhs , Expression  rhs , string  expressionSymbol ):base(((LSLSyntax
)yyp)){ m_expressionSymbol = expressionSymbol ;
 AddExpression ( lhs );
 AddExpression ( rhs );
}
 public  string  ExpressionSymbol { get { return  m_expressionSymbol ;
}
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_expressionSymbol +">";
}

public override string yyname { get { return "BinaryExpression"; }}
public override int yynum { get { return 135; }}
public BinaryExpression(Parser yyp):base(yyp){}}
//%+UnaryExpression+136
public class UnaryExpression : Expression{
 private  string  m_unarySymbol ;
 public  UnaryExpression (Parser yyp, string  unarySymbol , Expression  e ):base(((LSLSyntax
)yyp)){ m_unarySymbol = unarySymbol ;
 AddExpression ( e );
}
 public  string  UnarySymbol { get { return  m_unarySymbol ;
}
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+ m_unarySymbol +">";
}

public override string yyname { get { return "UnaryExpression"; }}
public override int yynum { get { return 136; }}
public UnaryExpression(Parser yyp):base(yyp){}}
//%+TypecastExpression+137
public class TypecastExpression : Expression{
 private  string  m_typecastType ;
 public  TypecastExpression (Parser yyp, string  typecastType , SYMBOL  rhs ):base(((LSLSyntax
)yyp)){ m_typecastType = typecastType ;
 kids . Add ( rhs );
}
 public  string  TypecastType { get { return  m_typecastType ;
}
 set { m_typecastType = value ;
}
}

public override string yyname { get { return "TypecastExpression"; }}
public override int yynum { get { return 137; }}
public TypecastExpression(Parser yyp):base(yyp){}}
//%+ParenthesisExpression+138
public class ParenthesisExpression : Expression{
 public  ParenthesisExpression (Parser yyp, SYMBOL  s ):base(((LSLSyntax
)yyp)){ kids . Add ( s );
}

public override string yyname { get { return "ParenthesisExpression"; }}
public override int yynum { get { return 138; }}
public ParenthesisExpression(Parser yyp):base(yyp){}}
//%+IncrementDecrementExpression+139
public class IncrementDecrementExpression : Expression{
 private  string  m_name ;
 private  string  m_operation ;
 private  bool  m_postOperation ;
 public  IncrementDecrementExpression (Parser yyp, string  name , string  operation , bool  postOperation ):base(((LSLSyntax
)yyp)){ m_name = name ;
 m_operation = operation ;
 m_postOperation = postOperation ;
}
 public  IncrementDecrementExpression (Parser yyp, IdentDotExpression  ide , string  operation , bool  postOperation ):base(((LSLSyntax
)yyp)){ m_operation = operation ;
 m_postOperation = postOperation ;
 kids . Add ( ide );
}
 public  override  string  ToString (){ return  base . ToString ()+"<"+( m_postOperation ? m_name + m_operation : m_operation + m_name )+">";
}
 public  string  Name { get { return  m_name ;
}
}
 public  string  Operation { get { return  m_operation ;
}
}
 public  bool  PostOperation { get { return  m_postOperation ;
}
}

public override string yyname { get { return "IncrementDecrementExpression"; }}
public override int yynum { get { return 139; }}
public IncrementDecrementExpression(Parser yyp):base(yyp){}}

public class LSLProgramRoot_1 : LSLProgramRoot {
  public LSLProgramRoot_1(Parser yyq):base(yyq,
	((GlobalDefinitions)(yyq.StackAt(1).m_value))
	, 
	((States)(yyq.StackAt(0).m_value))
	){}}

public class LSLProgramRoot_2 : LSLProgramRoot {
  public LSLProgramRoot_2(Parser yyq):base(yyq,
	((States)(yyq.StackAt(0).m_value))
	){}}

public class GlobalDefinitions_1 : GlobalDefinitions {
  public GlobalDefinitions_1(Parser yyq):base(yyq,
	((GlobalVariableDeclaration)(yyq.StackAt(0).m_value))
	){}}

public class GlobalDefinitions_2 : GlobalDefinitions {
  public GlobalDefinitions_2(Parser yyq):base(yyq,
	((GlobalDefinitions)(yyq.StackAt(1).m_value))
	, 
	((GlobalVariableDeclaration)(yyq.StackAt(0).m_value))
	){}}

public class GlobalDefinitions_3 : GlobalDefinitions {
  public GlobalDefinitions_3(Parser yyq):base(yyq,
	((GlobalFunctionDefinition)(yyq.StackAt(0).m_value))
	){}}

public class GlobalDefinitions_4 : GlobalDefinitions {
  public GlobalDefinitions_4(Parser yyq):base(yyq,
	((GlobalDefinitions)(yyq.StackAt(1).m_value))
	, 
	((GlobalFunctionDefinition)(yyq.StackAt(0).m_value))
	){}}

public class GlobalVariableDeclaration_1 : GlobalVariableDeclaration {
  public GlobalVariableDeclaration_1(Parser yyq):base(yyq,
	((Declaration)(yyq.StackAt(1).m_value))
	){}}

public class GlobalVariableDeclaration_2 : GlobalVariableDeclaration {
  public GlobalVariableDeclaration_2(Parser yyq):base(yyq,new Assignment(((LSLSyntax
)yyq), 
	((Declaration)(yyq.StackAt(3).m_value))
	, 
	((Expression)(yyq.StackAt(1).m_value))
	, 
	((EQUALS)(yyq.StackAt(2).m_value))
	.yytext)){}}

public class GlobalFunctionDefinition_1 : GlobalFunctionDefinition {
  public GlobalFunctionDefinition_1(Parser yyq):base(yyq,"void", 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((ArgumentDeclarationList)(yyq.StackAt(2).m_value))
	, 
	((CompoundStatement)(yyq.StackAt(0).m_value))
	){}}

public class GlobalFunctionDefinition_2 : GlobalFunctionDefinition {
  public GlobalFunctionDefinition_2(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(5).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((ArgumentDeclarationList)(yyq.StackAt(2).m_value))
	, 
	((CompoundStatement)(yyq.StackAt(0).m_value))
	){}}

public class States_1 : States {
  public States_1(Parser yyq):base(yyq,
	((State)(yyq.StackAt(0).m_value))
	){}}

public class States_2 : States {
  public States_2(Parser yyq):base(yyq,
	((States)(yyq.StackAt(1).m_value))
	, 
	((State)(yyq.StackAt(0).m_value))
	){}}

public class State_1 : State {
  public State_1(Parser yyq):base(yyq,
	((DEFAULT_STATE)(yyq.StackAt(3).m_value))
	.yytext, 
	((StateBody)(yyq.StackAt(1).m_value))
	){}}

public class State_2 : State {
  public State_2(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(3).m_value))
	.yytext, 
	((StateBody)(yyq.StackAt(1).m_value))
	){}}

public class StateBody_1 : StateBody {
  public StateBody_1(Parser yyq):base(yyq,
	((StateEvent)(yyq.StackAt(0).m_value))
	){}}

public class StateBody_2 : StateBody {
  public StateBody_2(Parser yyq):base(yyq,
	((StateBody)(yyq.StackAt(1).m_value))
	, 
	((StateEvent)(yyq.StackAt(0).m_value))
	){}}

public class StateEvent_1 : StateEvent {
  public StateEvent_1(Parser yyq):base(yyq,
	((Event)(yyq.StackAt(4).m_value))
	.yytext, 
	((ArgumentDeclarationList)(yyq.StackAt(2).m_value))
	, 
	((CompoundStatement)(yyq.StackAt(0).m_value))
	){}}

public class ArgumentDeclarationList_1 : ArgumentDeclarationList {
  public ArgumentDeclarationList_1(Parser yyq):base(yyq,
	((Declaration)(yyq.StackAt(0).m_value))
	){}}

public class ArgumentDeclarationList_2 : ArgumentDeclarationList {
  public ArgumentDeclarationList_2(Parser yyq):base(yyq,
	((ArgumentDeclarationList)(yyq.StackAt(2).m_value))
	, 
	((Declaration)(yyq.StackAt(0).m_value))
	){}}

public class Declaration_1 : Declaration {
  public Declaration_1(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(1).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class CompoundStatement_1 : CompoundStatement {
  public CompoundStatement_1(Parser yyq):base(yyq){}}

public class CompoundStatement_2 : CompoundStatement {
  public CompoundStatement_2(Parser yyq):base(yyq,
	((StatementList)(yyq.StackAt(1).m_value))
	){}}

public class StatementList_1 : StatementList {
  public StatementList_1(Parser yyq):base(yyq,
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class StatementList_2 : StatementList {
  public StatementList_2(Parser yyq):base(yyq,
	((StatementList)(yyq.StackAt(1).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class EmptyStatement_1 : EmptyStatement {
  public EmptyStatement_1(Parser yyq):base(yyq){}}

public class Statement_1 : Statement {
  public Statement_1(Parser yyq):base(yyq,
	((EmptyStatement)(yyq.StackAt(1).m_value))
	){}}

public class Statement_2 : Statement {
  public Statement_2(Parser yyq):base(yyq,
	((Declaration)(yyq.StackAt(1).m_value))
	){}}

public class Statement_3 : Statement {
  public Statement_3(Parser yyq):base(yyq,
	((Assignment)(yyq.StackAt(1).m_value))
	){}}

public class Statement_4 : Statement {
  public Statement_4(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(1).m_value))
	){}}

public class Statement_5 : Statement {
  public Statement_5(Parser yyq):base(yyq,
	((ReturnStatement)(yyq.StackAt(1).m_value))
	){}}

public class Statement_6 : Statement {
  public Statement_6(Parser yyq):base(yyq,
	((JumpLabel)(yyq.StackAt(1).m_value))
	){}}

public class Statement_7 : Statement {
  public Statement_7(Parser yyq):base(yyq,
	((JumpStatement)(yyq.StackAt(1).m_value))
	){}}

public class Statement_8 : Statement {
  public Statement_8(Parser yyq):base(yyq,
	((StateChange)(yyq.StackAt(1).m_value))
	){}}

public class Statement_9 : Statement {
  public Statement_9(Parser yyq):base(yyq,
	((IfStatement)(yyq.StackAt(0).m_value))
	){}}

public class Statement_10 : Statement {
  public Statement_10(Parser yyq):base(yyq,
	((WhileStatement)(yyq.StackAt(0).m_value))
	){}}

public class Statement_11 : Statement {
  public Statement_11(Parser yyq):base(yyq,
	((DoWhileStatement)(yyq.StackAt(0).m_value))
	){}}

public class Statement_12 : Statement {
  public Statement_12(Parser yyq):base(yyq,
	((ForLoop)(yyq.StackAt(0).m_value))
	){}}

public class Statement_13 : Statement {
  public Statement_13(Parser yyq):base(yyq,
	((CompoundStatement)(yyq.StackAt(0).m_value))
	){}}

public class JumpLabel_1 : JumpLabel {
  public JumpLabel_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class JumpStatement_1 : JumpStatement {
  public JumpStatement_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class StateChange_1 : StateChange {
  public StateChange_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class StateChange_2 : StateChange {
  public StateChange_2(Parser yyq):base(yyq,
	((DEFAULT_STATE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class IfStatement_1 : IfStatement {
  public IfStatement_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class IfStatement_2 : IfStatement {
  public IfStatement_2(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(4).m_value))
	, 
	((Statement)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class IfStatement_3 : IfStatement {
  public IfStatement_3(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class IfStatement_4 : IfStatement {
  public IfStatement_4(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(4).m_value))
	, 
	((Statement)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class WhileStatement_1 : WhileStatement {
  public WhileStatement_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class WhileStatement_2 : WhileStatement {
  public WhileStatement_2(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class DoWhileStatement_1 : DoWhileStatement {
  public DoWhileStatement_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(5).m_value))
	){}}

public class DoWhileStatement_2 : DoWhileStatement {
  public DoWhileStatement_2(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(5).m_value))
	){}}

public class ForLoop_1 : ForLoop {
  public ForLoop_1(Parser yyq):base(yyq,
	((ForLoopStatement)(yyq.StackAt(6).m_value))
	, 
	((Expression)(yyq.StackAt(4).m_value))
	, 
	((ForLoopStatement)(yyq.StackAt(2).m_value))
	, 
	((Statement)(yyq.StackAt(0).m_value))
	){}}

public class ForLoopStatement_1 : ForLoopStatement {
  public ForLoopStatement_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class ForLoopStatement_2 : ForLoopStatement {
  public ForLoopStatement_2(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	){}}

public class ForLoopStatement_3 : ForLoopStatement {
  public ForLoopStatement_3(Parser yyq):base(yyq,
	((ForLoopStatement)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class ForLoopStatement_4 : ForLoopStatement {
  public ForLoopStatement_4(Parser yyq):base(yyq,
	((ForLoopStatement)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	){}}

public class Assignment_1 : Assignment {
  public Assignment_1(Parser yyq):base(yyq,
	((Declaration)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class Assignment_2 : Assignment {
  public Assignment_2(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	){}}

public class SimpleAssignment_1 : SimpleAssignment {
  public SimpleAssignment_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_2 : SimpleAssignment {
  public SimpleAssignment_2(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((PLUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_3 : SimpleAssignment {
  public SimpleAssignment_3(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((MINUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_4 : SimpleAssignment {
  public SimpleAssignment_4(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((STAR_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_5 : SimpleAssignment {
  public SimpleAssignment_5(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((SLASH_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_6 : SimpleAssignment {
  public SimpleAssignment_6(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((PERCENT_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_7 : SimpleAssignment {
  public SimpleAssignment_7(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_8 : SimpleAssignment {
  public SimpleAssignment_8(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((PLUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_9 : SimpleAssignment {
  public SimpleAssignment_9(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((MINUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_10 : SimpleAssignment {
  public SimpleAssignment_10(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((STAR_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_11 : SimpleAssignment {
  public SimpleAssignment_11(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((SLASH_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_12 : SimpleAssignment {
  public SimpleAssignment_12(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((PERCENT_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_13 : SimpleAssignment {
  public SimpleAssignment_13(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_14 : SimpleAssignment {
  public SimpleAssignment_14(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((PLUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_15 : SimpleAssignment {
  public SimpleAssignment_15(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((MINUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_16 : SimpleAssignment {
  public SimpleAssignment_16(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((STAR_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_17 : SimpleAssignment {
  public SimpleAssignment_17(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((SLASH_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_18 : SimpleAssignment {
  public SimpleAssignment_18(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	, 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((PERCENT_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_19 : SimpleAssignment {
  public SimpleAssignment_19(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_20 : SimpleAssignment {
  public SimpleAssignment_20(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((PLUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_21 : SimpleAssignment {
  public SimpleAssignment_21(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((MINUS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_22 : SimpleAssignment {
  public SimpleAssignment_22(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((STAR_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_23 : SimpleAssignment {
  public SimpleAssignment_23(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((SLASH_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class SimpleAssignment_24 : SimpleAssignment {
  public SimpleAssignment_24(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(4).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext), 
	((SimpleAssignment)(yyq.StackAt(0).m_value))
	, 
	((PERCENT_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class ReturnStatement_1 : ReturnStatement {
  public ReturnStatement_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class ReturnStatement_2 : ReturnStatement {
  public ReturnStatement_2(Parser yyq):base(yyq){}}

public class Constant_1 : Constant {
  public Constant_1(Parser yyq):base(yyq,"integer", 
	((INTEGER_CONSTANT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Constant_2 : Constant {
  public Constant_2(Parser yyq):base(yyq,"integer", 
	((HEX_INTEGER_CONSTANT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Constant_3 : Constant {
  public Constant_3(Parser yyq):base(yyq,"float", 
	((FLOAT_CONSTANT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Constant_4 : Constant {
  public Constant_4(Parser yyq):base(yyq,"string", 
	((STRING_CONSTANT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class ListConstant_1 : ListConstant {
  public ListConstant_1(Parser yyq):base(yyq,
	((ArgumentList)(yyq.StackAt(1).m_value))
	){}}

public class VectorConstant_1 : VectorConstant {
  public VectorConstant_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(5).m_value))
	, 
	((Expression)(yyq.StackAt(3).m_value))
	, 
	((Expression)(yyq.StackAt(1).m_value))
	){}}

public class RotationConstant_1 : RotationConstant {
  public RotationConstant_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(7).m_value))
	, 
	((Expression)(yyq.StackAt(5).m_value))
	, 
	((Expression)(yyq.StackAt(3).m_value))
	, 
	((Expression)(yyq.StackAt(1).m_value))
	){}}

public class ConstantExpression_1 : ConstantExpression {
  public ConstantExpression_1(Parser yyq):base(yyq,
	((Constant)(yyq.StackAt(0).m_value))
	){}}

public class IdentExpression_1 : IdentExpression {
  public IdentExpression_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class IdentDotExpression_1 : IdentDotExpression {
  public IdentDotExpression_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class IncrementDecrementExpression_1 : IncrementDecrementExpression {
  public IncrementDecrementExpression_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext, 
	((INCREMENT)(yyq.StackAt(0).m_value))
	.yytext, true){}}

public class IncrementDecrementExpression_2 : IncrementDecrementExpression {
  public IncrementDecrementExpression_2(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext, 
	((DECREMENT)(yyq.StackAt(0).m_value))
	.yytext, true){}}

public class IncrementDecrementExpression_3 : IncrementDecrementExpression {
  public IncrementDecrementExpression_3(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(3).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext), 
	((INCREMENT)(yyq.StackAt(0).m_value))
	.yytext, true){}}

public class IncrementDecrementExpression_4 : IncrementDecrementExpression {
  public IncrementDecrementExpression_4(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(3).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext), 
	((DECREMENT)(yyq.StackAt(0).m_value))
	.yytext, true){}}

public class IncrementDecrementExpression_5 : IncrementDecrementExpression {
  public IncrementDecrementExpression_5(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext, 
	((INCREMENT)(yyq.StackAt(1).m_value))
	.yytext, false){}}

public class IncrementDecrementExpression_6 : IncrementDecrementExpression {
  public IncrementDecrementExpression_6(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext, 
	((DECREMENT)(yyq.StackAt(1).m_value))
	.yytext, false){}}

public class IncrementDecrementExpression_7 : IncrementDecrementExpression {
  public IncrementDecrementExpression_7(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext), 
	((INCREMENT)(yyq.StackAt(3).m_value))
	.yytext, false){}}

public class IncrementDecrementExpression_8 : IncrementDecrementExpression {
  public IncrementDecrementExpression_8(Parser yyq):base(yyq,new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext), 
	((DECREMENT)(yyq.StackAt(3).m_value))
	.yytext, false){}}

public class FunctionCallExpression_1 : FunctionCallExpression {
  public FunctionCallExpression_1(Parser yyq):base(yyq,
	((FunctionCall)(yyq.StackAt(0).m_value))
	){}}

public class BinaryExpression_1 : BinaryExpression {
  public BinaryExpression_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((PLUS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_2 : BinaryExpression {
  public BinaryExpression_2(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((MINUS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_3 : BinaryExpression {
  public BinaryExpression_3(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((STAR)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_4 : BinaryExpression {
  public BinaryExpression_4(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((SLASH)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_5 : BinaryExpression {
  public BinaryExpression_5(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((PERCENT)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_6 : BinaryExpression {
  public BinaryExpression_6(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((AMP)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_7 : BinaryExpression {
  public BinaryExpression_7(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((STROKE)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_8 : BinaryExpression {
  public BinaryExpression_8(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((CARET)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_9 : BinaryExpression {
  public BinaryExpression_9(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((RIGHT_ANGLE)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_10 : BinaryExpression {
  public BinaryExpression_10(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((LEFT_ANGLE)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_11 : BinaryExpression {
  public BinaryExpression_11(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((EQUALS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_12 : BinaryExpression {
  public BinaryExpression_12(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((EXCLAMATION_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_13 : BinaryExpression {
  public BinaryExpression_13(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((LESS_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_14 : BinaryExpression {
  public BinaryExpression_14(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((GREATER_EQUALS)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_15 : BinaryExpression {
  public BinaryExpression_15(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((AMP_AMP)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_16 : BinaryExpression {
  public BinaryExpression_16(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((STROKE_STROKE)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_17 : BinaryExpression {
  public BinaryExpression_17(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((LEFT_SHIFT)(yyq.StackAt(1).m_value))
	.yytext){}}

public class BinaryExpression_18 : BinaryExpression {
  public BinaryExpression_18(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(2).m_value))
	, 
	((Expression)(yyq.StackAt(0).m_value))
	, 
	((RIGHT_SHIFT)(yyq.StackAt(1).m_value))
	.yytext){}}

public class UnaryExpression_1 : UnaryExpression {
  public UnaryExpression_1(Parser yyq):base(yyq,
	((EXCLAMATION)(yyq.StackAt(1).m_value))
	.yytext, 
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class UnaryExpression_2 : UnaryExpression {
  public UnaryExpression_2(Parser yyq):base(yyq,
	((MINUS)(yyq.StackAt(1).m_value))
	.yytext, 
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class UnaryExpression_3 : UnaryExpression {
  public UnaryExpression_3(Parser yyq):base(yyq,
	((TILDE)(yyq.StackAt(1).m_value))
	.yytext, 
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class ParenthesisExpression_1 : ParenthesisExpression {
  public ParenthesisExpression_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(1).m_value))
	){}}

public class ParenthesisExpression_2 : ParenthesisExpression {
  public ParenthesisExpression_2(Parser yyq):base(yyq,
	((SimpleAssignment)(yyq.StackAt(1).m_value))
	){}}

public class TypecastExpression_1 : TypecastExpression {
  public TypecastExpression_1(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(2).m_value))
	.yytext, 
	((Constant)(yyq.StackAt(0).m_value))
	){}}

public class TypecastExpression_2 : TypecastExpression {
  public TypecastExpression_2(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(2).m_value))
	.yytext, new IdentExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext)){}}

public class TypecastExpression_3 : TypecastExpression {
  public TypecastExpression_3(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(4).m_value))
	.yytext, new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(2).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(0).m_value))
	.yytext)){}}

public class TypecastExpression_4 : TypecastExpression {
  public TypecastExpression_4(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(3).m_value))
	.yytext, new IncrementDecrementExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext, 
	((INCREMENT)(yyq.StackAt(0).m_value))
	.yytext, true)){}}

public class TypecastExpression_5 : TypecastExpression {
  public TypecastExpression_5(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(5).m_value))
	.yytext, new IncrementDecrementExpression(((LSLSyntax
)yyq), new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(3).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext), 
	((INCREMENT)(yyq.StackAt(0).m_value))
	.yytext, true)){}}

public class TypecastExpression_6 : TypecastExpression {
  public TypecastExpression_6(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(3).m_value))
	.yytext, new IncrementDecrementExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext, 
	((DECREMENT)(yyq.StackAt(0).m_value))
	.yytext, true)){}}

public class TypecastExpression_7 : TypecastExpression {
  public TypecastExpression_7(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(5).m_value))
	.yytext, new IncrementDecrementExpression(((LSLSyntax
)yyq), new IdentDotExpression(((LSLSyntax
)yyq), 
	((IDENT)(yyq.StackAt(3).m_value))
	.yytext, 
	((IDENT)(yyq.StackAt(1).m_value))
	.yytext), 
	((DECREMENT)(yyq.StackAt(0).m_value))
	.yytext, true)){}}

public class TypecastExpression_8 : TypecastExpression {
  public TypecastExpression_8(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(2).m_value))
	.yytext, 
	((FunctionCall)(yyq.StackAt(0).m_value))
	){}}

public class TypecastExpression_9 : TypecastExpression {
  public TypecastExpression_9(Parser yyq):base(yyq,
	((Typename)(yyq.StackAt(4).m_value))
	.yytext, 
	((Expression)(yyq.StackAt(1).m_value))
	){}}

public class FunctionCall_1 : FunctionCall {
  public FunctionCall_1(Parser yyq):base(yyq,
	((IDENT)(yyq.StackAt(3).m_value))
	.yytext, 
	((ArgumentList)(yyq.StackAt(1).m_value))
	){}}

public class ArgumentList_1 : ArgumentList {
  public ArgumentList_1(Parser yyq):base(yyq,
	((Argument)(yyq.StackAt(0).m_value))
	){}}

public class ArgumentList_2 : ArgumentList {
  public ArgumentList_2(Parser yyq):base(yyq,
	((ArgumentList)(yyq.StackAt(2).m_value))
	, 
	((Argument)(yyq.StackAt(0).m_value))
	){}}

public class ExpressionArgument_1 : ExpressionArgument {
  public ExpressionArgument_1(Parser yyq):base(yyq,
	((Expression)(yyq.StackAt(0).m_value))
	){}}

public class Typename_1 : Typename {
  public Typename_1(Parser yyq):base(yyq,
	((INTEGER_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Typename_2 : Typename {
  public Typename_2(Parser yyq):base(yyq,
	((FLOAT_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Typename_3 : Typename {
  public Typename_3(Parser yyq):base(yyq,
	((STRING_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Typename_4 : Typename {
  public Typename_4(Parser yyq):base(yyq,
	((KEY_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Typename_5 : Typename {
  public Typename_5(Parser yyq):base(yyq,
	((VECTOR_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Typename_6 : Typename {
  public Typename_6(Parser yyq):base(yyq,
	((ROTATION_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Typename_7 : Typename {
  public Typename_7(Parser yyq):base(yyq,
	((LIST_TYPE)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_1 : Event {
  public Event_1(Parser yyq):base(yyq,
	((AT_ROT_TARGET_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_2 : Event {
  public Event_2(Parser yyq):base(yyq,
	((AT_TARGET_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_3 : Event {
  public Event_3(Parser yyq):base(yyq,
	((ATTACH_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_4 : Event {
  public Event_4(Parser yyq):base(yyq,
	((CHANGED_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_5 : Event {
  public Event_5(Parser yyq):base(yyq,
	((COLLISION_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_6 : Event {
  public Event_6(Parser yyq):base(yyq,
	((COLLISION_END_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_7 : Event {
  public Event_7(Parser yyq):base(yyq,
	((COLLISION_START_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_8 : Event {
  public Event_8(Parser yyq):base(yyq,
	((CONTROL_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_9 : Event {
  public Event_9(Parser yyq):base(yyq,
	((DATASERVER_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_10 : Event {
  public Event_10(Parser yyq):base(yyq,
	((EMAIL_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_11 : Event {
  public Event_11(Parser yyq):base(yyq,
	((HTTP_RESPONSE_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_12 : Event {
  public Event_12(Parser yyq):base(yyq,
	((LAND_COLLISION_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_13 : Event {
  public Event_13(Parser yyq):base(yyq,
	((LAND_COLLISION_END_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_14 : Event {
  public Event_14(Parser yyq):base(yyq,
	((LAND_COLLISION_START_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_15 : Event {
  public Event_15(Parser yyq):base(yyq,
	((LINK_MESSAGE_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_16 : Event {
  public Event_16(Parser yyq):base(yyq,
	((LISTEN_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_17 : Event {
  public Event_17(Parser yyq):base(yyq,
	((MONEY_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_18 : Event {
  public Event_18(Parser yyq):base(yyq,
	((MOVING_END_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_19 : Event {
  public Event_19(Parser yyq):base(yyq,
	((MOVING_START_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_20 : Event {
  public Event_20(Parser yyq):base(yyq,
	((NO_SENSOR_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_21 : Event {
  public Event_21(Parser yyq):base(yyq,
	((NOT_AT_ROT_TARGET_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_22 : Event {
  public Event_22(Parser yyq):base(yyq,
	((NOT_AT_TARGET_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_23 : Event {
  public Event_23(Parser yyq):base(yyq,
	((OBJECT_REZ_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_24 : Event {
  public Event_24(Parser yyq):base(yyq,
	((ON_REZ_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_25 : Event {
  public Event_25(Parser yyq):base(yyq,
	((REMOTE_DATA_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_26 : Event {
  public Event_26(Parser yyq):base(yyq,
	((RUN_TIME_PERMISSIONS_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_27 : Event {
  public Event_27(Parser yyq):base(yyq,
	((SENSOR_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_28 : Event {
  public Event_28(Parser yyq):base(yyq,
	((STATE_ENTRY_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_29 : Event {
  public Event_29(Parser yyq):base(yyq,
	((STATE_EXIT_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_30 : Event {
  public Event_30(Parser yyq):base(yyq,
	((TIMER_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_31 : Event {
  public Event_31(Parser yyq):base(yyq,
	((TOUCH_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_32 : Event {
  public Event_32(Parser yyq):base(yyq,
	((TOUCH_END_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}

public class Event_33 : Event {
  public Event_33(Parser yyq):base(yyq,
	((TOUCH_START_EVENT)(yyq.StackAt(0).m_value))
	.yytext){}}
public class yyLSLSyntax
: YyParser {
  public override object Action(Parser yyq,SYMBOL yysym, int yyact) {
    switch(yyact) {
	 case -1: break; //// keep compiler happy
}  return null; }

public class ArgumentDeclarationList_3 : ArgumentDeclarationList {
  public ArgumentDeclarationList_3(Parser yyq):base(yyq){}}

public class ArgumentList_3 : ArgumentList {
  public ArgumentList_3(Parser yyq):base(yyq){}}

public class ArgumentDeclarationList_4 : ArgumentDeclarationList {
  public ArgumentDeclarationList_4(Parser yyq):base(yyq){}}

public class ArgumentDeclarationList_5 : ArgumentDeclarationList {
  public ArgumentDeclarationList_5(Parser yyq):base(yyq){}}

public class ArgumentList_4 : ArgumentList {
  public ArgumentList_4(Parser yyq):base(yyq){}}
public yyLSLSyntax
():base() { arr = new int[] { 
101,4,6,52,0,
46,0,53,0,102,
20,103,4,28,76,
0,83,0,76,0,
80,0,114,0,111,
0,103,0,114,0,
97,0,109,0,82,
0,111,0,111,0,
116,0,1,95,1,
2,104,18,1,2610,
102,2,0,105,5,
313,1,0,106,18,
1,0,0,2,0,
1,1,107,18,1,
1,108,20,109,4,
18,76,0,73,0,
83,0,84,0,95,
0,84,0,89,0,
80,0,69,0,1,
57,1,1,2,0,
1,2,110,18,1,
2,111,20,112,4,
26,82,0,79,0,
84,0,65,0,84,
0,73,0,79,0,
78,0,95,0,84,
0,89,0,80,0,
69,0,1,56,1,
1,2,0,1,3,
113,18,1,3,114,
20,115,4,22,86,
0,69,0,67,0,
84,0,79,0,82,
0,95,0,84,0,
89,0,80,0,69,
0,1,55,1,1,
2,0,1,4,116,
18,1,4,117,20,
118,4,16,75,0,
69,0,89,0,95,
0,84,0,89,0,
80,0,69,0,1,
54,1,1,2,0,
1,5,119,18,1,
5,120,20,121,4,
22,83,0,84,0,
82,0,73,0,78,
0,71,0,95,0,
84,0,89,0,80,
0,69,0,1,53,
1,1,2,0,1,
6,122,18,1,6,
123,20,124,4,20,
70,0,76,0,79,
0,65,0,84,0,
95,0,84,0,89,
0,80,0,69,0,
1,52,1,1,2,
0,1,7,125,18,
1,7,126,20,127,
4,24,73,0,78,
0,84,0,69,0,
71,0,69,0,82,
0,95,0,84,0,
89,0,80,0,69,
0,1,51,1,1,
2,0,1,8,128,
18,1,8,129,20,
130,4,16,84,0,
121,0,112,0,101,
0,110,0,97,0,
109,0,101,0,1,
105,1,2,2,0,
1,9,131,18,1,
9,132,20,133,4,
10,73,0,68,0,
69,0,78,0,84,
0,1,91,1,1,
2,0,1,10,134,
18,1,10,135,20,
136,4,20,76,0,
69,0,70,0,84,
0,95,0,80,0,
65,0,82,0,69,
0,78,0,1,16,
1,1,2,0,1,
18,137,18,1,18,
129,2,0,1,19,
138,18,1,19,132,
2,0,1,20,139,
18,1,20,140,20,
141,4,46,65,0,
114,0,103,0,117,
0,109,0,101,0,
110,0,116,0,68,
0,101,0,99,0,
108,0,97,0,114,
0,97,0,116,0,
105,0,111,0,110,
0,76,0,105,0,
115,0,116,0,1,
103,1,2,2,0,
1,21,142,18,1,
21,143,20,144,4,
10,67,0,79,0,
77,0,77,0,65,
0,1,14,1,1,
2,0,1,1694,145,
18,1,1694,146,20,
147,4,32,70,0,
111,0,114,0,76,
0,111,0,111,0,
112,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
1,121,1,2,2,
0,1,1695,148,18,
1,1695,143,2,0,
1,30,149,18,1,
30,150,20,151,4,
22,68,0,101,0,
99,0,108,0,97,
0,114,0,97,0,
116,0,105,0,111,
0,110,0,1,104,
1,2,2,0,1,
31,152,18,1,31,
153,20,154,4,22,
82,0,73,0,71,
0,72,0,84,0,
95,0,80,0,65,
0,82,0,69,0,
78,0,1,17,1,
1,2,0,1,32,
155,18,1,32,156,
20,157,4,20,76,
0,69,0,70,0,
84,0,95,0,66,
0,82,0,65,0,
67,0,69,0,1,
12,1,1,2,0,
1,1114,158,18,1,
1114,132,2,0,1,
1152,159,18,1,1152,
160,20,161,4,32,
83,0,105,0,109,
0,112,0,108,0,
101,0,65,0,115,
0,115,0,105,0,
103,0,110,0,109,
0,101,0,110,0,
116,0,1,112,1,
2,2,0,1,1117,
162,18,1,1117,163,
20,164,4,28,80,
0,69,0,82,0,
67,0,69,0,78,
0,84,0,95,0,
69,0,81,0,85,
0,65,0,76,0,
83,0,1,10,1,
1,2,0,1,40,
165,18,1,40,132,
2,0,1,41,166,
18,1,41,135,2,
0,1,42,167,18,
1,42,168,20,169,
4,20,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,1,130,1,
2,2,0,1,43,
170,18,1,43,171,
20,172,4,22,82,
0,73,0,71,0,
72,0,84,0,95,
0,83,0,72,0,
73,0,70,0,84,
0,1,41,1,1,
2,0,1,44,173,
18,1,44,132,2,
0,1,1159,174,18,
1,1159,168,2,0,
1,46,175,18,1,
46,176,20,177,4,
12,80,0,69,0,
82,0,73,0,79,
0,68,0,1,24,
1,1,2,0,1,
47,178,18,1,47,
132,2,0,1,48,
179,18,1,48,180,
20,181,4,18,68,
0,69,0,67,0,
82,0,69,0,77,
0,69,0,78,0,
84,0,1,5,1,
1,2,0,1,49,
182,18,1,49,183,
20,184,4,18,73,
0,78,0,67,0,
82,0,69,0,77,
0,69,0,78,0,
84,0,1,4,1,
1,2,0,1,50,
185,18,1,50,180,
2,0,1,51,186,
18,1,51,183,2,
0,1,52,187,18,
1,52,135,2,0,
1,2281,188,18,1,
2281,160,2,0,1,
1730,189,18,1,1730,
160,2,0,1,1731,
190,18,1,1731,191,
20,192,4,18,83,
0,69,0,77,0,
73,0,67,0,79,
0,76,0,79,0,
78,0,1,11,1,
1,2,0,1,61,
193,18,1,61,129,
2,0,1,62,194,
18,1,62,153,2,
0,1,63,195,18,
1,63,132,2,0,
1,65,196,18,1,
65,176,2,0,1,
66,197,18,1,66,
132,2,0,1,67,
198,18,1,67,180,
2,0,1,68,199,
18,1,68,183,2,
0,1,69,200,18,
1,69,180,2,0,
1,70,201,18,1,
70,183,2,0,1,
71,202,18,1,71,
135,2,0,1,73,
203,18,1,73,168,
2,0,1,74,204,
18,1,74,153,2,
0,1,1189,205,18,
1,1189,206,20,207,
4,22,83,0,84,
0,65,0,82,0,
95,0,69,0,81,
0,85,0,65,0,
76,0,83,0,1,
8,1,1,2,0,
1,76,208,18,1,
76,209,20,210,4,
20,76,0,69,0,
70,0,84,0,95,
0,83,0,72,0,
73,0,70,0,84,
0,1,40,1,1,
2,0,1,1153,211,
18,1,1153,212,20,
213,4,24,83,0,
76,0,65,0,83,
0,72,0,95,0,
69,0,81,0,85,
0,65,0,76,0,
83,0,1,9,1,
1,2,0,1,79,
214,18,1,79,215,
20,216,4,10,84,
0,73,0,76,0,
68,0,69,0,1,
36,1,1,2,0,
1,1195,217,18,1,
1195,168,2,0,1,
82,218,18,1,82,
168,2,0,1,1123,
219,18,1,1123,168,
2,0,1,85,220,
18,1,85,221,20,
222,4,26,83,0,
84,0,82,0,79,
0,75,0,69,0,
95,0,83,0,84,
0,82,0,79,0,
75,0,69,0,1,
39,1,1,2,0,
1,89,223,18,1,
89,224,20,225,4,
10,77,0,73,0,
78,0,85,0,83,
0,1,19,1,1,
2,0,1,93,226,
18,1,93,168,2,
0,1,97,227,18,
1,97,228,20,229,
4,14,65,0,77,
0,80,0,95,0,
65,0,77,0,80,
0,1,38,1,1,
2,0,1,102,230,
18,1,102,231,20,
232,4,22,69,0,
88,0,67,0,76,
0,65,0,77,0,
65,0,84,0,73,
0,79,0,78,0,
1,37,1,1,2,
0,1,1775,233,18,
1,1775,153,2,0,
1,107,234,18,1,
107,168,2,0,1,
1224,235,18,1,1224,
160,2,0,1,1225,
236,18,1,1225,237,
20,238,4,24,77,
0,73,0,78,0,
85,0,83,0,95,
0,69,0,81,0,
85,0,65,0,76,
0,83,0,1,7,
1,1,2,0,1,
112,239,18,1,112,
240,20,241,4,28,
71,0,82,0,69,
0,65,0,84,0,
69,0,82,0,95,
0,69,0,81,0,
85,0,65,0,76,
0,83,0,1,32,
1,1,2,0,1,
1188,242,18,1,1188,
160,2,0,1,1231,
243,18,1,1231,168,
2,0,1,118,244,
18,1,118,168,2,
0,1,1737,245,18,
1,1737,168,2,0,
1,124,246,18,1,
124,247,20,248,4,
22,76,0,69,0,
83,0,83,0,95,
0,69,0,81,0,
85,0,65,0,76,
0,83,0,1,31,
1,1,2,0,1,
2355,249,18,1,2355,
250,20,251,4,18,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,1,109,
1,2,2,0,1,
2356,252,18,1,2356,
253,20,254,4,22,
82,0,73,0,71,
0,72,0,84,0,
95,0,66,0,82,
0,65,0,67,0,
69,0,1,13,1,
1,2,0,1,130,
255,18,1,130,168,
2,0,1,1802,256,
18,1,1802,250,2,
0,1,1804,257,18,
1,1804,258,20,259,
4,4,68,0,79,
0,1,44,1,1,
2,0,1,2363,260,
18,1,2363,261,20,
262,4,34,67,0,
111,0,109,0,112,
0,111,0,117,0,
110,0,100,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,1,107,1,
2,2,0,1,2364,
263,18,1,2364,150,
2,0,1,137,264,
18,1,137,265,20,
266,4,36,69,0,
88,0,67,0,76,
0,65,0,77,0,
65,0,84,0,73,
0,79,0,78,0,
95,0,69,0,81,
0,85,0,65,0,
76,0,83,0,1,
30,1,1,2,0,
1,2366,267,18,1,
2366,132,2,0,1,
2367,268,18,1,2367,
156,2,0,1,1701,
269,18,1,1701,168,
2,0,1,1756,270,
18,1,1756,191,2,
0,1,2370,271,18,
1,2370,272,20,273,
4,22,84,0,79,
0,85,0,67,0,
72,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
88,1,1,2,0,
1,143,274,18,1,
143,168,2,0,1,
2372,275,18,1,2372,
276,20,277,4,32,
83,0,84,0,65,
0,84,0,69,0,
95,0,69,0,88,
0,73,0,84,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,86,1,
1,2,0,1,2373,
278,18,1,2373,279,
20,280,4,34,83,
0,84,0,65,0,
84,0,69,0,95,
0,69,0,78,0,
84,0,82,0,89,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,85,
1,1,2,0,1,
1260,281,18,1,1260,
160,2,0,1,1261,
282,18,1,1261,283,
20,284,4,22,80,
0,76,0,85,0,
83,0,95,0,69,
0,81,0,85,0,
65,0,76,0,83,
0,1,6,1,1,
2,0,1,2376,285,
18,1,2376,286,20,
287,4,34,82,0,
69,0,77,0,79,
0,84,0,69,0,
95,0,68,0,65,
0,84,0,65,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,82,1,
1,2,0,1,2377,
288,18,1,2377,289,
20,290,4,24,79,
0,78,0,95,0,
82,0,69,0,90,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,81,
1,1,2,0,1,
2378,291,18,1,2378,
292,20,293,4,32,
79,0,66,0,74,
0,69,0,67,0,
84,0,95,0,82,
0,69,0,90,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,80,1,
1,2,0,1,151,
294,18,1,151,295,
20,296,4,26,69,
0,81,0,85,0,
65,0,76,0,83,
0,95,0,69,0,
81,0,85,0,65,
0,76,0,83,0,
1,29,1,1,2,
0,1,2380,297,18,
1,2380,298,20,299,
4,46,78,0,79,
0,84,0,95,0,
65,0,84,0,95,
0,82,0,79,0,
84,0,95,0,84,
0,65,0,82,0,
71,0,69,0,84,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,78,
1,1,2,0,1,
1267,300,18,1,1267,
168,2,0,1,2382,
301,18,1,2382,302,
20,303,4,36,77,
0,79,0,86,0,
73,0,78,0,71,
0,95,0,83,0,
84,0,65,0,82,
0,84,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,76,1,1,2,
0,1,2383,304,18,
1,2383,305,20,306,
4,32,77,0,79,
0,86,0,73,0,
78,0,71,0,95,
0,69,0,78,0,
68,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
75,1,1,2,0,
1,2310,307,18,1,
2310,308,20,309,4,
26,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,76,
0,105,0,115,0,
116,0,1,108,1,
2,2,0,1,157,
310,18,1,157,168,
2,0,1,2386,311,
18,1,2386,312,20,
313,4,36,76,0,
73,0,78,0,75,
0,95,0,77,0,
69,0,83,0,83,
0,65,0,71,0,
69,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
72,1,1,2,0,
1,1773,314,18,1,
1773,146,2,0,1,
2388,315,18,1,2388,
316,20,317,4,48,
76,0,65,0,78,
0,68,0,95,0,
67,0,79,0,76,
0,76,0,73,0,
83,0,73,0,79,
0,78,0,95,0,
69,0,78,0,68,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,70,
1,1,2,0,1,
1832,318,18,1,1832,
250,2,0,1,1833,
319,18,1,1833,320,
20,321,4,10,87,
0,72,0,73,0,
76,0,69,0,1,
45,1,1,2,0,
1,1834,322,18,1,
1834,135,2,0,1,
2392,323,18,1,2392,
324,20,325,4,32,
68,0,65,0,84,
0,65,0,83,0,
69,0,82,0,86,
0,69,0,82,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,66,1,
1,2,0,1,2393,
326,18,1,2393,327,
20,328,4,26,67,
0,79,0,78,0,
84,0,82,0,79,
0,76,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,65,1,1,2,
0,1,166,329,18,
1,166,330,20,331,
4,20,76,0,69,
0,70,0,84,0,
95,0,65,0,78,
0,71,0,76,0,
69,0,1,25,1,
1,2,0,1,2395,
332,18,1,2395,333,
20,334,4,38,67,
0,79,0,76,0,
76,0,73,0,83,
0,73,0,79,0,
78,0,95,0,69,
0,78,0,68,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,63,1,
1,2,0,1,2396,
335,18,1,2396,336,
20,337,4,30,67,
0,79,0,76,0,
76,0,73,0,83,
0,73,0,79,0,
78,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
62,1,1,2,0,
1,1840,338,18,1,
1840,168,2,0,1,
2398,339,18,1,2398,
340,20,341,4,24,
65,0,84,0,84,
0,65,0,67,0,
72,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
60,1,1,2,0,
1,2399,342,18,1,
2399,343,20,344,4,
30,65,0,84,0,
95,0,84,0,65,
0,82,0,71,0,
69,0,84,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,59,1,1,
2,0,1,172,345,
18,1,172,168,2,
0,1,2401,346,18,
1,2401,347,20,348,
4,10,69,0,118,
0,101,0,110,0,
116,0,1,106,1,
2,2,0,1,2402,
349,18,1,2402,135,
2,0,1,1296,350,
18,1,1296,160,2,
0,1,1297,351,18,
1,1297,352,20,353,
4,12,69,0,81,
0,85,0,65,0,
76,0,83,0,1,
15,1,1,2,0,
1,2413,354,18,1,
2413,153,2,0,1,
2415,355,18,1,2415,
261,2,0,1,1859,
356,18,1,1859,153,
2,0,1,1860,357,
18,1,1860,191,2,
0,1,188,358,18,
1,188,168,2,0,
1,182,359,18,1,
182,360,20,361,4,
22,82,0,73,0,
71,0,72,0,84,
0,95,0,65,0,
78,0,71,0,76,
0,69,0,1,26,
1,1,2,0,1,
199,362,18,1,199,
363,20,364,4,10,
67,0,65,0,82,
0,69,0,84,0,
1,35,1,1,2,
0,1,1871,365,18,
1,1871,160,2,0,
1,1872,366,18,1,
1872,153,2,0,1,
1873,367,18,1,1873,
191,2,0,1,1875,
368,18,1,1875,320,
2,0,1,205,369,
18,1,205,168,2,
0,1,2359,370,18,
1,2359,250,2,0,
1,2361,371,18,1,
2361,253,2,0,1,
1882,372,18,1,1882,
168,2,0,1,2227,
373,18,1,2227,250,
2,0,1,2368,374,
18,1,2368,375,20,
376,4,34,84,0,
79,0,85,0,67,
0,72,0,95,0,
83,0,84,0,65,
0,82,0,84,0,
95,0,69,0,86,
0,69,0,78,0,
84,0,1,89,1,
1,2,0,1,217,
377,18,1,217,378,
20,379,4,12,83,
0,84,0,82,0,
79,0,75,0,69,
0,1,34,1,1,
2,0,1,1332,380,
18,1,1332,160,2,
0,1,2371,381,18,
1,2371,382,20,383,
4,22,84,0,73,
0,77,0,69,0,
82,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
87,1,1,2,0,
1,1335,384,18,1,
1335,163,2,0,1,
2374,385,18,1,2374,
386,20,387,4,24,
83,0,69,0,78,
0,83,0,79,0,
82,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
84,1,1,2,0,
1,223,388,18,1,
223,168,2,0,1,
2452,389,18,1,2452,
390,20,391,4,20,
83,0,116,0,97,
0,116,0,101,0,
69,0,118,0,101,
0,110,0,116,0,
1,102,1,2,2,
0,1,2453,392,18,
1,2453,253,2,0,
1,2454,393,18,1,
2454,390,2,0,1,
1341,394,18,1,1341,
168,2,0,1,2456,
395,18,1,2456,156,
2,0,1,2381,396,
18,1,2381,397,20,
398,4,30,78,0,
79,0,95,0,83,
0,69,0,78,0,
83,0,79,0,82,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,77,
1,1,2,0,1,
1901,399,18,1,1901,
153,2,0,1,1303,
400,18,1,1303,168,
2,0,1,2384,401,
18,1,2384,402,20,
403,4,22,77,0,
79,0,78,0,69,
0,89,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,74,1,1,2,
0,1,2385,404,18,
1,2385,405,20,406,
4,24,76,0,73,
0,83,0,84,0,
69,0,78,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,73,1,1,
2,0,1,2387,407,
18,1,2387,408,20,
409,4,52,76,0,
65,0,78,0,68,
0,95,0,67,0,
79,0,76,0,76,
0,73,0,83,0,
73,0,79,0,78,
0,95,0,83,0,
84,0,65,0,82,
0,84,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,71,1,1,2,
0,1,236,410,18,
1,236,411,20,412,
4,6,65,0,77,
0,80,0,1,33,
1,1,2,0,1,
2389,413,18,1,2389,
414,20,415,4,40,
76,0,65,0,78,
0,68,0,95,0,
67,0,79,0,76,
0,76,0,73,0,
83,0,73,0,79,
0,78,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,69,1,1,2,
0,1,2390,416,18,
1,2390,417,20,418,
4,38,72,0,84,
0,84,0,80,0,
95,0,82,0,69,
0,83,0,80,0,
79,0,78,0,83,
0,69,0,95,0,
69,0,86,0,69,
0,78,0,84,0,
1,68,1,1,2,
0,1,2391,419,18,
1,2391,420,20,421,
4,22,69,0,77,
0,65,0,73,0,
76,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
67,1,1,2,0,
1,242,422,18,1,
242,168,2,0,1,
2397,423,18,1,2397,
424,20,425,4,26,
67,0,72,0,65,
0,78,0,71,0,
69,0,68,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,61,1,1,
2,0,1,2400,426,
18,1,2400,427,20,
428,4,38,65,0,
84,0,95,0,82,
0,79,0,84,0,
95,0,84,0,65,
0,82,0,71,0,
69,0,84,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,58,1,1,
2,0,1,256,429,
18,1,256,430,20,
431,4,14,80,0,
69,0,82,0,67,
0,69,0,78,0,
84,0,1,22,1,
1,2,0,1,1371,
432,18,1,1371,212,
2,0,1,1931,433,
18,1,1931,250,2,
0,1,1932,434,18,
1,1932,435,20,436,
4,4,73,0,70,
0,1,42,1,1,
2,0,1,262,437,
18,1,262,168,2,
0,1,1377,438,18,
1,1377,168,2,0,
1,1876,439,18,1,
1876,135,2,0,1,
2417,440,18,1,2417,
441,20,442,4,18,
83,0,116,0,97,
0,116,0,101,0,
66,0,111,0,100,
0,121,0,1,101,
1,2,2,0,1,
1939,443,18,1,1939,
168,2,0,1,827,
444,18,1,827,168,
2,0,1,277,445,
18,1,277,446,20,
447,4,10,83,0,
76,0,65,0,83,
0,72,0,1,21,
1,1,2,0,1,
283,448,18,1,283,
168,2,0,1,1958,
449,18,1,1958,153,
2,0,1,1406,450,
18,1,1406,160,2,
0,1,1407,451,18,
1,1407,206,2,0,
1,299,452,18,1,
299,453,20,454,4,
8,83,0,84,0,
65,0,82,0,1,
20,1,1,2,0,
1,1370,455,18,1,
1370,160,2,0,1,
2529,456,18,1,2529,
457,20,458,4,12,
83,0,116,0,97,
0,116,0,101,0,
115,0,1,99,1,
2,2,0,1,2527,
459,18,1,2527,253,
2,0,1,2379,460,
18,1,2379,461,20,
462,4,38,78,0,
79,0,84,0,95,
0,65,0,84,0,
95,0,84,0,65,
0,82,0,71,0,
69,0,84,0,95,
0,69,0,86,0,
69,0,78,0,84,
0,1,79,1,1,
2,0,1,2532,463,
18,1,2532,464,20,
465,4,10,83,0,
116,0,97,0,116,
0,101,0,1,100,
1,2,2,0,1,
305,466,18,1,305,
168,2,0,1,2534,
467,18,1,2534,132,
2,0,1,2535,468,
18,1,2535,135,2,
0,1,2599,469,18,
1,2599,457,2,0,
1,2544,470,18,1,
2544,140,2,0,1,
1989,471,18,1,1989,
250,2,0,1,1990,
472,18,1,1990,473,
20,474,4,8,69,
0,76,0,83,0,
69,0,1,43,1,
1,2,0,1,2548,
475,18,1,2548,261,
2,0,1,322,476,
18,1,322,224,2,
0,1,2551,477,18,
1,2551,352,2,0,
1,1933,478,18,1,
1933,135,2,0,1,
883,479,18,1,883,
168,2,0,1,328,
480,18,1,328,168,
2,0,1,1443,481,
18,1,1443,237,2,
0,1,1449,482,18,
1,1449,168,2,0,
1,2411,483,18,1,
2411,140,2,0,1,
2491,484,18,1,2491,
441,2,0,1,1413,
485,18,1,1413,168,
2,0,1,346,486,
18,1,346,487,20,
488,4,8,80,0,
76,0,85,0,83,
0,1,18,1,1,
2,0,1,2576,489,
18,1,2576,191,2,
0,1,2021,490,18,
1,2021,250,2,0,
1,2022,491,18,1,
2022,492,20,493,4,
10,83,0,84,0,
65,0,84,0,69,
0,1,48,1,1,
2,0,1,352,494,
18,1,352,168,2,
0,1,2024,495,18,
1,2024,132,2,0,
1,2025,496,18,1,
2025,497,20,498,4,
8,74,0,85,0,
77,0,80,0,1,
49,1,1,2,0,
1,2026,499,18,1,
2026,132,2,0,1,
2027,500,18,1,2027,
501,20,502,4,4,
65,0,84,0,1,
23,1,1,2,0,
1,2028,503,18,1,
2028,132,2,0,1,
2029,504,18,1,2029,
261,2,0,1,2030,
505,18,1,2030,506,
20,507,4,14,70,
0,111,0,114,0,
76,0,111,0,111,
0,112,0,1,120,
1,2,2,0,1,
2031,508,18,1,2031,
509,20,510,4,32,
68,0,111,0,87,
0,104,0,105,0,
108,0,101,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,1,119,1,
2,2,0,1,2032,
511,18,1,2032,512,
20,513,4,28,87,
0,104,0,105,0,
108,0,101,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,1,118,1,
2,2,0,1,2033,
514,18,1,2033,515,
20,516,4,22,73,
0,102,0,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,1,117,1,2,
2,0,1,2034,517,
18,1,2034,518,20,
519,4,22,83,0,
116,0,97,0,116,
0,101,0,67,0,
104,0,97,0,110,
0,103,0,101,0,
1,116,1,2,2,
0,1,1478,520,18,
1,1478,160,2,0,
1,1479,521,18,1,
1479,283,2,0,1,
2037,522,18,1,2037,
191,2,0,1,2038,
523,18,1,2038,524,
20,525,4,18,74,
0,117,0,109,0,
112,0,76,0,97,
0,98,0,101,0,
108,0,1,114,1,
2,2,0,1,2039,
526,18,1,2039,191,
2,0,1,2040,527,
18,1,2040,528,20,
529,4,30,82,0,
101,0,116,0,117,
0,114,0,110,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,1,113,
1,2,2,0,1,
2041,530,18,1,2041,
191,2,0,1,1485,
531,18,1,1485,168,
2,0,1,372,532,
18,1,372,180,2,
0,1,373,533,18,
1,373,132,2,0,
1,374,534,18,1,
374,176,2,0,1,
375,535,18,1,375,
132,2,0,1,376,
536,18,1,376,183,
2,0,1,377,537,
18,1,377,132,2,
0,1,378,538,18,
1,378,176,2,0,
1,379,539,18,1,
379,132,2,0,1,
380,540,18,1,380,
541,20,542,4,16,
67,0,111,0,110,
0,115,0,116,0,
97,0,110,0,116,
0,1,126,1,2,
2,0,1,381,543,
18,1,381,330,2,
0,1,2610,104,1,
2455,544,18,1,2455,
545,20,546,4,26,
68,0,69,0,70,
0,65,0,85,0,
76,0,84,0,95,
0,83,0,84,0,
65,0,84,0,69,
0,1,47,1,1,
2,0,1,371,547,
18,1,371,548,20,
549,4,24,70,0,
117,0,110,0,99,
0,116,0,105,0,
111,0,110,0,67,
0,97,0,108,0,
108,0,1,122,1,
2,2,0,1,942,
550,18,1,942,168,
2,0,1,2533,551,
18,1,2533,464,2,
0,1,387,552,18,
1,387,168,2,0,
1,2394,553,18,1,
2394,554,20,555,4,
42,67,0,79,0,
76,0,76,0,73,
0,83,0,73,0,
79,0,78,0,95,
0,83,0,84,0,
65,0,82,0,84,
0,95,0,69,0,
86,0,69,0,78,
0,84,0,1,64,
1,1,2,0,1,
2546,556,18,1,2546,
153,2,0,1,1514,
557,18,1,1514,160,
2,0,1,1515,558,
18,1,1515,352,2,
0,1,2606,559,18,
1,2606,560,20,561,
4,48,71,0,108,
0,111,0,98,0,
97,0,108,0,70,
0,117,0,110,0,
99,0,116,0,105,
0,111,0,110,0,
68,0,101,0,102,
0,105,0,110,0,
105,0,116,0,105,
0,111,0,110,0,
1,98,1,2,2,
0,1,2074,562,18,
1,2074,160,2,0,
1,2075,563,18,1,
2075,153,2,0,1,
406,564,18,1,406,
143,2,0,1,1521,
565,18,1,1521,168,
2,0,1,2557,566,
18,1,2557,168,2,
0,1,412,567,18,
1,412,168,2,0,
1,2023,568,18,1,
2023,545,2,0,1,
1442,569,18,1,1442,
160,2,0,1,2035,
570,18,1,2035,191,
2,0,1,2036,571,
18,1,2036,572,20,
573,4,26,74,0,
117,0,109,0,112,
0,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,1,
115,1,2,2,0,
1,431,574,18,1,
431,143,2,0,1,
2105,575,18,1,2105,
250,2,0,1,2106,
576,18,1,2106,473,
2,0,1,1550,577,
18,1,1550,160,2,
0,1,437,578,18,
1,437,168,2,0,
1,2044,579,18,1,
2044,580,20,581,4,
28,69,0,109,0,
112,0,116,0,121,
0,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,1,
110,1,2,2,0,
1,2045,582,18,1,
2045,191,2,0,1,
1555,583,18,1,1555,
168,2,0,1,2588,
584,18,1,2588,585,
20,586,4,34,71,
0,108,0,111,0,
98,0,97,0,108,
0,68,0,101,0,
102,0,105,0,110,
0,105,0,116,0,
105,0,111,0,110,
0,115,0,1,96,
1,2,2,0,1,
1001,587,18,1,1001,
548,2,0,1,1002,
588,18,1,1002,541,
2,0,1,447,589,
18,1,447,360,2,
0,1,2375,590,18,
1,2375,591,20,592,
4,52,82,0,85,
0,78,0,95,0,
84,0,73,0,77,
0,69,0,95,0,
80,0,69,0,82,
0,77,0,73,0,
83,0,83,0,73,
0,79,0,78,0,
83,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
83,1,1,2,0,
1,1010,593,18,1,
1010,160,2,0,1,
1011,594,18,1,1011,
153,2,0,1,1012,
595,18,1,1012,168,
2,0,1,1013,596,
18,1,1013,153,2,
0,1,459,597,18,
1,459,598,20,599,
4,24,76,0,69,
0,70,0,84,0,
95,0,66,0,82,
0,65,0,67,0,
75,0,69,0,84,
0,1,27,1,1,
2,0,1,1574,600,
18,1,1574,191,2,
0,1,461,601,18,
1,461,602,20,603,
4,24,65,0,114,
0,103,0,117,0,
109,0,101,0,110,
0,116,0,76,0,
105,0,115,0,116,
0,1,123,1,2,
2,0,1,462,604,
18,1,462,143,2,
0,1,2608,605,18,
1,2608,560,2,0,
1,464,606,18,1,
464,607,20,608,4,
16,65,0,114,0,
103,0,117,0,109,
0,101,0,110,0,
116,0,1,124,1,
2,2,0,1,2136,
609,18,1,2136,250,
2,0,1,2611,610,
18,1,2611,611,23,
612,4,6,69,0,
79,0,70,0,1,
2,1,6,2,0,
1,1585,613,18,1,
1585,614,20,615,4,
12,82,0,69,0,
84,0,85,0,82,
0,78,0,1,50,
1,1,2,0,1,
476,616,18,1,476,
617,20,618,4,30,
83,0,84,0,82,
0,73,0,78,0,
71,0,95,0,67,
0,79,0,78,0,
83,0,84,0,65,
0,78,0,84,0,
1,3,1,1,2,
0,1,477,619,18,
1,477,620,20,621,
4,28,70,0,76,
0,79,0,65,0,
84,0,95,0,67,
0,79,0,78,0,
83,0,84,0,65,
0,78,0,84,0,
1,94,1,1,2,
0,1,478,622,18,
1,478,623,20,624,
4,40,72,0,69,
0,88,0,95,0,
73,0,78,0,84,
0,69,0,71,0,
69,0,82,0,95,
0,67,0,79,0,
78,0,83,0,84,
0,65,0,78,0,
84,0,1,93,1,
1,2,0,1,479,
625,18,1,479,626,
20,627,4,32,73,
0,78,0,84,0,
69,0,71,0,69,
0,82,0,95,0,
67,0,79,0,78,
0,83,0,84,0,
65,0,78,0,84,
0,1,92,1,1,
2,0,1,480,628,
18,1,480,629,20,
630,4,26,82,0,
73,0,71,0,72,
0,84,0,95,0,
66,0,82,0,65,
0,67,0,75,0,
69,0,84,0,1,
28,1,1,2,0,
1,481,631,18,1,
481,607,2,0,1,
2550,632,18,1,2550,
150,2,0,1,2607,
633,18,1,2607,634,
20,635,4,50,71,
0,108,0,111,0,
98,0,97,0,108,
0,86,0,97,0,
114,0,105,0,97,
0,98,0,108,0,
101,0,68,0,101,
0,99,0,108,0,
97,0,114,0,97,
0,116,0,105,0,
111,0,110,0,1,
97,1,2,2,0,
1,1048,636,18,1,
1048,168,2,0,1,
2042,637,18,1,2042,
638,20,639,4,20,
65,0,115,0,115,
0,105,0,103,0,
110,0,109,0,101,
0,110,0,116,0,
1,111,1,2,2,
0,1,2043,640,18,
1,2043,191,2,0,
1,1620,641,18,1,
1620,160,2,0,1,
1621,642,18,1,1621,
150,2,0,1,1622,
643,18,1,1622,352,
2,0,1,509,644,
18,1,509,143,2,
0,1,2365,645,18,
1,2365,492,2,0,
1,1628,646,18,1,
1628,168,2,0,1,
515,647,18,1,515,
168,2,0,1,2369,
648,18,1,2369,649,
20,650,4,30,84,
0,79,0,85,0,
67,0,72,0,95,
0,69,0,78,0,
68,0,95,0,69,
0,86,0,69,0,
78,0,84,0,1,
90,1,1,2,0,
1,2587,651,18,1,
2587,191,2,0,1,
525,652,18,1,525,
360,2,0,1,2197,
653,18,1,2197,160,
2,0,1,2198,654,
18,1,2198,153,2,
0,1,1591,655,18,
1,1591,168,2,0,
1,1094,656,18,1,
1094,602,2,0,1,
1096,657,18,1,1096,
153,2,0,1,1657,
658,18,1,1657,191,
2,0,1,1658,659,
18,1,1658,660,20,
661,4,6,70,0,
79,0,82,0,1,
46,1,1,2,0,
1,1659,662,18,1,
1659,135,2,0,1,
2609,663,18,1,2609,
634,2,0,1,1665,
664,18,1,1665,168,
2,0,1,1113,665,
18,1,1113,176,2,
0,666,5,0,667,
5,321,1,2,668,
19,612,1,2,669,
5,6,1,2453,670,
17,671,15,672,4,
12,37,0,83,0,
116,0,97,0,116,
0,101,0,1,-1,
1,5,673,20,674,
4,14,83,0,116,
0,97,0,116,0,
101,0,95,0,50,
0,1,154,1,3,
1,6,1,5,675,
22,1,14,1,2532,
676,17,677,15,678,
4,14,37,0,83,
0,116,0,97,0,
116,0,101,0,115,
0,1,-1,1,5,
679,20,680,4,16,
83,0,116,0,97,
0,116,0,101,0,
115,0,95,0,50,
0,1,152,1,3,
1,3,1,2,681,
22,1,12,1,2599,
682,17,683,15,684,
4,30,37,0,76,
0,83,0,76,0,
80,0,114,0,111,
0,103,0,114,0,
97,0,109,0,82,
0,111,0,111,0,
116,0,1,-1,1,
5,685,20,686,4,
32,76,0,83,0,
76,0,80,0,114,
0,111,0,103,0,
114,0,97,0,109,
0,82,0,111,0,
111,0,116,0,95,
0,49,0,1,141,
1,3,1,3,1,
2,687,22,1,1,
1,2533,688,17,689,
15,678,1,-1,1,
5,690,20,691,4,
16,83,0,116,0,
97,0,116,0,101,
0,115,0,95,0,
49,0,1,151,1,
3,1,2,1,1,
692,22,1,11,1,
2527,693,17,694,15,
672,1,-1,1,5,
695,20,696,4,14,
83,0,116,0,97,
0,116,0,101,0,
95,0,49,0,1,
153,1,3,1,5,
1,4,697,22,1,
13,1,2529,698,17,
699,15,684,1,-1,
1,5,700,20,701,
4,32,76,0,83,
0,76,0,80,0,
114,0,111,0,103,
0,114,0,97,0,
109,0,82,0,111,
0,111,0,116,0,
95,0,50,0,1,
142,1,3,1,2,
1,1,702,22,1,
2,1,3,703,19,
618,1,3,704,5,
91,1,256,705,16,
0,616,1,1261,706,
16,0,616,1,509,
707,16,0,616,1,
1515,708,16,0,616,
1,2021,709,17,710,
15,711,4,24,37,
0,73,0,102,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,1,-1,
1,5,712,20,713,
4,26,73,0,102,
0,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,95,
0,50,0,1,184,
1,3,1,8,1,
7,714,22,1,45,
1,1775,715,16,0,
616,1,2029,716,17,
717,15,718,4,20,
37,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
1,-1,1,5,719,
20,720,4,24,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,49,
0,51,0,1,178,
1,3,1,2,1,
1,721,22,1,39,
1,2030,722,17,723,
15,718,1,-1,1,
5,724,20,725,4,
24,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,95,
0,49,0,50,0,
1,177,1,3,1,
2,1,1,726,22,
1,38,1,2031,727,
17,728,15,718,1,
-1,1,5,729,20,
730,4,24,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,95,0,49,0,
49,0,1,176,1,
3,1,2,1,1,
731,22,1,37,1,
2032,732,17,733,15,
718,1,-1,1,5,
734,20,735,4,24,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,48,0,1,
175,1,3,1,2,
1,1,736,22,1,
36,1,2033,737,17,
738,15,718,1,-1,
1,5,739,20,740,
4,22,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,57,0,1,
174,1,3,1,2,
1,1,741,22,1,
35,1,277,742,16,
0,616,1,2035,743,
17,744,15,718,1,
-1,1,5,745,20,
746,4,22,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,95,0,56,0,
1,173,1,3,1,
3,1,2,747,22,
1,34,1,2037,748,
17,749,15,718,1,
-1,1,5,750,20,
751,4,22,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,95,0,55,0,
1,172,1,3,1,
3,1,2,752,22,
1,33,1,2039,753,
17,754,15,718,1,
-1,1,5,755,20,
756,4,22,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,95,0,54,0,
1,171,1,3,1,
3,1,2,757,22,
1,32,1,32,758,
16,0,616,1,2041,
759,17,760,15,718,
1,-1,1,5,761,
20,762,4,22,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,53,
0,1,170,1,3,
1,3,1,2,763,
22,1,31,1,2043,
764,17,765,15,718,
1,-1,1,5,766,
20,767,4,22,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,51,
0,1,168,1,3,
1,3,1,2,768,
22,1,29,1,2045,
769,17,770,15,718,
1,-1,1,5,771,
20,772,4,22,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,49,
0,1,166,1,3,
1,3,1,2,773,
22,1,27,1,41,
774,16,0,616,1,
1297,775,16,0,616,
1,43,776,16,0,
616,1,1802,777,17,
778,15,779,4,16,
37,0,70,0,111,
0,114,0,76,0,
111,0,111,0,112,
0,1,-1,1,5,
780,20,781,4,18,
70,0,111,0,114,
0,76,0,111,0,
111,0,112,0,95,
0,49,0,1,191,
1,3,1,10,1,
9,782,22,1,52,
1,1804,783,16,0,
616,1,299,784,16,
0,616,1,2310,785,
16,0,616,1,52,
786,16,0,616,1,
525,787,16,0,616,
1,62,788,16,0,
616,1,2075,789,16,
0,616,1,1574,790,
17,791,15,718,1,
-1,1,5,792,20,
793,4,22,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,95,0,52,0,
1,169,1,3,1,
3,1,2,794,22,
1,30,1,71,795,
16,0,616,1,76,
796,16,0,616,1,
1834,797,16,0,616,
1,79,798,16,0,
616,1,1335,799,16,
0,616,1,322,800,
16,0,616,1,85,
801,16,0,616,1,
89,802,16,0,616,
1,346,803,16,0,
616,1,2355,804,17,
805,15,806,4,28,
37,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
76,0,105,0,115,
0,116,0,1,-1,
1,5,807,20,808,
4,30,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
76,0,105,0,115,
0,116,0,95,0,
50,0,1,164,1,
3,1,3,1,2,
809,22,1,25,1,
2105,810,17,811,15,
711,1,-1,1,5,
812,20,813,4,26,
73,0,102,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,51,
0,1,185,1,3,
1,6,1,5,814,
22,1,46,1,2106,
815,16,0,616,1,
2359,816,17,817,15,
806,1,-1,1,5,
818,20,819,4,30,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,76,0,
105,0,115,0,116,
0,95,0,49,0,
1,163,1,3,1,
2,1,1,820,22,
1,24,1,2361,821,
17,822,15,823,4,
36,37,0,67,0,
111,0,109,0,112,
0,111,0,117,0,
110,0,100,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,1,-1,1,
5,824,20,825,4,
38,67,0,111,0,
109,0,112,0,111,
0,117,0,110,0,
100,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,49,0,1,
161,1,3,1,3,
1,2,826,22,1,
22,1,1860,827,17,
828,15,829,4,34,
37,0,68,0,111,
0,87,0,104,0,
105,0,108,0,101,
0,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,1,
-1,1,5,830,20,
831,4,36,68,0,
111,0,87,0,104,
0,105,0,108,0,
101,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,49,0,1,
189,1,3,1,8,
1,7,832,22,1,
50,1,97,833,16,
0,616,1,112,834,
16,0,616,1,1117,
835,16,0,616,1,
1873,836,17,837,15,
829,1,-1,1,5,
838,20,839,4,36,
68,0,111,0,87,
0,104,0,105,0,
108,0,101,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,50,
0,1,190,1,3,
1,8,1,7,840,
22,1,51,1,102,
841,16,0,616,1,
1876,842,16,0,616,
1,2551,843,16,0,
616,1,124,844,16,
0,616,1,2136,845,
17,846,15,711,1,
-1,1,5,847,20,
848,4,26,73,0,
102,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,52,0,1,
186,1,3,1,8,
1,7,849,22,1,
47,1,381,850,16,
0,616,1,137,851,
16,0,616,1,1901,
852,16,0,616,1,
1153,853,16,0,616,
1,151,854,16,0,
616,1,1407,855,16,
0,616,1,1659,856,
16,0,616,1,406,
857,16,0,616,1,
1371,858,16,0,616,
1,166,859,16,0,
616,1,1622,860,16,
0,616,1,2356,861,
17,862,15,823,1,
-1,1,5,863,20,
864,4,38,67,0,
111,0,109,0,112,
0,111,0,117,0,
110,0,100,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,50,
0,1,162,1,3,
1,4,1,3,865,
22,1,23,1,1931,
866,17,867,15,868,
4,30,37,0,87,
0,104,0,105,0,
108,0,101,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,1,-1,1,
5,869,20,870,4,
32,87,0,104,0,
105,0,108,0,101,
0,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,95,
0,49,0,1,187,
1,3,1,6,1,
5,871,22,1,48,
1,1933,872,16,0,
616,1,431,873,16,
0,616,1,1585,874,
16,0,616,1,182,
875,16,0,616,1,
1189,876,16,0,616,
1,1443,877,16,0,
616,1,1695,878,16,
0,616,1,2198,879,
16,0,616,1,447,
880,16,0,616,1,
199,881,16,0,616,
1,1958,882,16,0,
616,1,1657,883,17,
884,15,718,1,-1,
1,5,885,20,886,
4,22,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,50,0,1,
167,1,3,1,3,
1,2,887,22,1,
28,1,459,888,16,
0,616,1,462,889,
16,0,616,1,217,
890,16,0,616,1,
2227,891,17,892,15,
868,1,-1,1,5,
893,20,894,4,32,
87,0,104,0,105,
0,108,0,101,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,95,0,
50,0,1,188,1,
3,1,6,1,5,
895,22,1,49,1,
1225,896,16,0,616,
1,1479,897,16,0,
616,1,1731,898,16,
0,616,1,1989,899,
17,900,15,711,1,
-1,1,5,901,20,
902,4,26,73,0,
102,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,49,0,1,
183,1,3,1,6,
1,5,903,22,1,
44,1,1990,904,16,
0,616,1,236,905,
16,0,616,1,1756,
906,16,0,616,1,
4,907,19,184,1,
4,908,5,96,1,
256,909,16,0,536,
1,1261,910,16,0,
536,1,509,911,16,
0,536,1,1515,912,
16,0,536,1,2021,
709,1,1775,913,16,
0,536,1,2029,716,
1,2030,722,1,2031,
727,1,2032,732,1,
2033,737,1,277,914,
16,0,536,1,2035,
743,1,2037,748,1,
2039,753,1,32,915,
16,0,536,1,2041,
759,1,2043,764,1,
2045,769,1,40,916,
16,0,186,1,2551,
917,16,0,536,1,
1297,918,16,0,536,
1,43,919,16,0,
536,1,41,920,16,
0,536,1,1802,777,
1,1804,921,16,0,
536,1,299,922,16,
0,536,1,44,923,
16,0,186,1,2310,
924,16,0,536,1,
52,925,16,0,536,
1,47,926,16,0,
182,1,525,927,16,
0,536,1,63,928,
16,0,201,1,66,
929,16,0,199,1,
2075,930,16,0,536,
1,1574,790,1,71,
931,16,0,536,1,
76,932,16,0,536,
1,1834,933,16,0,
536,1,79,934,16,
0,536,1,1335,935,
16,0,536,1,322,
936,16,0,536,1,
85,937,16,0,536,
1,89,938,16,0,
536,1,346,939,16,
0,536,1,2355,804,
1,2105,810,1,2106,
940,16,0,536,1,
2359,816,1,2361,821,
1,1860,827,1,97,
941,16,0,536,1,
1114,942,16,0,182,
1,112,943,16,0,
536,1,1117,944,16,
0,536,1,1873,836,
1,102,945,16,0,
536,1,1876,946,16,
0,536,1,124,947,
16,0,536,1,2136,
845,1,381,948,16,
0,536,1,137,949,
16,0,536,1,1901,
950,16,0,536,1,
1153,951,16,0,536,
1,151,952,16,0,
536,1,1407,953,16,
0,536,1,1659,954,
16,0,536,1,406,
955,16,0,536,1,
1371,956,16,0,536,
1,166,957,16,0,
536,1,1622,958,16,
0,536,1,2356,861,
1,1931,866,1,1933,
959,16,0,536,1,
431,960,16,0,536,
1,1585,961,16,0,
536,1,182,962,16,
0,536,1,1189,963,
16,0,536,1,1443,
964,16,0,536,1,
1695,965,16,0,536,
1,2198,966,16,0,
536,1,447,967,16,
0,536,1,199,968,
16,0,536,1,1958,
969,16,0,536,1,
1657,883,1,459,970,
16,0,536,1,462,
971,16,0,536,1,
217,972,16,0,536,
1,2227,891,1,1225,
973,16,0,536,1,
1479,974,16,0,536,
1,1731,975,16,0,
536,1,1989,899,1,
1990,976,16,0,536,
1,236,977,16,0,
536,1,1756,978,16,
0,536,1,5,979,
19,181,1,5,980,
5,96,1,256,981,
16,0,532,1,1261,
982,16,0,532,1,
509,983,16,0,532,
1,1515,984,16,0,
532,1,2021,709,1,
1775,985,16,0,532,
1,2029,716,1,2030,
722,1,2031,727,1,
2032,732,1,2033,737,
1,277,986,16,0,
532,1,2035,743,1,
2037,748,1,2039,753,
1,32,987,16,0,
532,1,2041,759,1,
2043,764,1,2045,769,
1,40,988,16,0,
185,1,2551,989,16,
0,532,1,1297,990,
16,0,532,1,43,
991,16,0,532,1,
41,992,16,0,532,
1,1802,777,1,1804,
993,16,0,532,1,
299,994,16,0,532,
1,44,995,16,0,
185,1,2310,996,16,
0,532,1,52,997,
16,0,532,1,47,
998,16,0,179,1,
525,999,16,0,532,
1,63,1000,16,0,
200,1,66,1001,16,
0,198,1,2075,1002,
16,0,532,1,1574,
790,1,71,1003,16,
0,532,1,76,1004,
16,0,532,1,1834,
1005,16,0,532,1,
79,1006,16,0,532,
1,1335,1007,16,0,
532,1,322,1008,16,
0,532,1,85,1009,
16,0,532,1,89,
1010,16,0,532,1,
346,1011,16,0,532,
1,2355,804,1,2105,
810,1,2106,1012,16,
0,532,1,2359,816,
1,2361,821,1,1860,
827,1,97,1013,16,
0,532,1,1114,1014,
16,0,179,1,112,
1015,16,0,532,1,
1117,1016,16,0,532,
1,1873,836,1,102,
1017,16,0,532,1,
1876,1018,16,0,532,
1,124,1019,16,0,
532,1,2136,845,1,
381,1020,16,0,532,
1,137,1021,16,0,
532,1,1901,1022,16,
0,532,1,1153,1023,
16,0,532,1,151,
1024,16,0,532,1,
1407,1025,16,0,532,
1,1659,1026,16,0,
532,1,406,1027,16,
0,532,1,1371,1028,
16,0,532,1,166,
1029,16,0,532,1,
1622,1030,16,0,532,
1,2356,861,1,1931,
866,1,1933,1031,16,
0,532,1,431,1032,
16,0,532,1,1585,
1033,16,0,532,1,
182,1034,16,0,532,
1,1189,1035,16,0,
532,1,1443,1036,16,
0,532,1,1695,1037,
16,0,532,1,2198,
1038,16,0,532,1,
447,1039,16,0,532,
1,199,1040,16,0,
532,1,1958,1041,16,
0,532,1,1657,883,
1,459,1042,16,0,
532,1,462,1043,16,
0,532,1,217,1044,
16,0,532,1,2227,
891,1,1225,1045,16,
0,532,1,1479,1046,
16,0,532,1,1731,
1047,16,0,532,1,
1989,899,1,1990,1048,
16,0,532,1,236,
1049,16,0,532,1,
1756,1050,16,0,532,
1,6,1051,19,284,
1,6,1052,5,2,
1,1114,1053,16,0,
282,1,40,1054,16,
0,521,1,7,1055,
19,238,1,7,1056,
5,2,1,1114,1057,
16,0,236,1,40,
1058,16,0,481,1,
8,1059,19,207,1,
8,1060,5,2,1,
1114,1061,16,0,205,
1,40,1062,16,0,
451,1,9,1063,19,
213,1,9,1064,5,
2,1,1114,1065,16,
0,211,1,40,1066,
16,0,432,1,10,
1067,19,164,1,10,
1068,5,2,1,1114,
1069,16,0,162,1,
40,1070,16,0,384,
1,11,1071,19,192,
1,11,1072,5,142,
1,1260,1073,17,1074,
15,1075,4,34,37,
0,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,1,-1,
1,5,1076,20,1077,
4,38,83,0,105,
0,109,0,112,0,
108,0,101,0,65,
0,115,0,115,0,
105,0,103,0,110,
0,109,0,101,0,
110,0,116,0,95,
0,50,0,49,0,
1,218,1,3,1,
6,1,5,1078,22,
1,79,1,1011,1079,
17,1080,15,1081,4,
44,37,0,80,0,
97,0,114,0,101,
0,110,0,116,0,
104,0,101,0,115,
0,105,0,115,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
1,-1,1,5,1082,
20,1083,4,46,80,
0,97,0,114,0,
101,0,110,0,116,
0,104,0,101,0,
115,0,105,0,115,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,95,0,50,0,
1,265,1,3,1,
4,1,3,1084,22,
1,126,1,1514,1085,
17,1086,15,1075,1,
-1,1,5,1087,20,
1088,4,38,83,0,
105,0,109,0,112,
0,108,0,101,0,
65,0,115,0,115,
0,105,0,103,0,
110,0,109,0,101,
0,110,0,116,0,
95,0,49,0,52,
0,1,211,1,3,
1,4,1,3,1089,
22,1,72,1,9,
1090,17,1091,15,1092,
4,24,37,0,68,
0,101,0,99,0,
108,0,97,0,114,
0,97,0,116,0,
105,0,111,0,110,
0,1,-1,1,5,
1093,20,1094,4,26,
68,0,101,0,99,
0,108,0,97,0,
114,0,97,0,116,
0,105,0,111,0,
110,0,95,0,49,
0,1,160,1,3,
1,3,1,2,1095,
22,1,21,1,262,
1096,17,1097,15,1098,
4,34,37,0,66,
0,105,0,110,0,
97,0,114,0,121,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,-1,1,5,
1099,20,1100,4,36,
66,0,105,0,110,
0,97,0,114,0,
121,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,53,
0,1,247,1,3,
1,4,1,3,1101,
22,1,108,1,1267,
1102,17,1103,15,1075,
1,-1,1,5,1104,
20,1105,4,36,83,
0,105,0,109,0,
112,0,108,0,101,
0,65,0,115,0,
115,0,105,0,103,
0,110,0,109,0,
101,0,110,0,116,
0,95,0,56,0,
1,205,1,3,1,
6,1,5,1106,22,
1,66,1,2021,709,
1,1521,1107,17,1108,
15,1075,1,-1,1,
5,1109,20,1110,4,
36,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,1,198,1,
3,1,4,1,3,
1111,22,1,59,1,
2024,1112,17,1113,15,
1114,4,24,37,0,
83,0,116,0,97,
0,116,0,101,0,
67,0,104,0,97,
0,110,0,103,0,
101,0,1,-1,1,
5,1115,20,1116,4,
26,83,0,116,0,
97,0,116,0,101,
0,67,0,104,0,
97,0,110,0,103,
0,101,0,95,0,
49,0,1,181,1,
3,1,3,1,2,
1117,22,1,42,1,
1775,1118,17,1119,15,
1120,4,30,37,0,
69,0,109,0,112,
0,116,0,121,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,1,-1,
1,5,1121,20,1122,
4,32,69,0,109,
0,112,0,116,0,
121,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,49,0,1,
165,1,3,1,1,
1,0,1123,22,1,
26,1,19,1124,17,
1091,1,2,1095,1,
2028,1125,17,1126,15,
1127,4,20,37,0,
74,0,117,0,109,
0,112,0,76,0,
97,0,98,0,101,
0,108,0,1,-1,
1,5,1128,20,1129,
4,22,74,0,117,
0,109,0,112,0,
76,0,97,0,98,
0,101,0,108,0,
95,0,49,0,1,
179,1,3,1,3,
1,2,1130,22,1,
40,1,2029,716,1,
2281,1131,17,1132,15,
1133,4,34,37,0,
70,0,111,0,114,
0,76,0,111,0,
111,0,112,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,1,-1,1,
5,1134,20,1135,4,
36,70,0,111,0,
114,0,76,0,111,
0,111,0,112,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,95,0,
50,0,1,193,1,
3,1,2,1,1,
1136,22,1,54,1,
2031,727,1,2032,732,
1,2033,737,1,2034,
1137,16,0,570,1,
2035,743,1,2036,1138,
16,0,522,1,2037,
748,1,2038,1139,16,
0,526,1,2039,753,
1,32,1140,17,1119,
1,0,1123,1,2041,
759,1,2042,1141,16,
0,640,1,2043,764,
1,2044,1142,16,0,
582,1,2045,769,1,
40,1143,17,1144,15,
1145,4,32,37,0,
73,0,100,0,101,
0,110,0,116,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
1,-1,1,5,1146,
20,1147,4,34,73,
0,100,0,101,0,
110,0,116,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,1,232,
1,3,1,2,1,
1,1148,22,1,93,
1,1296,1149,17,1150,
15,1075,1,-1,1,
5,1151,20,1152,4,
38,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,95,0,
50,0,48,0,1,
217,1,3,1,6,
1,5,1153,22,1,
78,1,283,1154,17,
1155,15,1098,1,-1,
1,5,1156,20,1157,
4,36,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,52,0,1,246,
1,3,1,4,1,
3,1158,22,1,107,
1,44,1159,17,1144,
1,1,1148,1,1802,
777,1,47,1160,17,
1161,15,1162,4,38,
37,0,73,0,100,
0,101,0,110,0,
116,0,68,0,111,
0,116,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,1,-1,
1,5,1163,20,1164,
4,40,73,0,100,
0,101,0,110,0,
116,0,68,0,111,
0,116,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,95,0,
49,0,1,233,1,
3,1,4,1,3,
1165,22,1,94,1,
48,1166,17,1167,15,
1168,4,58,37,0,
73,0,110,0,99,
0,114,0,101,0,
109,0,101,0,110,
0,116,0,68,0,
101,0,99,0,114,
0,101,0,109,0,
101,0,110,0,116,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,-1,1,5,
1169,20,1170,4,60,
73,0,110,0,99,
0,114,0,101,0,
109,0,101,0,110,
0,116,0,68,0,
101,0,99,0,114,
0,101,0,109,0,
101,0,110,0,116,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,95,0,52,0,
1,237,1,3,1,
5,1,4,1171,22,
1,98,1,49,1172,
17,1173,15,1168,1,
-1,1,5,1174,20,
1175,4,60,73,0,
110,0,99,0,114,
0,101,0,109,0,
101,0,110,0,116,
0,68,0,101,0,
99,0,114,0,101,
0,109,0,101,0,
110,0,116,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,51,0,1,236,
1,3,1,5,1,
4,1176,22,1,97,
1,50,1177,17,1178,
15,1168,1,-1,1,
5,1179,20,1180,4,
60,73,0,110,0,
99,0,114,0,101,
0,109,0,101,0,
110,0,116,0,68,
0,101,0,99,0,
114,0,101,0,109,
0,101,0,110,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,50,
0,1,235,1,3,
1,3,1,2,1181,
22,1,96,1,51,
1182,17,1183,15,1168,
1,-1,1,5,1184,
20,1185,4,60,73,
0,110,0,99,0,
114,0,101,0,109,
0,101,0,110,0,
116,0,68,0,101,
0,99,0,114,0,
101,0,109,0,101,
0,110,0,116,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
95,0,49,0,1,
234,1,3,1,3,
1,2,1186,22,1,
95,1,305,1187,17,
1188,15,1098,1,-1,
1,5,1189,20,1190,
4,36,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,51,0,1,245,
1,3,1,4,1,
3,1191,22,1,106,
1,525,1192,17,1193,
15,1194,4,34,37,
0,82,0,111,0,
116,0,97,0,116,
0,105,0,111,0,
110,0,67,0,111,
0,110,0,115,0,
116,0,97,0,110,
0,116,0,1,-1,
1,5,1195,20,1196,
4,36,82,0,111,
0,116,0,97,0,
116,0,105,0,111,
0,110,0,67,0,
111,0,110,0,115,
0,116,0,97,0,
110,0,116,0,95,
0,49,0,1,230,
1,3,1,10,1,
9,1197,22,1,91,
1,63,1198,17,1199,
15,1200,4,38,37,
0,84,0,121,0,
112,0,101,0,99,
0,97,0,115,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,1,-1,1,
5,1201,20,1202,4,
40,84,0,121,0,
112,0,101,0,99,
0,97,0,115,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,50,
0,1,267,1,3,
1,5,1,4,1203,
22,1,128,1,66,
1204,17,1205,15,1200,
1,-1,1,5,1206,
20,1207,4,40,84,
0,121,0,112,0,
101,0,99,0,97,
0,115,0,116,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
95,0,51,0,1,
268,1,3,1,7,
1,6,1208,22,1,
129,1,67,1209,17,
1210,15,1200,1,-1,
1,5,1211,20,1212,
4,40,84,0,121,
0,112,0,101,0,
99,0,97,0,115,
0,116,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,95,0,
55,0,1,272,1,
3,1,8,1,7,
1213,22,1,133,1,
68,1214,17,1215,15,
1200,1,-1,1,5,
1216,20,1217,4,40,
84,0,121,0,112,
0,101,0,99,0,
97,0,115,0,116,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,95,0,53,0,
1,270,1,3,1,
8,1,7,1218,22,
1,131,1,69,1219,
17,1220,15,1200,1,
-1,1,5,1221,20,
1222,4,40,84,0,
121,0,112,0,101,
0,99,0,97,0,
115,0,116,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,54,0,1,271,
1,3,1,6,1,
5,1223,22,1,132,
1,70,1224,17,1225,
15,1200,1,-1,1,
5,1226,20,1227,4,
40,84,0,121,0,
112,0,101,0,99,
0,97,0,115,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,52,
0,1,269,1,3,
1,6,1,5,1228,
22,1,130,1,74,
1229,17,1230,15,1200,
1,-1,1,5,1231,
20,1232,4,40,84,
0,121,0,112,0,
101,0,99,0,97,
0,115,0,116,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
95,0,57,0,1,
274,1,3,1,7,
1,6,1233,22,1,
135,1,1013,1234,17,
1235,15,1081,1,-1,
1,5,1236,20,1237,
4,46,80,0,97,
0,114,0,101,0,
110,0,116,0,104,
0,101,0,115,0,
105,0,115,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,1,264,
1,3,1,4,1,
3,1238,22,1,125,
1,1332,1239,17,1240,
15,1075,1,-1,1,
5,1241,20,1242,4,
38,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,57,0,1,
216,1,3,1,6,
1,5,1243,22,1,
77,1,1048,1244,17,
1245,15,1098,1,-1,
1,5,1246,20,1247,
4,38,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,56,0,
1,260,1,3,1,
4,1,3,1248,22,
1,121,1,1585,1249,
17,1250,15,1251,4,
32,37,0,82,0,
101,0,116,0,117,
0,114,0,110,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,1,-1,
1,5,1252,20,1253,
4,34,82,0,101,
0,116,0,117,0,
114,0,110,0,83,
0,116,0,97,0,
116,0,101,0,109,
0,101,0,110,0,
116,0,95,0,50,
0,1,223,1,3,
1,2,1,1,1254,
22,1,84,1,2023,
1255,17,1256,15,1114,
1,-1,1,5,1257,
20,1258,4,26,83,
0,116,0,97,0,
116,0,101,0,67,
0,104,0,97,0,
110,0,103,0,101,
0,95,0,50,0,
1,182,1,3,1,
3,1,2,1259,22,
1,43,1,2136,845,
1,82,1260,17,1261,
15,1262,4,32,37,
0,85,0,110,0,
97,0,114,0,121,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,-1,1,5,
1263,20,1264,4,34,
85,0,110,0,97,
0,114,0,121,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
95,0,51,0,1,
263,1,3,1,3,
1,2,1265,22,1,
124,1,2026,1266,17,
1267,15,1268,4,28,
37,0,74,0,117,
0,109,0,112,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,1,-1,
1,5,1269,20,1270,
4,30,74,0,117,
0,109,0,112,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,1,180,1,
3,1,3,1,2,
1271,22,1,41,1,
1591,1272,17,1273,15,
1251,1,-1,1,5,
1274,20,1275,4,34,
82,0,101,0,116,
0,117,0,114,0,
110,0,83,0,116,
0,97,0,116,0,
101,0,109,0,101,
0,110,0,116,0,
95,0,49,0,1,
222,1,3,1,3,
1,2,1276,22,1,
83,1,1341,1277,17,
1278,15,1075,1,-1,
1,5,1279,20,1280,
4,36,83,0,105,
0,109,0,112,0,
108,0,101,0,65,
0,115,0,115,0,
105,0,103,0,110,
0,109,0,101,0,
110,0,116,0,95,
0,54,0,1,203,
1,3,1,4,1,
3,1281,22,1,64,
1,2030,722,1,328,
1282,17,1283,15,1098,
1,-1,1,5,1284,
20,1285,4,36,66,
0,105,0,110,0,
97,0,114,0,121,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,95,0,50,0,
1,244,1,3,1,
4,1,3,1286,22,
1,105,1,1303,1287,
17,1288,15,1075,1,
-1,1,5,1289,20,
1290,4,36,83,0,
105,0,109,0,112,
0,108,0,101,0,
65,0,115,0,115,
0,105,0,103,0,
110,0,109,0,101,
0,110,0,116,0,
95,0,55,0,1,
204,1,3,1,6,
1,5,1291,22,1,
65,1,1096,1292,17,
1293,15,1294,4,26,
37,0,70,0,117,
0,110,0,99,0,
116,0,105,0,111,
0,110,0,67,0,
97,0,108,0,108,
0,1,-1,1,5,
1295,20,1296,4,28,
70,0,117,0,110,
0,99,0,116,0,
105,0,111,0,110,
0,67,0,97,0,
108,0,108,0,95,
0,49,0,1,275,
1,3,1,5,1,
4,1297,22,1,136,
1,93,1298,17,1299,
15,1262,1,-1,1,
5,1300,20,1301,4,
34,85,0,110,0,
97,0,114,0,121,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,95,0,50,0,
1,262,1,3,1,
3,1,2,1302,22,
1,123,1,1550,1303,
17,1304,15,1075,1,
-1,1,5,1305,20,
1306,4,38,83,0,
105,0,109,0,112,
0,108,0,101,0,
65,0,115,0,115,
0,105,0,103,0,
110,0,109,0,101,
0,110,0,116,0,
95,0,49,0,51,
0,1,210,1,3,
1,4,1,3,1307,
22,1,71,1,2355,
804,1,2356,861,1,
2106,1308,17,1119,1,
0,1123,1,1555,1309,
16,0,600,1,2359,
816,1,352,1310,17,
1311,15,1098,1,-1,
1,5,1312,20,1313,
4,36,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,1,243,
1,3,1,4,1,
3,1314,22,1,104,
1,1859,1315,16,0,
357,1,1860,827,1,
1804,1316,17,1119,1,
0,1123,1,107,1317,
17,1318,15,1262,1,
-1,1,5,1319,20,
1320,4,34,85,0,
110,0,97,0,114,
0,121,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,95,0,
49,0,1,261,1,
3,1,3,1,2,
1321,22,1,122,1,
1114,1322,17,1161,1,
3,1165,1,2105,810,
1,1872,1323,16,0,
367,1,1873,836,1,
118,1324,17,1325,15,
1098,1,-1,1,5,
1326,20,1327,4,38,
66,0,105,0,110,
0,97,0,114,0,
121,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,49,
0,52,0,1,256,
1,3,1,4,1,
3,1328,22,1,117,
1,1123,1329,17,1330,
15,1075,1,-1,1,
5,1331,20,1332,4,
38,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,50,0,1,
209,1,3,1,6,
1,5,1333,22,1,
70,1,371,1334,17,
1335,15,1336,4,46,
37,0,70,0,117,
0,110,0,99,0,
116,0,105,0,111,
0,110,0,67,0,
97,0,108,0,108,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,-1,1,5,
1337,20,1338,4,48,
70,0,117,0,110,
0,99,0,116,0,
105,0,111,0,110,
0,67,0,97,0,
108,0,108,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,1,242,
1,3,1,2,1,
1,1339,22,1,103,
1,2550,1340,16,0,
651,1,1377,1341,17,
1342,15,1075,1,-1,
1,5,1343,20,1344,
4,36,83,0,105,
0,109,0,112,0,
108,0,101,0,65,
0,115,0,115,0,
105,0,103,0,110,
0,109,0,101,0,
110,0,116,0,95,
0,53,0,1,202,
1,3,1,4,1,
3,1345,22,1,63,
1,375,1346,17,1347,
15,1168,1,-1,1,
5,1348,20,1349,4,
60,73,0,110,0,
99,0,114,0,101,
0,109,0,101,0,
110,0,116,0,68,
0,101,0,99,0,
114,0,101,0,109,
0,101,0,110,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,56,
0,1,241,1,3,
1,5,1,4,1350,
22,1,102,1,2310,
1351,17,1119,1,0,
1123,1,377,1352,17,
1353,15,1168,1,-1,
1,5,1354,20,1355,
4,60,73,0,110,
0,99,0,114,0,
101,0,109,0,101,
0,110,0,116,0,
68,0,101,0,99,
0,114,0,101,0,
109,0,101,0,110,
0,116,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,95,0,
53,0,1,238,1,
3,1,3,1,2,
1356,22,1,99,1,
827,1357,17,1358,15,
1098,1,-1,1,5,
1359,20,1360,4,38,
66,0,105,0,110,
0,97,0,114,0,
121,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,49,
0,53,0,1,257,
1,3,1,4,1,
3,1361,22,1,118,
1,380,1362,17,1363,
15,1364,4,38,37,
0,67,0,111,0,
110,0,115,0,116,
0,97,0,110,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,1,-1,1,
5,1365,20,1366,4,
40,67,0,111,0,
110,0,115,0,116,
0,97,0,110,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,49,
0,1,231,1,3,
1,2,1,1,1367,
22,1,92,1,883,
1368,17,1369,15,1098,
1,-1,1,5,1370,
20,1371,4,38,66,
0,105,0,110,0,
97,0,114,0,121,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,95,0,49,0,
54,0,1,258,1,
3,1,4,1,3,
1372,22,1,119,1,
1628,1373,17,1374,15,
1375,4,22,37,0,
65,0,115,0,115,
0,105,0,103,0,
110,0,109,0,101,
0,110,0,116,0,
1,-1,1,5,1376,
20,1377,4,24,65,
0,115,0,115,0,
105,0,103,0,110,
0,109,0,101,0,
110,0,116,0,95,
0,49,0,1,196,
1,3,1,4,1,
3,1378,22,1,57,
1,2075,1379,17,1119,
1,0,1123,1,373,
1380,17,1381,15,1168,
1,-1,1,5,1382,
20,1383,4,60,73,
0,110,0,99,0,
114,0,101,0,109,
0,101,0,110,0,
116,0,68,0,101,
0,99,0,114,0,
101,0,109,0,101,
0,110,0,116,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
95,0,54,0,1,
239,1,3,1,3,
1,2,1384,22,1,
100,1,130,1385,17,
1386,15,1098,1,-1,
1,5,1387,20,1388,
4,38,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,51,0,
1,255,1,3,1,
4,1,3,1389,22,
1,116,1,379,1390,
17,1391,15,1168,1,
-1,1,5,1392,20,
1393,4,60,73,0,
110,0,99,0,114,
0,101,0,109,0,
101,0,110,0,116,
0,68,0,101,0,
99,0,114,0,101,
0,109,0,101,0,
110,0,116,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,55,0,1,240,
1,3,1,5,1,
4,1394,22,1,101,
1,143,1395,17,1396,
15,1098,1,-1,1,
5,1397,20,1398,4,
38,66,0,105,0,
110,0,97,0,114,
0,121,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,95,0,
49,0,50,0,1,
254,1,3,1,4,
1,3,1399,22,1,
115,1,1901,1400,17,
1119,1,0,1123,1,
1152,1401,17,1402,15,
1075,1,-1,1,5,
1403,20,1404,4,38,
83,0,105,0,109,
0,112,0,108,0,
101,0,65,0,115,
0,115,0,105,0,
103,0,110,0,109,
0,101,0,110,0,
116,0,95,0,50,
0,52,0,1,221,
1,3,1,6,1,
5,1405,22,1,82,
1,1406,1406,17,1407,
15,1075,1,-1,1,
5,1408,20,1409,4,
38,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,55,0,1,
214,1,3,1,4,
1,3,1410,22,1,
75,1,1159,1411,17,
1412,15,1075,1,-1,
1,5,1413,20,1414,
4,38,83,0,105,
0,109,0,112,0,
108,0,101,0,65,
0,115,0,115,0,
105,0,103,0,110,
0,109,0,101,0,
110,0,116,0,95,
0,49,0,49,0,
1,208,1,3,1,
6,1,5,1415,22,
1,69,1,157,1416,
17,1417,15,1098,1,
-1,1,5,1418,20,
1419,4,38,66,0,
105,0,110,0,97,
0,114,0,121,0,
69,0,120,0,112,
0,114,0,101,0,
115,0,115,0,105,
0,111,0,110,0,
95,0,49,0,49,
0,1,253,1,3,
1,4,1,3,1420,
22,1,114,1,1413,
1421,17,1422,15,1075,
1,-1,1,5,1423,
20,1424,4,36,83,
0,105,0,109,0,
112,0,108,0,101,
0,65,0,115,0,
115,0,105,0,103,
0,110,0,109,0,
101,0,110,0,116,
0,95,0,52,0,
1,201,1,3,1,
4,1,3,1425,22,
1,62,1,1370,1426,
17,1427,15,1075,1,
-1,1,5,1428,20,
1429,4,38,83,0,
105,0,109,0,112,
0,108,0,101,0,
65,0,115,0,115,
0,105,0,103,0,
110,0,109,0,101,
0,110,0,116,0,
95,0,49,0,56,
0,1,215,1,3,
1,4,1,3,1430,
22,1,76,1,2040,
1431,16,0,530,1,
1478,1432,17,1433,15,
1075,1,-1,1,5,
1434,20,1435,4,38,
83,0,105,0,109,
0,112,0,108,0,
101,0,65,0,115,
0,115,0,105,0,
103,0,110,0,109,
0,101,0,110,0,
116,0,95,0,49,
0,53,0,1,212,
1,3,1,4,1,
3,1436,22,1,73,
1,1620,1437,17,1438,
15,1375,1,-1,1,
5,1439,20,1440,4,
24,65,0,115,0,
115,0,105,0,103,
0,110,0,109,0,
101,0,110,0,116,
0,95,0,50,0,
1,197,1,3,1,
2,1,1,1441,22,
1,58,1,1621,1442,
16,0,658,1,1574,
790,1,172,1443,17,
1444,15,1098,1,-1,
1,5,1445,20,1446,
4,38,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,48,0,
1,252,1,3,1,
4,1,3,1447,22,
1,113,1,1931,866,
1,2361,821,1,1188,
1448,17,1449,15,1075,
1,-1,1,5,1450,
20,1451,4,38,83,
0,105,0,109,0,
112,0,108,0,101,
0,65,0,115,0,
115,0,105,0,103,
0,110,0,109,0,
101,0,110,0,116,
0,95,0,50,0,
51,0,1,220,1,
3,1,6,1,5,
1452,22,1,81,1,
1442,1453,17,1454,15,
1075,1,-1,1,5,
1455,20,1456,4,38,
83,0,105,0,109,
0,112,0,108,0,
101,0,65,0,115,
0,115,0,105,0,
103,0,110,0,109,
0,101,0,110,0,
116,0,95,0,49,
0,54,0,1,213,
1,3,1,4,1,
3,1457,22,1,74,
1,1694,1458,16,0,
190,1,942,1459,17,
1460,15,1098,1,-1,
1,5,1461,20,1462,
4,38,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,49,0,55,0,
1,259,1,3,1,
4,1,3,1463,22,
1,120,1,2198,1464,
17,1119,1,0,1123,
1,1195,1465,17,1466,
15,1075,1,-1,1,
5,1467,20,1468,4,
38,83,0,105,0,
109,0,112,0,108,
0,101,0,65,0,
115,0,115,0,105,
0,103,0,110,0,
109,0,101,0,110,
0,116,0,95,0,
49,0,48,0,1,
207,1,3,1,6,
1,5,1469,22,1,
68,1,1449,1470,17,
1471,15,1075,1,-1,
1,5,1472,20,1473,
4,36,83,0,105,
0,109,0,112,0,
108,0,101,0,65,
0,115,0,115,0,
105,0,103,0,110,
0,109,0,101,0,
110,0,116,0,95,
0,51,0,1,200,
1,3,1,4,1,
3,1474,22,1,61,
1,1701,1475,17,1476,
15,1133,1,-1,1,
5,1477,20,1478,4,
36,70,0,111,0,
114,0,76,0,111,
0,111,0,112,0,
83,0,116,0,97,
0,116,0,101,0,
109,0,101,0,110,
0,116,0,95,0,
51,0,1,194,1,
3,1,4,1,3,
1479,22,1,55,1,
447,1480,17,1481,15,
1482,4,30,37,0,
86,0,101,0,99,
0,116,0,111,0,
114,0,67,0,111,
0,110,0,115,0,
116,0,97,0,110,
0,116,0,1,-1,
1,5,1483,20,1484,
4,32,86,0,101,
0,99,0,116,0,
111,0,114,0,67,
0,111,0,110,0,
115,0,116,0,97,
0,110,0,116,0,
95,0,49,0,1,
229,1,3,1,8,
1,7,1485,22,1,
90,1,1958,1486,17,
1119,1,0,1123,1,
188,1487,17,1488,15,
1098,1,-1,1,5,
1489,20,1490,4,36,
66,0,105,0,110,
0,97,0,114,0,
121,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,57,
0,1,251,1,3,
1,4,1,3,1491,
22,1,112,1,1657,
883,1,205,1492,17,
1493,15,1098,1,-1,
1,5,1494,20,1495,
4,36,66,0,105,
0,110,0,97,0,
114,0,121,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,56,0,1,250,
1,3,1,4,1,
3,1496,22,1,111,
1,2557,1497,16,0,
489,1,1665,1498,17,
1499,15,1133,1,-1,
1,5,1500,20,1501,
4,36,70,0,111,
0,114,0,76,0,
111,0,111,0,112,
0,83,0,116,0,
97,0,116,0,101,
0,109,0,101,0,
110,0,116,0,95,
0,49,0,1,192,
1,3,1,2,1,
1,1502,22,1,53,
1,2227,891,1,1224,
1503,17,1504,15,1075,
1,-1,1,5,1505,
20,1506,4,38,83,
0,105,0,109,0,
112,0,108,0,101,
0,65,0,115,0,
115,0,105,0,103,
0,110,0,109,0,
101,0,110,0,116,
0,95,0,50,0,
50,0,1,219,1,
3,1,6,1,5,
1507,22,1,80,1,
223,1508,17,1509,15,
1098,1,-1,1,5,
1510,20,1511,4,36,
66,0,105,0,110,
0,97,0,114,0,
121,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,55,
0,1,249,1,3,
1,4,1,3,1512,
22,1,110,1,1730,
1513,17,1514,15,1133,
1,-1,1,5,1515,
20,1516,4,36,70,
0,111,0,114,0,
76,0,111,0,111,
0,112,0,83,0,
116,0,97,0,116,
0,101,0,109,0,
101,0,110,0,116,
0,95,0,52,0,
1,195,1,3,1,
4,1,3,1517,22,
1,56,1,476,1518,
17,1519,15,1520,4,
18,37,0,67,0,
111,0,110,0,115,
0,116,0,97,0,
110,0,116,0,1,
-1,1,5,1521,20,
1522,4,20,67,0,
111,0,110,0,115,
0,116,0,97,0,
110,0,116,0,95,
0,52,0,1,227,
1,3,1,2,1,
1,1523,22,1,88,
1,477,1524,17,1525,
15,1520,1,-1,1,
5,1526,20,1527,4,
20,67,0,111,0,
110,0,115,0,116,
0,97,0,110,0,
116,0,95,0,51,
0,1,226,1,3,
1,2,1,1,1528,
22,1,87,1,1231,
1529,17,1530,15,1075,
1,-1,1,5,1531,
20,1532,4,36,83,
0,105,0,109,0,
112,0,108,0,101,
0,65,0,115,0,
115,0,105,0,103,
0,110,0,109,0,
101,0,110,0,116,
0,95,0,57,0,
1,206,1,3,1,
6,1,5,1533,22,
1,67,1,479,1534,
17,1535,15,1520,1,
-1,1,5,1536,20,
1537,4,20,67,0,
111,0,110,0,115,
0,116,0,97,0,
110,0,116,0,95,
0,49,0,1,224,
1,3,1,2,1,
1,1538,22,1,85,
1,480,1539,17,1540,
15,1541,4,26,37,
0,76,0,105,0,
115,0,116,0,67,
0,111,0,110,0,
115,0,116,0,97,
0,110,0,116,0,
1,-1,1,5,1542,
20,1543,4,28,76,
0,105,0,115,0,
116,0,67,0,111,
0,110,0,115,0,
116,0,97,0,110,
0,116,0,95,0,
49,0,1,228,1,
3,1,4,1,3,
1544,22,1,89,1,
1485,1545,17,1546,15,
1075,1,-1,1,5,
1547,20,1548,4,36,
83,0,105,0,109,
0,112,0,108,0,
101,0,65,0,115,
0,115,0,105,0,
103,0,110,0,109,
0,101,0,110,0,
116,0,95,0,50,
0,1,199,1,3,
1,4,1,3,1549,
22,1,60,1,1737,
1550,16,0,270,1,
1989,899,1,1990,1551,
17,1119,1,0,1123,
1,242,1552,17,1553,
15,1098,1,-1,1,
5,1554,20,1555,4,
36,66,0,105,0,
110,0,97,0,114,
0,121,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,95,0,
54,0,1,248,1,
3,1,4,1,3,
1556,22,1,109,1,
478,1557,17,1558,15,
1520,1,-1,1,5,
1559,20,1560,4,20,
67,0,111,0,110,
0,115,0,116,0,
97,0,110,0,116,
0,95,0,50,0,
1,225,1,3,1,
2,1,1,1561,22,
1,86,1,1001,1562,
17,1563,15,1200,1,
-1,1,5,1564,20,
1565,4,40,84,0,
121,0,112,0,101,
0,99,0,97,0,
115,0,116,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,95,
0,56,0,1,273,
1,3,1,5,1,
4,1566,22,1,134,
1,1002,1567,17,1568,
15,1200,1,-1,1,
5,1569,20,1570,4,
40,84,0,121,0,
112,0,101,0,99,
0,97,0,115,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,95,0,49,
0,1,266,1,3,
1,5,1,4,1571,
22,1,127,1,12,
1572,19,157,1,12,
1573,5,41,1,2075,
1574,16,0,155,1,
1860,827,1,2413,1575,
16,0,155,1,2198,
1576,16,0,155,1,
1873,836,1,2310,1577,
16,0,155,1,1657,
883,1,1989,899,1,
1990,1578,16,0,155,
1,31,1579,16,0,
155,1,32,1580,16,
0,155,1,2356,861,
1,2105,810,1,2106,
1581,16,0,155,1,
2359,816,1,2546,1582,
16,0,155,1,2227,
891,1,1901,1583,16,
0,155,1,2455,1584,
16,0,395,1,1802,
777,1,2021,709,1,
1804,1585,16,0,155,
1,2136,845,1,2355,
804,1,2029,716,1,
2030,722,1,2031,727,
1,2032,732,1,2033,
737,1,2361,821,1,
2035,743,1,2037,748,
1,2366,1586,16,0,
268,1,1931,866,1,
2041,759,1,2043,764,
1,2045,769,1,1775,
1587,16,0,155,1,
2039,753,1,1574,790,
1,1958,1588,16,0,
155,1,13,1589,19,
254,1,13,1590,5,
33,1,1860,827,1,
2415,1591,17,1592,15,
1593,4,22,37,0,
83,0,116,0,97,
0,116,0,101,0,
69,0,118,0,101,
0,110,0,116,0,
1,-1,1,5,1594,
20,1595,4,24,83,
0,116,0,97,0,
116,0,101,0,69,
0,118,0,101,0,
110,0,116,0,95,
0,49,0,1,157,
1,3,1,6,1,
5,1596,22,1,17,
1,2417,1597,16,0,
392,1,1873,836,1,
2310,1598,16,0,252,
1,1657,883,1,2029,
716,1,1989,899,1,
32,1599,16,0,371,
1,2105,810,1,2359,
816,1,2227,891,1,
1574,790,1,2452,1600,
17,1601,15,1602,4,
20,37,0,83,0,
116,0,97,0,116,
0,101,0,66,0,
111,0,100,0,121,
0,1,-1,1,5,
1603,20,1604,4,22,
83,0,116,0,97,
0,116,0,101,0,
66,0,111,0,100,
0,121,0,95,0,
50,0,1,156,1,
3,1,3,1,2,
1605,22,1,16,1,
2454,1606,17,1607,15,
1602,1,-1,1,5,
1608,20,1609,4,22,
83,0,116,0,97,
0,116,0,101,0,
66,0,111,0,100,
0,121,0,95,0,
49,0,1,155,1,
3,1,2,1,1,
1610,22,1,15,1,
1802,777,1,2021,709,
1,2136,845,1,2355,
804,1,2356,861,1,
2030,722,1,2031,727,
1,2032,732,1,2033,
737,1,2361,821,1,
2035,743,1,2037,748,
1,2039,753,1,1931,
866,1,2041,759,1,
2043,764,1,2045,769,
1,2491,1611,16,0,
459,1,14,1612,19,
144,1,14,1613,5,
104,1,1260,1073,1,
1011,1079,1,1514,1085,
1,9,1090,1,10,
1614,17,1615,15,1616,
4,48,37,0,65,
0,114,0,103,0,
117,0,109,0,101,
0,110,0,116,0,
68,0,101,0,99,
0,108,0,97,0,
114,0,97,0,116,
0,105,0,111,0,
110,0,76,0,105,
0,115,0,116,0,
1,-1,1,5,140,
1,0,1,0,1617,
22,1,18,1,262,
1096,1,1267,1102,1,
1521,1107,1,1773,1618,
16,0,148,1,19,
1124,1,20,1619,16,
0,142,1,2281,1131,
1,525,1192,1,2535,
1620,17,1621,15,1616,
1,-1,1,5,140,
1,0,1,0,1617,
1,30,1622,17,1623,
15,1616,1,-1,1,
5,1624,20,1625,4,
50,65,0,114,0,
103,0,117,0,109,
0,101,0,110,0,
116,0,68,0,101,
0,99,0,108,0,
97,0,114,0,97,
0,116,0,105,0,
111,0,110,0,76,
0,105,0,115,0,
116,0,95,0,50,
0,1,159,1,3,
1,4,1,3,1626,
22,1,20,1,283,
1154,1,2544,1627,16,
0,142,1,40,1143,
1,41,1628,17,1629,
15,1630,4,26,37,
0,65,0,114,0,
103,0,117,0,109,
0,101,0,110,0,
116,0,76,0,105,
0,115,0,116,0,
1,-1,1,5,602,
1,0,1,0,1631,
22,1,137,1,42,
1632,17,1633,15,1634,
4,38,37,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,65,
0,114,0,103,0,
117,0,109,0,101,
0,110,0,116,0,
1,-1,1,5,1635,
20,1636,4,40,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,65,
0,114,0,103,0,
117,0,109,0,101,
0,110,0,116,0,
95,0,49,0,1,
278,1,3,1,2,
1,1,1637,22,1,
140,1,44,1159,1,
47,1160,1,48,1166,
1,49,1172,1,50,
1177,1,51,1182,1,
305,1187,1,63,1198,
1,66,1204,1,67,
1209,1,1478,1432,1,
69,1219,1,70,1224,
1,68,1214,1,74,
1229,1,1013,1234,1,
1332,1239,1,1048,1244,
1,82,1260,1,1296,
1149,1,1341,1277,1,
328,1282,1,1303,1287,
1,1096,1292,1,93,
1298,1,1550,1303,1,
352,1310,1,2364,1638,
17,1639,15,1616,1,
-1,1,5,1640,20,
1641,4,50,65,0,
114,0,103,0,117,
0,109,0,101,0,
110,0,116,0,68,
0,101,0,99,0,
108,0,97,0,114,
0,97,0,116,0,
105,0,111,0,110,
0,76,0,105,0,
115,0,116,0,95,
0,49,0,1,158,
1,3,1,2,1,
1,1642,22,1,19,
1,107,1317,1,1114,
1322,1,1370,1426,1,
118,1324,1,1123,1329,
1,371,1334,1,1377,
1341,1,375,1346,1,
377,1352,1,379,1390,
1,380,1362,1,883,
1368,1,373,1380,1,
130,1385,1,2402,1643,
17,1644,15,1616,1,
-1,1,5,140,1,
0,1,0,1617,1,
1152,1401,1,143,1395,
1,387,1645,16,0,
564,1,1406,1406,1,
2411,1646,16,0,142,
1,1159,1411,1,157,
1416,1,1413,1421,1,
1665,1498,1,412,1647,
16,0,574,1,1094,
1648,16,0,604,1,
172,1443,1,827,1357,
1,1188,1448,1,437,
1649,16,0,644,1,
1442,1453,1,1694,1650,
16,0,148,1,942,
1459,1,1195,1465,1,
1449,1470,1,1701,1475,
1,447,1480,1,188,
1487,1,205,1492,1,
459,1651,17,1652,15,
1630,1,-1,1,5,
602,1,0,1,0,
1631,1,461,1653,16,
0,604,1,464,1654,
17,1655,15,1630,1,
-1,1,5,1656,20,
1657,4,28,65,0,
114,0,103,0,117,
0,109,0,101,0,
110,0,116,0,76,
0,105,0,115,0,
116,0,95,0,50,
0,1,277,1,3,
1,4,1,3,1658,
22,1,139,1,1224,
1503,1,223,1508,1,
1730,1513,1,476,1518,
1,477,1524,1,1231,
1529,1,479,1534,1,
480,1539,1,1485,1545,
1,242,1552,1,478,
1557,1,481,1659,17,
1660,15,1630,1,-1,
1,5,1661,20,1662,
4,28,65,0,114,
0,103,0,117,0,
109,0,101,0,110,
0,116,0,76,0,
105,0,115,0,116,
0,95,0,49,0,
1,276,1,3,1,
2,1,1,1663,22,
1,138,1,1001,1562,
1,1002,1567,1,15,
1664,19,353,1,15,
1665,5,6,1,1114,
1666,16,0,351,1,
1621,1667,16,0,643,
1,40,1668,16,0,
558,1,19,1124,1,
9,1090,1,2550,1669,
16,0,477,1,16,
1670,19,136,1,16,
1671,5,134,1,256,
1672,16,0,187,1,
1261,1673,16,0,187,
1,509,1674,16,0,
187,1,9,1675,16,
0,134,1,2021,709,
1,2372,1676,17,1677,
15,1678,4,12,37,
0,69,0,118,0,
101,0,110,0,116,
0,1,-1,1,5,
1679,20,1680,4,16,
69,0,118,0,101,
0,110,0,116,0,
95,0,50,0,57,
0,1,314,1,3,
1,2,1,1,1681,
22,1,176,1,1775,
1682,16,0,187,1,
2029,716,1,2030,722,
1,2031,727,1,2534,
1683,16,0,468,1,
2033,737,1,277,1684,
16,0,187,1,2035,
743,1,2037,748,1,
2039,753,1,32,1685,
16,0,187,1,2041,
759,1,2043,764,1,
2045,769,1,40,1686,
16,0,166,1,41,
1687,16,0,187,1,
1297,1688,16,0,187,
1,43,1689,16,0,
187,1,44,1690,16,
0,166,1,1802,777,
1,1804,1691,16,0,
187,1,299,1692,16,
0,187,1,2310,1693,
16,0,187,1,52,
1694,16,0,187,1,
1515,1695,16,0,187,
1,525,1696,16,0,
187,1,62,1697,16,
0,202,1,63,1698,
16,0,166,1,2075,
1699,16,0,187,1,
1574,790,1,71,1700,
16,0,187,1,1833,
1701,16,0,322,1,
1834,1702,16,0,187,
1,79,1703,16,0,
187,1,1335,1704,16,
0,187,1,2136,845,
1,322,1705,16,0,
187,1,76,1706,16,
0,187,1,85,1707,
16,0,187,1,89,
1708,16,0,187,1,
346,1709,16,0,187,
1,2355,804,1,2356,
861,1,2106,1710,16,
0,187,1,2359,816,
1,2361,821,1,1860,
827,1,97,1711,16,
0,187,1,2368,1712,
17,1713,15,1678,1,
-1,1,5,1714,20,
1715,4,16,69,0,
118,0,101,0,110,
0,116,0,95,0,
51,0,51,0,1,
318,1,3,1,2,
1,1,1716,22,1,
180,1,2369,1717,17,
1718,15,1678,1,-1,
1,5,1719,20,1720,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,51,
0,50,0,1,317,
1,3,1,2,1,
1,1721,22,1,179,
1,2370,1722,17,1723,
15,1678,1,-1,1,
5,1724,20,1725,4,
16,69,0,118,0,
101,0,110,0,116,
0,95,0,51,0,
49,0,1,316,1,
3,1,2,1,1,
1726,22,1,178,1,
112,1727,16,0,187,
1,1117,1728,16,0,
187,1,2373,1729,17,
1730,15,1678,1,-1,
1,5,1731,20,1732,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,50,
0,56,0,1,313,
1,3,1,2,1,
1,1733,22,1,175,
1,2374,1734,17,1735,
15,1678,1,-1,1,
5,1736,20,1737,4,
16,69,0,118,0,
101,0,110,0,116,
0,95,0,50,0,
55,0,1,312,1,
3,1,2,1,1,
1738,22,1,174,1,
1873,836,1,2376,1739,
17,1740,15,1678,1,
-1,1,5,1741,20,
1742,4,16,69,0,
118,0,101,0,110,
0,116,0,95,0,
50,0,53,0,1,
310,1,3,1,2,
1,1,1743,22,1,
172,1,1875,1744,16,
0,439,1,2378,1745,
17,1746,15,1678,1,
-1,1,5,1747,20,
1748,4,16,69,0,
118,0,101,0,110,
0,116,0,95,0,
50,0,51,0,1,
308,1,3,1,2,
1,1,1749,22,1,
170,1,2379,1750,17,
1751,15,1678,1,-1,
1,5,1752,20,1753,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,50,
0,50,0,1,307,
1,3,1,2,1,
1,1754,22,1,169,
1,2380,1755,17,1756,
15,1678,1,-1,1,
5,1757,20,1758,4,
16,69,0,118,0,
101,0,110,0,116,
0,95,0,50,0,
49,0,1,306,1,
3,1,2,1,1,
1759,22,1,168,1,
2381,1760,17,1761,15,
1678,1,-1,1,5,
1762,20,1763,4,16,
69,0,118,0,101,
0,110,0,116,0,
95,0,50,0,48,
0,1,305,1,3,
1,2,1,1,1764,
22,1,167,1,2382,
1765,17,1766,15,1678,
1,-1,1,5,1767,
20,1768,4,16,69,
0,118,0,101,0,
110,0,116,0,95,
0,49,0,57,0,
1,304,1,3,1,
2,1,1,1769,22,
1,166,1,124,1770,
16,0,187,1,2384,
1771,17,1772,15,1678,
1,-1,1,5,1773,
20,1774,4,16,69,
0,118,0,101,0,
110,0,116,0,95,
0,49,0,55,0,
1,302,1,3,1,
2,1,1,1775,22,
1,164,1,2385,1776,
17,1777,15,1678,1,
-1,1,5,1778,20,
1779,4,16,69,0,
118,0,101,0,110,
0,116,0,95,0,
49,0,54,0,1,
301,1,3,1,2,
1,1,1780,22,1,
163,1,2386,1781,17,
1782,15,1678,1,-1,
1,5,1783,20,1784,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,49,
0,53,0,1,300,
1,3,1,2,1,
1,1785,22,1,162,
1,2387,1786,17,1787,
15,1678,1,-1,1,
5,1788,20,1789,4,
16,69,0,118,0,
101,0,110,0,116,
0,95,0,49,0,
52,0,1,299,1,
3,1,2,1,1,
1790,22,1,161,1,
2388,1791,17,1792,15,
1678,1,-1,1,5,
1793,20,1794,4,16,
69,0,118,0,101,
0,110,0,116,0,
95,0,49,0,51,
0,1,298,1,3,
1,2,1,1,1795,
22,1,160,1,2389,
1796,17,1797,15,1678,
1,-1,1,5,1798,
20,1799,4,16,69,
0,118,0,101,0,
110,0,116,0,95,
0,49,0,50,0,
1,297,1,3,1,
2,1,1,1800,22,
1,159,1,2390,1801,
17,1802,15,1678,1,
-1,1,5,1803,20,
1804,4,16,69,0,
118,0,101,0,110,
0,116,0,95,0,
49,0,49,0,1,
296,1,3,1,2,
1,1,1805,22,1,
158,1,2391,1806,17,
1807,15,1678,1,-1,
1,5,1808,20,1809,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,49,
0,48,0,1,295,
1,3,1,2,1,
1,1810,22,1,157,
1,2392,1811,17,1812,
15,1678,1,-1,1,
5,1813,20,1814,4,
14,69,0,118,0,
101,0,110,0,116,
0,95,0,57,0,
1,294,1,3,1,
2,1,1,1815,22,
1,156,1,2393,1816,
17,1817,15,1678,1,
-1,1,5,1818,20,
1819,4,14,69,0,
118,0,101,0,110,
0,116,0,95,0,
56,0,1,293,1,
3,1,2,1,1,
1820,22,1,155,1,
2394,1821,17,1822,15,
1678,1,-1,1,5,
1823,20,1824,4,14,
69,0,118,0,101,
0,110,0,116,0,
95,0,55,0,1,
292,1,3,1,2,
1,1,1825,22,1,
154,1,2395,1826,17,
1827,15,1678,1,-1,
1,5,1828,20,1829,
4,14,69,0,118,
0,101,0,110,0,
116,0,95,0,54,
0,1,291,1,3,
1,2,1,1,1830,
22,1,153,1,137,
1831,16,0,187,1,
2397,1832,17,1833,15,
1678,1,-1,1,5,
1834,20,1835,4,14,
69,0,118,0,101,
0,110,0,116,0,
95,0,52,0,1,
289,1,3,1,2,
1,1,1836,22,1,
151,1,2398,1837,17,
1838,15,1678,1,-1,
1,5,1839,20,1840,
4,14,69,0,118,
0,101,0,110,0,
116,0,95,0,51,
0,1,288,1,3,
1,2,1,1,1841,
22,1,150,1,2399,
1842,17,1843,15,1678,
1,-1,1,5,1844,
20,1845,4,14,69,
0,118,0,101,0,
110,0,116,0,95,
0,50,0,1,287,
1,3,1,2,1,
1,1846,22,1,149,
1,2400,1847,17,1848,
15,1678,1,-1,1,
5,1849,20,1850,4,
14,69,0,118,0,
101,0,110,0,116,
0,95,0,49,0,
1,286,1,3,1,
2,1,1,1851,22,
1,148,1,2401,1852,
16,0,349,1,381,
1853,16,0,187,1,
1901,1854,16,0,187,
1,102,1855,16,0,
187,1,1153,1856,16,
0,187,1,151,1857,
16,0,187,1,1407,
1858,16,0,187,1,
1659,1859,16,0,187,
1,2032,732,1,406,
1860,16,0,187,1,
1371,1861,16,0,187,
1,2105,810,1,166,
1862,16,0,187,1,
1622,1863,16,0,187,
1,1931,866,1,1932,
1864,16,0,478,1,
1933,1865,16,0,187,
1,1876,1866,16,0,
187,1,431,1867,16,
0,187,1,1585,1868,
16,0,187,1,182,
1869,16,0,187,1,
1189,1870,16,0,187,
1,2371,1871,17,1872,
15,1678,1,-1,1,
5,1873,20,1874,4,
16,69,0,118,0,
101,0,110,0,116,
0,95,0,51,0,
48,0,1,315,1,
3,1,2,1,1,
1875,22,1,177,1,
1695,1876,16,0,187,
1,2198,1877,16,0,
187,1,2375,1878,17,
1879,15,1678,1,-1,
1,5,1880,20,1881,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,50,
0,54,0,1,311,
1,3,1,2,1,
1,1882,22,1,173,
1,2377,1883,17,1884,
15,1678,1,-1,1,
5,1885,20,1886,4,
16,69,0,118,0,
101,0,110,0,116,
0,95,0,50,0,
52,0,1,309,1,
3,1,2,1,1,
1887,22,1,171,1,
447,1888,16,0,187,
1,199,1889,16,0,
187,1,2383,1890,17,
1891,15,1678,1,-1,
1,5,1892,20,1893,
4,16,69,0,118,
0,101,0,110,0,
116,0,95,0,49,
0,56,0,1,303,
1,3,1,2,1,
1,1894,22,1,165,
1,1958,1895,16,0,
187,1,2551,1896,16,
0,187,1,1657,883,
1,1658,1897,16,0,
662,1,459,1898,16,
0,187,1,462,1899,
16,0,187,1,2396,
1900,17,1901,15,1678,
1,-1,1,5,1902,
20,1903,4,14,69,
0,118,0,101,0,
110,0,116,0,95,
0,53,0,1,290,
1,3,1,2,1,
1,1904,22,1,152,
1,217,1905,16,0,
187,1,2227,891,1,
1225,1906,16,0,187,
1,1479,1907,16,0,
187,1,1731,1908,16,
0,187,1,1989,899,
1,1990,1909,16,0,
187,1,1443,1910,16,
0,187,1,236,1911,
16,0,187,1,1756,
1912,16,0,187,1,
17,1913,19,154,1,
17,1914,5,116,1,
1,1915,17,1916,15,
1917,4,18,37,0,
84,0,121,0,112,
0,101,0,110,0,
97,0,109,0,101,
0,1,-1,1,5,
1918,20,1919,4,20,
84,0,121,0,112,
0,101,0,110,0,
97,0,109,0,101,
0,95,0,55,0,
1,285,1,3,1,
2,1,1,1920,22,
1,147,1,2,1921,
17,1922,15,1917,1,
-1,1,5,1923,20,
1924,4,20,84,0,
121,0,112,0,101,
0,110,0,97,0,
109,0,101,0,95,
0,54,0,1,284,
1,3,1,2,1,
1,1925,22,1,146,
1,3,1926,17,1927,
15,1917,1,-1,1,
5,1928,20,1929,4,
20,84,0,121,0,
112,0,101,0,110,
0,97,0,109,0,
101,0,95,0,53,
0,1,283,1,3,
1,2,1,1,1930,
22,1,145,1,4,
1931,17,1932,15,1917,
1,-1,1,5,1933,
20,1934,4,20,84,
0,121,0,112,0,
101,0,110,0,97,
0,109,0,101,0,
95,0,52,0,1,
282,1,3,1,2,
1,1,1935,22,1,
144,1,5,1936,17,
1937,15,1917,1,-1,
1,5,1938,20,1939,
4,20,84,0,121,
0,112,0,101,0,
110,0,97,0,109,
0,101,0,95,0,
51,0,1,281,1,
3,1,2,1,1,
1940,22,1,143,1,
6,1941,17,1942,15,
1917,1,-1,1,5,
1943,20,1944,4,20,
84,0,121,0,112,
0,101,0,110,0,
97,0,109,0,101,
0,95,0,50,0,
1,280,1,3,1,
2,1,1,1945,22,
1,142,1,7,1946,
17,1947,15,1917,1,
-1,1,5,1948,20,
1949,4,20,84,0,
121,0,112,0,101,
0,110,0,97,0,
109,0,101,0,95,
0,49,0,1,279,
1,3,1,2,1,
1,1950,22,1,141,
1,1514,1085,1,9,
1090,1,10,1614,1,
262,1096,1,1267,1102,
1,1521,1107,1,1773,
1951,16,0,233,1,
19,1124,1,20,1952,
16,0,152,1,2281,
1131,1,525,1192,1,
2535,1620,1,30,1622,
1,283,1154,1,2544,
1953,16,0,556,1,
1010,1954,16,0,594,
1,40,1143,1,41,
1628,1,42,1632,1,
44,1159,1,2402,1643,
1,47,1160,1,1303,
1287,1,49,1172,1,
50,1177,1,48,1166,
1,305,1187,1,51,
1182,1,61,1955,16,
0,194,1,63,1198,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,73,1956,16,0,
204,1,74,1229,1,
1013,1234,1,328,1282,
1,1048,1244,1,82,
1260,1,1840,1957,16,
0,356,1,1341,1277,
1,1260,1073,1,1094,
1958,16,0,657,1,
1096,1292,1,93,1298,
1,1550,1303,1,352,
1310,1,2364,1638,1,
1011,1079,1,107,1317,
1,1114,1322,1,1871,
1959,16,0,366,1,
1370,1426,1,1478,1432,
1,118,1324,1,1123,
1329,1,1332,1239,1,
1377,1341,1,375,1346,
1,1882,1960,16,0,
399,1,377,1352,1,
827,1357,1,380,1362,
1,130,1385,1,2074,
1961,16,0,563,1,
371,1334,1,373,1380,
1,1012,1962,16,0,
596,1,379,1390,1,
143,1395,1,1152,1401,
1,1406,1406,1,2411,
1963,16,0,354,1,
1159,1411,1,157,1416,
1,1413,1421,1,883,
1368,1,1296,1149,1,
172,1443,1,1665,1498,
1,1939,1964,16,0,
449,1,1188,1448,1,
1442,1453,1,188,1487,
1,942,1459,1,1195,
1465,1,1449,1470,1,
1701,1475,1,447,1480,
1,205,1492,1,459,
1651,1,464,1654,1,
2197,1965,16,0,654,
1,1224,1503,1,223,
1508,1,1730,1513,1,
476,1518,1,477,1524,
1,1231,1529,1,479,
1534,1,480,1539,1,
1485,1545,1,242,1552,
1,478,1557,1,481,
1659,1,1001,1562,1,
1002,1567,1,18,1966,
19,488,1,18,1967,
5,83,1,1011,1079,
1,1012,1968,16,0,
486,1,1013,1234,1,
262,1096,1,1267,1969,
16,0,486,1,515,
1970,16,0,486,1,
1521,1971,16,0,486,
1,525,1192,1,283,
1154,1,2557,1972,16,
0,486,1,40,1143,
1,42,1973,16,0,
486,1,44,1159,1,
47,1160,1,1303,1974,
16,0,486,1,1555,
1975,16,0,486,1,
50,1177,1,48,1166,
1,49,1172,1,51,
1182,1,63,1198,1,
305,1187,1,66,1204,
1,67,1209,1,68,
1214,1,69,1219,1,
70,1224,1,73,1976,
16,0,486,1,74,
1229,1,328,1282,1,
1048,1977,16,0,486,
1,82,1978,16,0,
486,1,1840,1979,16,
0,486,1,1591,1980,
16,0,486,1,1341,
1981,16,0,486,1,
1096,1292,1,93,1298,
1,352,1310,1,107,
1982,16,0,486,1,
1114,1322,1,118,1983,
16,0,486,1,1123,
1984,16,0,486,1,
371,1334,1,1628,1985,
16,0,486,1,375,
1346,1,1882,1986,16,
0,486,1,377,1352,
1,379,1390,1,380,
1362,1,883,1987,16,
0,486,1,373,1380,
1,130,1988,16,0,
486,1,143,1989,16,
0,486,1,387,1990,
16,0,486,1,1159,
1991,16,0,486,1,
157,1992,16,0,486,
1,1413,1993,16,0,
486,1,1665,1994,16,
0,486,1,412,1995,
16,0,486,1,1377,
1996,16,0,486,1,
172,1997,16,0,486,
1,1939,1998,16,0,
486,1,437,1999,16,
0,486,1,188,2000,
16,0,486,1,942,
2001,16,0,486,1,
1195,2002,16,0,486,
1,1449,2003,16,0,
486,1,1701,2004,16,
0,486,1,447,1480,
1,205,2005,16,0,
486,1,827,2006,16,
0,486,1,223,2007,
16,0,486,1,476,
1518,1,477,1524,1,
1231,2008,16,0,486,
1,479,1534,1,480,
1539,1,1485,2009,16,
0,486,1,1737,2010,
16,0,486,1,242,
2011,16,0,486,1,
478,1557,1,1001,1562,
1,1002,1567,1,19,
2012,19,225,1,19,
2013,5,171,1,256,
2014,16,0,223,1,
1261,2015,16,0,223,
1,1011,1079,1,1012,
2016,16,0,476,1,
1515,2017,16,0,223,
1,262,1096,1,1267,
2018,16,0,476,1,
2021,709,1,1521,2019,
16,0,476,1,1775,
2020,16,0,223,1,
2029,716,1,2030,722,
1,2031,727,1,2032,
732,1,2033,737,1,
277,2021,16,0,223,
1,2035,743,1,2037,
748,1,2039,753,1,
32,2022,16,0,223,
1,2041,759,1,2043,
764,1,2045,769,1,
40,1143,1,41,2023,
16,0,223,1,42,
2024,16,0,476,1,
43,2025,16,0,223,
1,44,1159,1,1802,
777,1,1804,2026,16,
0,223,1,1303,2027,
16,0,476,1,49,
1172,1,47,1160,1,
48,1166,1,52,2028,
16,0,223,1,50,
1177,1,51,1182,1,
509,2029,16,0,223,
1,299,2030,16,0,
223,1,283,1154,1,
63,1198,1,305,1187,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,71,2031,16,0,
223,1,73,2032,16,
0,476,1,74,1229,
1,1013,1234,1,76,
2033,16,0,223,1,
1834,2034,16,0,223,
1,1048,2035,16,0,
476,1,79,2036,16,
0,223,1,1335,2037,
16,0,223,1,2136,
845,1,82,2038,16,
0,476,1,1840,2039,
16,0,476,1,1297,
2040,16,0,223,1,
85,2041,16,0,223,
1,1341,2042,16,0,
476,1,89,2043,16,
0,223,1,1096,1292,
1,93,1298,1,322,
2044,16,0,223,1,
2355,804,1,2356,861,
1,2106,2045,16,0,
223,1,1555,2046,16,
0,476,1,2359,816,
1,827,2047,16,0,
476,1,2361,821,1,
1860,827,1,97,2048,
16,0,223,1,1114,
1322,1,112,2049,16,
0,223,1,1117,2050,
16,0,223,1,352,
1310,1,1873,836,1,
102,2051,16,0,223,
1,118,2052,16,0,
476,1,1123,2053,16,
0,476,1,371,1334,
1,515,2054,16,0,
476,1,107,2055,16,
0,476,1,124,2056,
16,0,223,1,1882,
2057,16,0,476,1,
377,1352,1,379,1390,
1,380,1362,1,130,
2058,16,0,476,1,
346,2059,16,0,223,
1,2075,2060,16,0,
223,1,373,1380,1,
387,2061,16,0,476,
1,137,2062,16,0,
223,1,143,2063,16,
0,476,1,1901,2064,
16,0,223,1,1153,
2065,16,0,223,1,
375,1346,1,151,2066,
16,0,223,1,1407,
2067,16,0,223,1,
1659,2068,16,0,223,
1,1159,2069,16,0,
476,1,381,2070,16,
0,223,1,157,2071,
16,0,476,1,1413,
2072,16,0,476,1,
883,2073,16,0,476,
1,1371,2074,16,0,
223,1,328,1282,1,
2105,810,1,166,2075,
16,0,223,1,1377,
2076,16,0,476,1,
1622,2077,16,0,223,
1,406,2078,16,0,
223,1,1574,790,1,
172,2079,16,0,476,
1,1931,866,1,412,
2080,16,0,476,1,
1933,2081,16,0,223,
1,1876,2082,16,0,
223,1,431,2083,16,
0,223,1,1585,2084,
16,0,223,1,182,
2085,16,0,223,1,
1628,2086,16,0,476,
1,1189,2087,16,0,
223,1,437,2088,16,
0,476,1,1591,2089,
16,0,476,1,188,
2090,16,0,476,1,
1695,2091,16,0,223,
1,2198,2092,16,0,
223,1,1195,2093,16,
0,476,1,1449,2094,
16,0,476,1,1701,
2095,16,0,476,1,
447,2096,16,0,223,
1,2310,2097,16,0,
223,1,1958,2098,16,
0,223,1,2551,2099,
16,0,223,1,1657,
883,1,205,2100,16,
0,476,1,199,2101,
16,0,223,1,459,
2102,16,0,223,1,
2557,2103,16,0,476,
1,462,2104,16,0,
223,1,1665,2105,16,
0,476,1,217,2106,
16,0,223,1,2227,
891,1,942,2107,16,
0,476,1,1225,2108,
16,0,223,1,223,
2109,16,0,476,1,
1479,2110,16,0,223,
1,1731,2111,16,0,
223,1,477,1524,1,
1231,2112,16,0,476,
1,479,1534,1,480,
1539,1,1485,2113,16,
0,476,1,1737,2114,
16,0,476,1,1989,
899,1,1990,2115,16,
0,223,1,1443,2116,
16,0,223,1,236,
2117,16,0,223,1,
525,2118,16,0,223,
1,476,1518,1,242,
2119,16,0,476,1,
478,1557,1,1939,2120,
16,0,476,1,1001,
1562,1,1002,1567,1,
1756,2121,16,0,223,
1,20,2122,19,454,
1,20,2123,5,83,
1,1011,1079,1,1012,
2124,16,0,452,1,
1013,1234,1,262,1096,
1,1267,2125,16,0,
452,1,515,2126,16,
0,452,1,1521,2127,
16,0,452,1,525,
1192,1,283,1154,1,
2557,2128,16,0,452,
1,40,1143,1,42,
2129,16,0,452,1,
44,1159,1,47,1160,
1,1303,2130,16,0,
452,1,1555,2131,16,
0,452,1,50,1177,
1,48,1166,1,49,
1172,1,51,1182,1,
63,1198,1,305,1187,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,73,2132,16,0,
452,1,74,1229,1,
328,2133,16,0,452,
1,1048,2134,16,0,
452,1,82,2135,16,
0,452,1,1840,2136,
16,0,452,1,1591,
2137,16,0,452,1,
1341,2138,16,0,452,
1,1096,1292,1,93,
1298,1,352,2139,16,
0,452,1,107,2140,
16,0,452,1,1114,
1322,1,118,2141,16,
0,452,1,1123,2142,
16,0,452,1,371,
1334,1,1628,2143,16,
0,452,1,375,1346,
1,1882,2144,16,0,
452,1,377,1352,1,
379,1390,1,380,1362,
1,883,2145,16,0,
452,1,373,1380,1,
130,2146,16,0,452,
1,143,2147,16,0,
452,1,387,2148,16,
0,452,1,1159,2149,
16,0,452,1,157,
2150,16,0,452,1,
1413,2151,16,0,452,
1,1665,2152,16,0,
452,1,412,2153,16,
0,452,1,1377,2154,
16,0,452,1,172,
2155,16,0,452,1,
1939,2156,16,0,452,
1,437,2157,16,0,
452,1,188,2158,16,
0,452,1,942,2159,
16,0,452,1,1195,
2160,16,0,452,1,
1449,2161,16,0,452,
1,1701,2162,16,0,
452,1,447,1480,1,
205,2163,16,0,452,
1,827,2164,16,0,
452,1,223,2165,16,
0,452,1,476,1518,
1,477,1524,1,1231,
2166,16,0,452,1,
479,1534,1,480,1539,
1,1485,2167,16,0,
452,1,1737,2168,16,
0,452,1,242,2169,
16,0,452,1,478,
1557,1,1001,1562,1,
1002,1567,1,21,2170,
19,447,1,21,2171,
5,83,1,1011,1079,
1,1012,2172,16,0,
445,1,1013,1234,1,
262,1096,1,1267,2173,
16,0,445,1,515,
2174,16,0,445,1,
1521,2175,16,0,445,
1,525,1192,1,283,
1154,1,2557,2176,16,
0,445,1,40,1143,
1,42,2177,16,0,
445,1,44,1159,1,
47,1160,1,1303,2178,
16,0,445,1,1555,
2179,16,0,445,1,
50,1177,1,48,1166,
1,49,1172,1,51,
1182,1,63,1198,1,
305,1187,1,66,1204,
1,67,1209,1,68,
1214,1,69,1219,1,
70,1224,1,73,2180,
16,0,445,1,74,
1229,1,328,2181,16,
0,445,1,1048,2182,
16,0,445,1,82,
2183,16,0,445,1,
1840,2184,16,0,445,
1,1591,2185,16,0,
445,1,1341,2186,16,
0,445,1,1096,1292,
1,93,1298,1,352,
2187,16,0,445,1,
107,2188,16,0,445,
1,1114,1322,1,118,
2189,16,0,445,1,
1123,2190,16,0,445,
1,371,1334,1,1628,
2191,16,0,445,1,
375,1346,1,1882,2192,
16,0,445,1,377,
1352,1,379,1390,1,
380,1362,1,883,2193,
16,0,445,1,373,
1380,1,130,2194,16,
0,445,1,143,2195,
16,0,445,1,387,
2196,16,0,445,1,
1159,2197,16,0,445,
1,157,2198,16,0,
445,1,1413,2199,16,
0,445,1,1665,2200,
16,0,445,1,412,
2201,16,0,445,1,
1377,2202,16,0,445,
1,172,2203,16,0,
445,1,1939,2204,16,
0,445,1,437,2205,
16,0,445,1,188,
2206,16,0,445,1,
942,2207,16,0,445,
1,1195,2208,16,0,
445,1,1449,2209,16,
0,445,1,1701,2210,
16,0,445,1,447,
1480,1,205,2211,16,
0,445,1,827,2212,
16,0,445,1,223,
2213,16,0,445,1,
476,1518,1,477,1524,
1,1231,2214,16,0,
445,1,479,1534,1,
480,1539,1,1485,2215,
16,0,445,1,1737,
2216,16,0,445,1,
242,2217,16,0,445,
1,478,1557,1,1001,
1562,1,1002,1567,1,
22,2218,19,431,1,
22,2219,5,83,1,
1011,1079,1,1012,2220,
16,0,429,1,1013,
1234,1,262,1096,1,
1267,2221,16,0,429,
1,515,2222,16,0,
429,1,1521,2223,16,
0,429,1,525,1192,
1,283,1154,1,2557,
2224,16,0,429,1,
40,1143,1,42,2225,
16,0,429,1,44,
1159,1,47,1160,1,
1303,2226,16,0,429,
1,1555,2227,16,0,
429,1,50,1177,1,
48,1166,1,49,1172,
1,51,1182,1,63,
1198,1,305,1187,1,
66,1204,1,67,1209,
1,68,1214,1,69,
1219,1,70,1224,1,
73,2228,16,0,429,
1,74,1229,1,328,
2229,16,0,429,1,
1048,2230,16,0,429,
1,82,2231,16,0,
429,1,1840,2232,16,
0,429,1,1591,2233,
16,0,429,1,1341,
2234,16,0,429,1,
1096,1292,1,93,1298,
1,352,2235,16,0,
429,1,107,2236,16,
0,429,1,1114,1322,
1,118,2237,16,0,
429,1,1123,2238,16,
0,429,1,371,1334,
1,1628,2239,16,0,
429,1,375,1346,1,
1882,2240,16,0,429,
1,377,1352,1,379,
1390,1,380,1362,1,
883,2241,16,0,429,
1,373,1380,1,130,
2242,16,0,429,1,
143,2243,16,0,429,
1,387,2244,16,0,
429,1,1159,2245,16,
0,429,1,157,2246,
16,0,429,1,1413,
2247,16,0,429,1,
1665,2248,16,0,429,
1,412,2249,16,0,
429,1,1377,2250,16,
0,429,1,172,2251,
16,0,429,1,1939,
2252,16,0,429,1,
437,2253,16,0,429,
1,188,2254,16,0,
429,1,942,2255,16,
0,429,1,1195,2256,
16,0,429,1,1449,
2257,16,0,429,1,
1701,2258,16,0,429,
1,447,1480,1,205,
2259,16,0,429,1,
827,2260,16,0,429,
1,223,2261,16,0,
429,1,476,1518,1,
477,1524,1,1231,2262,
16,0,429,1,479,
1534,1,480,1539,1,
1485,2263,16,0,429,
1,1737,2264,16,0,
429,1,242,2265,16,
0,429,1,478,1557,
1,1001,1562,1,1002,
1567,1,23,2266,19,
502,1,23,2267,5,
36,1,2075,2268,16,
0,500,1,1860,827,
1,2198,2269,16,0,
500,1,1873,836,1,
2310,2270,16,0,500,
1,1657,883,1,1989,
899,1,1990,2271,16,
0,500,1,1775,2272,
16,0,500,1,32,
2273,16,0,500,1,
2356,861,1,2105,810,
1,2106,2274,16,0,
500,1,2359,816,1,
2227,891,1,1901,2275,
16,0,500,1,1802,
777,1,2021,709,1,
1804,2276,16,0,500,
1,2136,845,1,2355,
804,1,2029,716,1,
2030,722,1,2031,727,
1,2032,732,1,2033,
737,1,2361,821,1,
2035,743,1,2037,748,
1,2039,753,1,1931,
866,1,2041,759,1,
2043,764,1,2045,769,
1,1574,790,1,1958,
2277,16,0,500,1,
24,2278,19,177,1,
24,2279,5,5,1,
44,2280,16,0,175,
1,377,2281,16,0,
538,1,40,2282,16,
0,665,1,63,2283,
16,0,196,1,373,
2284,16,0,534,1,
25,2285,19,331,1,
25,2286,5,172,1,
256,2287,16,0,543,
1,1261,2288,16,0,
543,1,1011,1079,1,
1012,2289,16,0,329,
1,1515,2290,16,0,
543,1,262,1096,1,
1267,2291,16,0,329,
1,2021,709,1,1521,
2292,16,0,329,1,
1775,2293,16,0,543,
1,2029,716,1,2030,
722,1,2031,727,1,
2032,732,1,2033,737,
1,277,2294,16,0,
543,1,2035,743,1,
2037,748,1,2039,753,
1,32,2295,16,0,
543,1,2041,759,1,
2043,764,1,2045,769,
1,40,1143,1,41,
2296,16,0,543,1,
42,2297,16,0,329,
1,43,2298,16,0,
543,1,44,1159,1,
1802,777,1,1804,2299,
16,0,543,1,48,
1166,1,49,1172,1,
47,1160,1,51,1182,
1,52,2300,16,0,
543,1,50,1177,1,
305,1187,1,509,2301,
16,0,543,1,299,
2302,16,0,543,1,
62,2303,16,0,543,
1,63,1198,1,66,
1204,1,67,1209,1,
68,1214,1,69,1219,
1,70,1224,1,71,
2304,16,0,543,1,
283,1154,1,73,2305,
16,0,329,1,74,
1229,1,1013,1234,1,
76,2306,16,0,543,
1,1834,2307,16,0,
543,1,1048,1244,1,
79,2308,16,0,543,
1,1335,2309,16,0,
543,1,2136,845,1,
82,2310,16,0,329,
1,1840,2311,16,0,
329,1,1297,2312,16,
0,543,1,85,2313,
16,0,543,1,1341,
2314,16,0,329,1,
89,2315,16,0,543,
1,1303,2316,16,0,
329,1,1096,1292,1,
93,1298,1,322,2317,
16,0,543,1,2355,
804,1,2356,861,1,
2106,2318,16,0,543,
1,1555,2319,16,0,
329,1,2359,816,1,
827,2320,16,0,329,
1,2361,821,1,1860,
827,1,97,2321,16,
0,543,1,1114,1322,
1,112,2322,16,0,
543,1,1117,2323,16,
0,543,1,352,1310,
1,1873,836,1,102,
2324,16,0,543,1,
118,1324,1,1123,2325,
16,0,329,1,371,
1334,1,515,2326,16,
0,329,1,107,2327,
16,0,329,1,124,
2328,16,0,543,1,
1882,2329,16,0,329,
1,377,1352,1,379,
1390,1,380,1362,1,
130,1385,1,346,2330,
16,0,543,1,2075,
2331,16,0,543,1,
373,1380,1,387,2332,
16,0,329,1,137,
2333,16,0,543,1,
143,2334,16,0,329,
1,1901,2335,16,0,
543,1,1153,2336,16,
0,543,1,375,1346,
1,151,2337,16,0,
543,1,1407,2338,16,
0,543,1,1659,2339,
16,0,543,1,1159,
2340,16,0,329,1,
381,2341,16,0,543,
1,157,2342,16,0,
329,1,1413,2343,16,
0,329,1,883,2344,
16,0,329,1,1371,
2345,16,0,543,1,
328,1282,1,2105,810,
1,166,2346,16,0,
543,1,1377,2347,16,
0,329,1,1622,2348,
16,0,543,1,406,
2349,16,0,543,1,
1574,790,1,172,1443,
1,1931,866,1,412,
2350,16,0,329,1,
1933,2351,16,0,543,
1,1876,2352,16,0,
543,1,431,2353,16,
0,543,1,1585,2354,
16,0,543,1,182,
2355,16,0,543,1,
1628,2356,16,0,329,
1,1189,2357,16,0,
543,1,437,2358,16,
0,329,1,1591,2359,
16,0,329,1,188,
1487,1,1695,2360,16,
0,543,1,2198,2361,
16,0,543,1,1195,
2362,16,0,329,1,
1449,2363,16,0,329,
1,1701,2364,16,0,
329,1,447,2365,16,
0,543,1,2310,2366,
16,0,543,1,1958,
2367,16,0,543,1,
2551,2368,16,0,543,
1,1657,883,1,205,
2369,16,0,329,1,
199,2370,16,0,543,
1,459,2371,16,0,
543,1,2557,2372,16,
0,329,1,462,2373,
16,0,543,1,1665,
2374,16,0,329,1,
217,2375,16,0,543,
1,2227,891,1,942,
1459,1,1225,2376,16,
0,543,1,223,2377,
16,0,329,1,1479,
2378,16,0,543,1,
1731,2379,16,0,543,
1,477,1524,1,1231,
2380,16,0,329,1,
479,1534,1,480,1539,
1,1485,2381,16,0,
329,1,1737,2382,16,
0,329,1,1989,899,
1,1990,2383,16,0,
543,1,1443,2384,16,
0,543,1,236,2385,
16,0,543,1,525,
2386,16,0,543,1,
476,1518,1,242,2387,
16,0,329,1,478,
1557,1,1939,2388,16,
0,329,1,1001,1562,
1,1002,1567,1,1756,
2389,16,0,543,1,
26,2390,19,361,1,
26,2391,5,83,1,
1011,1079,1,1012,2392,
16,0,359,1,1013,
1234,1,262,1096,1,
1267,2393,16,0,359,
1,515,2394,16,0,
652,1,1521,2395,16,
0,359,1,525,1192,
1,283,1154,1,2557,
2396,16,0,359,1,
40,1143,1,42,2397,
16,0,359,1,44,
1159,1,47,1160,1,
1303,2398,16,0,359,
1,1555,2399,16,0,
359,1,50,1177,1,
48,1166,1,49,1172,
1,51,1182,1,63,
1198,1,305,1187,1,
66,1204,1,67,1209,
1,68,1214,1,69,
1219,1,70,1224,1,
73,2400,16,0,359,
1,74,1229,1,328,
1282,1,1048,1244,1,
82,2401,16,0,359,
1,1840,2402,16,0,
359,1,1591,2403,16,
0,359,1,1341,2404,
16,0,359,1,1096,
1292,1,93,1298,1,
352,1310,1,107,2405,
16,0,359,1,1114,
1322,1,118,1324,1,
1123,2406,16,0,359,
1,371,1334,1,1628,
2407,16,0,359,1,
375,1346,1,1882,2408,
16,0,359,1,377,
1352,1,379,1390,1,
380,1362,1,883,2409,
16,0,359,1,373,
1380,1,130,1385,1,
143,2410,16,0,359,
1,387,2411,16,0,
359,1,1159,2412,16,
0,359,1,157,2413,
16,0,359,1,1413,
2414,16,0,359,1,
1665,2415,16,0,359,
1,412,2416,16,0,
359,1,1377,2417,16,
0,359,1,172,1443,
1,1939,2418,16,0,
359,1,437,2419,16,
0,589,1,188,1487,
1,942,1459,1,1195,
2420,16,0,359,1,
1449,2421,16,0,359,
1,1701,2422,16,0,
359,1,447,1480,1,
205,2423,16,0,359,
1,827,2424,16,0,
359,1,223,2425,16,
0,359,1,476,1518,
1,477,1524,1,1231,
2426,16,0,359,1,
479,1534,1,480,1539,
1,1485,2427,16,0,
359,1,1737,2428,16,
0,359,1,242,2429,
16,0,359,1,478,
1557,1,1001,1562,1,
1002,1567,1,27,2430,
19,599,1,27,2431,
5,91,1,256,2432,
16,0,597,1,1261,
2433,16,0,597,1,
509,2434,16,0,597,
1,1515,2435,16,0,
597,1,2021,709,1,
1775,2436,16,0,597,
1,2029,716,1,2030,
722,1,2031,727,1,
2032,732,1,2033,737,
1,277,2437,16,0,
597,1,2035,743,1,
2037,748,1,2039,753,
1,32,2438,16,0,
597,1,2041,759,1,
2043,764,1,2045,769,
1,41,2439,16,0,
597,1,1297,2440,16,
0,597,1,43,2441,
16,0,597,1,1802,
777,1,1804,2442,16,
0,597,1,299,2443,
16,0,597,1,2310,
2444,16,0,597,1,
52,2445,16,0,597,
1,525,2446,16,0,
597,1,62,2447,16,
0,597,1,2075,2448,
16,0,597,1,1574,
790,1,71,2449,16,
0,597,1,76,2450,
16,0,597,1,1834,
2451,16,0,597,1,
79,2452,16,0,597,
1,1335,2453,16,0,
597,1,322,2454,16,
0,597,1,85,2455,
16,0,597,1,89,
2456,16,0,597,1,
346,2457,16,0,597,
1,2355,804,1,2105,
810,1,2106,2458,16,
0,597,1,2359,816,
1,2361,821,1,1860,
827,1,97,2459,16,
0,597,1,112,2460,
16,0,597,1,1117,
2461,16,0,597,1,
1873,836,1,102,2462,
16,0,597,1,1876,
2463,16,0,597,1,
2551,2464,16,0,597,
1,124,2465,16,0,
597,1,2136,845,1,
381,2466,16,0,597,
1,137,2467,16,0,
597,1,1901,2468,16,
0,597,1,1153,2469,
16,0,597,1,151,
2470,16,0,597,1,
1407,2471,16,0,597,
1,1659,2472,16,0,
597,1,406,2473,16,
0,597,1,1371,2474,
16,0,597,1,166,
2475,16,0,597,1,
1622,2476,16,0,597,
1,2356,861,1,1931,
866,1,1933,2477,16,
0,597,1,431,2478,
16,0,597,1,1585,
2479,16,0,597,1,
182,2480,16,0,597,
1,1189,2481,16,0,
597,1,1443,2482,16,
0,597,1,1695,2483,
16,0,597,1,2198,
2484,16,0,597,1,
447,2485,16,0,597,
1,199,2486,16,0,
597,1,1958,2487,16,
0,597,1,1657,883,
1,459,2488,16,0,
597,1,462,2489,16,
0,597,1,217,2490,
16,0,597,1,2227,
891,1,1225,2491,16,
0,597,1,1479,2492,
16,0,597,1,1731,
2493,16,0,597,1,
1989,899,1,1990,2494,
16,0,597,1,236,
2495,16,0,597,1,
1756,2496,16,0,597,
1,28,2497,19,630,
1,28,2498,5,60,
1,328,1282,1,223,
1508,1,1096,1292,1,
118,1324,1,883,1368,
1,525,1192,1,1001,
1562,1,130,1385,1,
459,1651,1,1114,1322,
1,352,1310,1,447,
1480,1,464,1654,1,
1011,1079,1,1013,1234,
1,242,1552,1,143,
1395,1,40,1143,1,
41,1628,1,42,1632,
1,479,1534,1,44,
1159,1,481,1659,1,
373,1380,1,47,1160,
1,157,1416,1,49,
1172,1,50,1177,1,
48,1166,1,379,1390,
1,380,1362,1,51,
1182,1,476,1518,1,
371,1334,1,478,1557,
1,1048,1244,1,375,
1346,1,172,1443,1,
262,1096,1,283,1154,
1,63,1198,1,67,
1209,1,68,1214,1,
69,1219,1,66,1204,
1,461,2499,16,0,
628,1,74,1229,1,
377,1352,1,1002,1567,
1,70,1224,1,188,
1487,1,82,1260,1,
305,1187,1,477,1524,
1,827,1357,1,93,
1298,1,480,1539,1,
205,1492,1,942,1459,
1,107,1317,1,29,
2500,19,296,1,29,
2501,5,83,1,1011,
1079,1,1012,2502,16,
0,294,1,1013,1234,
1,262,1096,1,1267,
2503,16,0,294,1,
515,2504,16,0,294,
1,1521,2505,16,0,
294,1,525,1192,1,
283,1154,1,2557,2506,
16,0,294,1,40,
1143,1,42,2507,16,
0,294,1,44,1159,
1,47,1160,1,1303,
2508,16,0,294,1,
1555,2509,16,0,294,
1,50,1177,1,48,
1166,1,49,1172,1,
51,1182,1,63,1198,
1,305,1187,1,66,
1204,1,67,1209,1,
68,1214,1,69,1219,
1,70,1224,1,73,
2510,16,0,294,1,
74,1229,1,328,1282,
1,1048,1244,1,82,
2511,16,0,294,1,
1840,2512,16,0,294,
1,1591,2513,16,0,
294,1,1341,2514,16,
0,294,1,1096,1292,
1,93,1298,1,352,
1310,1,107,2515,16,
0,294,1,1114,1322,
1,118,1324,1,1123,
2516,16,0,294,1,
371,1334,1,1628,2517,
16,0,294,1,375,
1346,1,1882,2518,16,
0,294,1,377,1352,
1,379,1390,1,380,
1362,1,883,2519,16,
0,294,1,373,1380,
1,130,1385,1,143,
1395,1,387,2520,16,
0,294,1,1159,2521,
16,0,294,1,157,
1416,1,1413,2522,16,
0,294,1,1665,2523,
16,0,294,1,412,
2524,16,0,294,1,
1377,2525,16,0,294,
1,172,1443,1,1939,
2526,16,0,294,1,
437,2527,16,0,294,
1,188,1487,1,942,
1459,1,1195,2528,16,
0,294,1,1449,2529,
16,0,294,1,1701,
2530,16,0,294,1,
447,1480,1,205,2531,
16,0,294,1,827,
2532,16,0,294,1,
223,2533,16,0,294,
1,476,1518,1,477,
1524,1,1231,2534,16,
0,294,1,479,1534,
1,480,1539,1,1485,
2535,16,0,294,1,
1737,2536,16,0,294,
1,242,2537,16,0,
294,1,478,1557,1,
1001,1562,1,1002,1567,
1,30,2538,19,266,
1,30,2539,5,83,
1,1011,1079,1,1012,
2540,16,0,264,1,
1013,1234,1,262,1096,
1,1267,2541,16,0,
264,1,515,2542,16,
0,264,1,1521,2543,
16,0,264,1,525,
1192,1,283,1154,1,
2557,2544,16,0,264,
1,40,1143,1,42,
2545,16,0,264,1,
44,1159,1,47,1160,
1,1303,2546,16,0,
264,1,1555,2547,16,
0,264,1,50,1177,
1,48,1166,1,49,
1172,1,51,1182,1,
63,1198,1,305,1187,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,73,2548,16,0,
264,1,74,1229,1,
328,1282,1,1048,1244,
1,82,2549,16,0,
264,1,1840,2550,16,
0,264,1,1591,2551,
16,0,264,1,1341,
2552,16,0,264,1,
1096,1292,1,93,1298,
1,352,1310,1,107,
2553,16,0,264,1,
1114,1322,1,118,1324,
1,1123,2554,16,0,
264,1,371,1334,1,
1628,2555,16,0,264,
1,375,1346,1,1882,
2556,16,0,264,1,
377,1352,1,379,1390,
1,380,1362,1,883,
2557,16,0,264,1,
373,1380,1,130,1385,
1,143,1395,1,387,
2558,16,0,264,1,
1159,2559,16,0,264,
1,157,1416,1,1413,
2560,16,0,264,1,
1665,2561,16,0,264,
1,412,2562,16,0,
264,1,1377,2563,16,
0,264,1,172,1443,
1,1939,2564,16,0,
264,1,437,2565,16,
0,264,1,188,1487,
1,942,1459,1,1195,
2566,16,0,264,1,
1449,2567,16,0,264,
1,1701,2568,16,0,
264,1,447,1480,1,
205,2569,16,0,264,
1,827,2570,16,0,
264,1,223,2571,16,
0,264,1,476,1518,
1,477,1524,1,1231,
2572,16,0,264,1,
479,1534,1,480,1539,
1,1485,2573,16,0,
264,1,1737,2574,16,
0,264,1,242,2575,
16,0,264,1,478,
1557,1,1001,1562,1,
1002,1567,1,31,2576,
19,248,1,31,2577,
5,83,1,1011,1079,
1,1012,2578,16,0,
246,1,1013,1234,1,
262,1096,1,1267,2579,
16,0,246,1,515,
2580,16,0,246,1,
1521,2581,16,0,246,
1,525,1192,1,283,
1154,1,2557,2582,16,
0,246,1,40,1143,
1,42,2583,16,0,
246,1,44,1159,1,
47,1160,1,1303,2584,
16,0,246,1,1555,
2585,16,0,246,1,
50,1177,1,48,1166,
1,49,1172,1,51,
1182,1,63,1198,1,
305,1187,1,66,1204,
1,67,1209,1,68,
1214,1,69,1219,1,
70,1224,1,73,2586,
16,0,246,1,74,
1229,1,328,1282,1,
1048,1244,1,82,2587,
16,0,246,1,1840,
2588,16,0,246,1,
1591,2589,16,0,246,
1,1341,2590,16,0,
246,1,1096,1292,1,
93,1298,1,352,1310,
1,107,2591,16,0,
246,1,1114,1322,1,
118,1324,1,1123,2592,
16,0,246,1,371,
1334,1,1628,2593,16,
0,246,1,375,1346,
1,1882,2594,16,0,
246,1,377,1352,1,
379,1390,1,380,1362,
1,883,2595,16,0,
246,1,373,1380,1,
130,1385,1,143,2596,
16,0,246,1,387,
2597,16,0,246,1,
1159,2598,16,0,246,
1,157,2599,16,0,
246,1,1413,2600,16,
0,246,1,1665,2601,
16,0,246,1,412,
2602,16,0,246,1,
1377,2603,16,0,246,
1,172,1443,1,1939,
2604,16,0,246,1,
437,2605,16,0,246,
1,188,1487,1,942,
1459,1,1195,2606,16,
0,246,1,1449,2607,
16,0,246,1,1701,
2608,16,0,246,1,
447,1480,1,205,2609,
16,0,246,1,827,
2610,16,0,246,1,
223,2611,16,0,246,
1,476,1518,1,477,
1524,1,1231,2612,16,
0,246,1,479,1534,
1,480,1539,1,1485,
2613,16,0,246,1,
1737,2614,16,0,246,
1,242,2615,16,0,
246,1,478,1557,1,
1001,1562,1,1002,1567,
1,32,2616,19,241,
1,32,2617,5,83,
1,1011,1079,1,1012,
2618,16,0,239,1,
1013,1234,1,262,1096,
1,1267,2619,16,0,
239,1,515,2620,16,
0,239,1,1521,2621,
16,0,239,1,525,
1192,1,283,1154,1,
2557,2622,16,0,239,
1,40,1143,1,42,
2623,16,0,239,1,
44,1159,1,47,1160,
1,1303,2624,16,0,
239,1,1555,2625,16,
0,239,1,50,1177,
1,48,1166,1,49,
1172,1,51,1182,1,
63,1198,1,305,1187,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,73,2626,16,0,
239,1,74,1229,1,
328,1282,1,1048,1244,
1,82,2627,16,0,
239,1,1840,2628,16,
0,239,1,1591,2629,
16,0,239,1,1341,
2630,16,0,239,1,
1096,1292,1,93,1298,
1,352,1310,1,107,
2631,16,0,239,1,
1114,1322,1,118,1324,
1,1123,2632,16,0,
239,1,371,1334,1,
1628,2633,16,0,239,
1,375,1346,1,1882,
2634,16,0,239,1,
377,1352,1,379,1390,
1,380,1362,1,883,
2635,16,0,239,1,
373,1380,1,130,1385,
1,143,2636,16,0,
239,1,387,2637,16,
0,239,1,1159,2638,
16,0,239,1,157,
2639,16,0,239,1,
1413,2640,16,0,239,
1,1665,2641,16,0,
239,1,412,2642,16,
0,239,1,1377,2643,
16,0,239,1,172,
1443,1,1939,2644,16,
0,239,1,437,2645,
16,0,239,1,188,
1487,1,942,1459,1,
1195,2646,16,0,239,
1,1449,2647,16,0,
239,1,1701,2648,16,
0,239,1,447,1480,
1,205,2649,16,0,
239,1,827,2650,16,
0,239,1,223,2651,
16,0,239,1,476,
1518,1,477,1524,1,
1231,2652,16,0,239,
1,479,1534,1,480,
1539,1,1485,2653,16,
0,239,1,1737,2654,
16,0,239,1,242,
2655,16,0,239,1,
478,1557,1,1001,1562,
1,1002,1567,1,33,
2656,19,412,1,33,
2657,5,83,1,1011,
1079,1,1012,2658,16,
0,410,1,1013,1234,
1,262,1096,1,1267,
2659,16,0,410,1,
515,2660,16,0,410,
1,1521,2661,16,0,
410,1,525,1192,1,
283,1154,1,2557,2662,
16,0,410,1,40,
1143,1,42,2663,16,
0,410,1,44,1159,
1,47,1160,1,1303,
2664,16,0,410,1,
1555,2665,16,0,410,
1,50,1177,1,48,
1166,1,49,1172,1,
51,1182,1,63,1198,
1,305,1187,1,66,
1204,1,67,1209,1,
68,1214,1,69,1219,
1,70,1224,1,73,
2666,16,0,410,1,
74,1229,1,328,1282,
1,1048,1244,1,82,
2667,16,0,410,1,
1840,2668,16,0,410,
1,1591,2669,16,0,
410,1,1341,2670,16,
0,410,1,1096,1292,
1,93,1298,1,352,
1310,1,107,2671,16,
0,410,1,1114,1322,
1,118,1324,1,1123,
2672,16,0,410,1,
371,1334,1,1628,2673,
16,0,410,1,375,
1346,1,1882,2674,16,
0,410,1,377,1352,
1,379,1390,1,380,
1362,1,883,2675,16,
0,410,1,373,1380,
1,130,1385,1,143,
1395,1,387,2676,16,
0,410,1,1159,2677,
16,0,410,1,157,
1416,1,1413,2678,16,
0,410,1,1665,2679,
16,0,410,1,412,
2680,16,0,410,1,
1377,2681,16,0,410,
1,172,1443,1,1939,
2682,16,0,410,1,
437,2683,16,0,410,
1,188,1487,1,942,
1459,1,1195,2684,16,
0,410,1,1449,2685,
16,0,410,1,1701,
2686,16,0,410,1,
447,1480,1,205,2687,
16,0,410,1,827,
2688,16,0,410,1,
223,2689,16,0,410,
1,476,1518,1,477,
1524,1,1231,2690,16,
0,410,1,479,1534,
1,480,1539,1,1485,
2691,16,0,410,1,
1737,2692,16,0,410,
1,242,1552,1,478,
1557,1,1001,1562,1,
1002,1567,1,34,2693,
19,379,1,34,2694,
5,83,1,1011,1079,
1,1012,2695,16,0,
377,1,1013,1234,1,
262,1096,1,1267,2696,
16,0,377,1,515,
2697,16,0,377,1,
1521,2698,16,0,377,
1,525,1192,1,283,
1154,1,2557,2699,16,
0,377,1,40,1143,
1,42,2700,16,0,
377,1,44,1159,1,
47,1160,1,1303,2701,
16,0,377,1,1555,
2702,16,0,377,1,
50,1177,1,48,1166,
1,49,1172,1,51,
1182,1,63,1198,1,
305,1187,1,66,1204,
1,67,1209,1,68,
1214,1,69,1219,1,
70,1224,1,73,2703,
16,0,377,1,74,
1229,1,328,1282,1,
1048,1244,1,82,2704,
16,0,377,1,1840,
2705,16,0,377,1,
1591,2706,16,0,377,
1,1341,2707,16,0,
377,1,1096,1292,1,
93,1298,1,352,1310,
1,107,2708,16,0,
377,1,1114,1322,1,
118,1324,1,1123,2709,
16,0,377,1,371,
1334,1,1628,2710,16,
0,377,1,375,1346,
1,1882,2711,16,0,
377,1,377,1352,1,
379,1390,1,380,1362,
1,883,2712,16,0,
377,1,373,1380,1,
130,1385,1,143,1395,
1,387,2713,16,0,
377,1,1159,2714,16,
0,377,1,157,1416,
1,1413,2715,16,0,
377,1,1665,2716,16,
0,377,1,412,2717,
16,0,377,1,1377,
2718,16,0,377,1,
172,1443,1,1939,2719,
16,0,377,1,437,
2720,16,0,377,1,
188,1487,1,942,1459,
1,1195,2721,16,0,
377,1,1449,2722,16,
0,377,1,1701,2723,
16,0,377,1,447,
1480,1,205,1492,1,
827,2724,16,0,377,
1,223,1508,1,476,
1518,1,477,1524,1,
1231,2725,16,0,377,
1,479,1534,1,480,
1539,1,1485,2726,16,
0,377,1,1737,2727,
16,0,377,1,242,
1552,1,478,1557,1,
1001,1562,1,1002,1567,
1,35,2728,19,364,
1,35,2729,5,83,
1,1011,1079,1,1012,
2730,16,0,362,1,
1013,1234,1,262,1096,
1,1267,2731,16,0,
362,1,515,2732,16,
0,362,1,1521,2733,
16,0,362,1,525,
1192,1,283,1154,1,
2557,2734,16,0,362,
1,40,1143,1,42,
2735,16,0,362,1,
44,1159,1,47,1160,
1,1303,2736,16,0,
362,1,1555,2737,16,
0,362,1,50,1177,
1,48,1166,1,49,
1172,1,51,1182,1,
63,1198,1,305,1187,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,73,2738,16,0,
362,1,74,1229,1,
328,1282,1,1048,1244,
1,82,2739,16,0,
362,1,1840,2740,16,
0,362,1,1591,2741,
16,0,362,1,1341,
2742,16,0,362,1,
1096,1292,1,93,1298,
1,352,1310,1,107,
2743,16,0,362,1,
1114,1322,1,118,1324,
1,1123,2744,16,0,
362,1,371,1334,1,
1628,2745,16,0,362,
1,375,1346,1,1882,
2746,16,0,362,1,
377,1352,1,379,1390,
1,380,1362,1,883,
2747,16,0,362,1,
373,1380,1,130,1385,
1,143,1395,1,387,
2748,16,0,362,1,
1159,2749,16,0,362,
1,157,1416,1,1413,
2750,16,0,362,1,
1665,2751,16,0,362,
1,412,2752,16,0,
362,1,1377,2753,16,
0,362,1,172,1443,
1,1939,2754,16,0,
362,1,437,2755,16,
0,362,1,188,1487,
1,942,1459,1,1195,
2756,16,0,362,1,
1449,2757,16,0,362,
1,1701,2758,16,0,
362,1,447,1480,1,
205,1492,1,827,2759,
16,0,362,1,223,
2760,16,0,362,1,
476,1518,1,477,1524,
1,1231,2761,16,0,
362,1,479,1534,1,
480,1539,1,1485,2762,
16,0,362,1,1737,
2763,16,0,362,1,
242,1552,1,478,1557,
1,1001,1562,1,1002,
1567,1,36,2764,19,
216,1,36,2765,5,
90,1,256,2766,16,
0,214,1,1261,2767,
16,0,214,1,509,
2768,16,0,214,1,
1515,2769,16,0,214,
1,2021,709,1,1775,
2770,16,0,214,1,
2029,716,1,2030,722,
1,2031,727,1,2032,
732,1,2033,737,1,
277,2771,16,0,214,
1,2035,743,1,2037,
748,1,2039,753,1,
32,2772,16,0,214,
1,2041,759,1,2043,
764,1,2045,769,1,
41,2773,16,0,214,
1,1297,2774,16,0,
214,1,43,2775,16,
0,214,1,1802,777,
1,1804,2776,16,0,
214,1,299,2777,16,
0,214,1,2310,2778,
16,0,214,1,52,
2779,16,0,214,1,
525,2780,16,0,214,
1,2075,2781,16,0,
214,1,1574,790,1,
71,2782,16,0,214,
1,76,2783,16,0,
214,1,1834,2784,16,
0,214,1,79,2785,
16,0,214,1,1335,
2786,16,0,214,1,
322,2787,16,0,214,
1,85,2788,16,0,
214,1,89,2789,16,
0,214,1,346,2790,
16,0,214,1,2355,
804,1,2105,810,1,
2106,2791,16,0,214,
1,2359,816,1,2361,
821,1,1860,827,1,
97,2792,16,0,214,
1,112,2793,16,0,
214,1,1117,2794,16,
0,214,1,1873,836,
1,102,2795,16,0,
214,1,1876,2796,16,
0,214,1,2551,2797,
16,0,214,1,124,
2798,16,0,214,1,
2136,845,1,381,2799,
16,0,214,1,137,
2800,16,0,214,1,
1901,2801,16,0,214,
1,1153,2802,16,0,
214,1,151,2803,16,
0,214,1,1407,2804,
16,0,214,1,1659,
2805,16,0,214,1,
406,2806,16,0,214,
1,1371,2807,16,0,
214,1,166,2808,16,
0,214,1,1622,2809,
16,0,214,1,2356,
861,1,1931,866,1,
1933,2810,16,0,214,
1,431,2811,16,0,
214,1,1585,2812,16,
0,214,1,182,2813,
16,0,214,1,1189,
2814,16,0,214,1,
1443,2815,16,0,214,
1,1695,2816,16,0,
214,1,2198,2817,16,
0,214,1,447,2818,
16,0,214,1,199,
2819,16,0,214,1,
1958,2820,16,0,214,
1,1657,883,1,459,
2821,16,0,214,1,
462,2822,16,0,214,
1,217,2823,16,0,
214,1,2227,891,1,
1225,2824,16,0,214,
1,1479,2825,16,0,
214,1,1731,2826,16,
0,214,1,1989,899,
1,1990,2827,16,0,
214,1,236,2828,16,
0,214,1,1756,2829,
16,0,214,1,37,
2830,19,232,1,37,
2831,5,90,1,256,
2832,16,0,230,1,
1261,2833,16,0,230,
1,509,2834,16,0,
230,1,1515,2835,16,
0,230,1,2021,709,
1,1775,2836,16,0,
230,1,2029,716,1,
2030,722,1,2031,727,
1,2032,732,1,2033,
737,1,277,2837,16,
0,230,1,2035,743,
1,2037,748,1,2039,
753,1,32,2838,16,
0,230,1,2041,759,
1,2043,764,1,2045,
769,1,41,2839,16,
0,230,1,1297,2840,
16,0,230,1,43,
2841,16,0,230,1,
1802,777,1,1804,2842,
16,0,230,1,299,
2843,16,0,230,1,
2310,2844,16,0,230,
1,52,2845,16,0,
230,1,525,2846,16,
0,230,1,2075,2847,
16,0,230,1,1574,
790,1,71,2848,16,
0,230,1,76,2849,
16,0,230,1,1834,
2850,16,0,230,1,
79,2851,16,0,230,
1,1335,2852,16,0,
230,1,322,2853,16,
0,230,1,85,2854,
16,0,230,1,89,
2855,16,0,230,1,
346,2856,16,0,230,
1,2355,804,1,2105,
810,1,2106,2857,16,
0,230,1,2359,816,
1,2361,821,1,1860,
827,1,97,2858,16,
0,230,1,112,2859,
16,0,230,1,1117,
2860,16,0,230,1,
1873,836,1,102,2861,
16,0,230,1,1876,
2862,16,0,230,1,
2551,2863,16,0,230,
1,124,2864,16,0,
230,1,2136,845,1,
381,2865,16,0,230,
1,137,2866,16,0,
230,1,1901,2867,16,
0,230,1,1153,2868,
16,0,230,1,151,
2869,16,0,230,1,
1407,2870,16,0,230,
1,1659,2871,16,0,
230,1,406,2872,16,
0,230,1,1371,2873,
16,0,230,1,166,
2874,16,0,230,1,
1622,2875,16,0,230,
1,2356,861,1,1931,
866,1,1933,2876,16,
0,230,1,431,2877,
16,0,230,1,1585,
2878,16,0,230,1,
182,2879,16,0,230,
1,1189,2880,16,0,
230,1,1443,2881,16,
0,230,1,1695,2882,
16,0,230,1,2198,
2883,16,0,230,1,
447,2884,16,0,230,
1,199,2885,16,0,
230,1,1958,2886,16,
0,230,1,1657,883,
1,459,2887,16,0,
230,1,462,2888,16,
0,230,1,217,2889,
16,0,230,1,2227,
891,1,1225,2890,16,
0,230,1,1479,2891,
16,0,230,1,1731,
2892,16,0,230,1,
1989,899,1,1990,2893,
16,0,230,1,236,
2894,16,0,230,1,
1756,2895,16,0,230,
1,38,2896,19,229,
1,38,2897,5,83,
1,1011,1079,1,1012,
2898,16,0,227,1,
1013,1234,1,262,1096,
1,1267,2899,16,0,
227,1,515,2900,16,
0,227,1,1521,2901,
16,0,227,1,525,
1192,1,283,1154,1,
2557,2902,16,0,227,
1,40,1143,1,42,
2903,16,0,227,1,
44,1159,1,47,1160,
1,1303,2904,16,0,
227,1,1555,2905,16,
0,227,1,50,1177,
1,48,1166,1,49,
1172,1,51,1182,1,
63,1198,1,305,1187,
1,66,1204,1,67,
1209,1,68,1214,1,
69,1219,1,70,1224,
1,73,2906,16,0,
227,1,74,1229,1,
328,1282,1,1048,1244,
1,82,2907,16,0,
227,1,1840,2908,16,
0,227,1,1591,2909,
16,0,227,1,1341,
2910,16,0,227,1,
1096,1292,1,93,1298,
1,352,1310,1,107,
2911,16,0,227,1,
1114,1322,1,118,1324,
1,1123,2912,16,0,
227,1,371,1334,1,
1628,2913,16,0,227,
1,375,1346,1,1882,
2914,16,0,227,1,
377,1352,1,379,1390,
1,380,1362,1,883,
1368,1,373,1380,1,
130,1385,1,143,1395,
1,387,2915,16,0,
227,1,1159,2916,16,
0,227,1,157,1416,
1,1413,2917,16,0,
227,1,1665,2918,16,
0,227,1,412,2919,
16,0,227,1,1377,
2920,16,0,227,1,
172,1443,1,1939,2921,
16,0,227,1,437,
2922,16,0,227,1,
188,1487,1,942,1459,
1,1195,2923,16,0,
227,1,1449,2924,16,
0,227,1,1701,2925,
16,0,227,1,447,
1480,1,205,1492,1,
827,1357,1,223,1508,
1,476,1518,1,477,
1524,1,1231,2926,16,
0,227,1,479,1534,
1,480,1539,1,1485,
2927,16,0,227,1,
1737,2928,16,0,227,
1,242,1552,1,478,
1557,1,1001,1562,1,
1002,1567,1,39,2929,
19,222,1,39,2930,
5,83,1,1011,1079,
1,1012,2931,16,0,
220,1,1013,1234,1,
262,1096,1,1267,2932,
16,0,220,1,515,
2933,16,0,220,1,
1521,2934,16,0,220,
1,525,1192,1,283,
1154,1,2557,2935,16,
0,220,1,40,1143,
1,42,2936,16,0,
220,1,44,1159,1,
47,1160,1,1303,2937,
16,0,220,1,1555,
2938,16,0,220,1,
50,1177,1,48,1166,
1,49,1172,1,51,
1182,1,63,1198,1,
305,1187,1,66,1204,
1,67,1209,1,68,
1214,1,69,1219,1,
70,1224,1,73,2939,
16,0,220,1,74,
1229,1,328,1282,1,
1048,1244,1,82,2940,
16,0,220,1,1840,
2941,16,0,220,1,
1591,2942,16,0,220,
1,1341,2943,16,0,
220,1,1096,1292,1,
93,1298,1,352,1310,
1,107,2944,16,0,
220,1,1114,1322,1,
118,1324,1,1123,2945,
16,0,220,1,371,
1334,1,1628,2946,16,
0,220,1,375,1346,
1,1882,2947,16,0,
220,1,377,1352,1,
379,1390,1,380,1362,
1,883,1368,1,373,
1380,1,130,1385,1,
143,1395,1,387,2948,
16,0,220,1,1159,
2949,16,0,220,1,
157,1416,1,1413,2950,
16,0,220,1,1665,
2951,16,0,220,1,
412,2952,16,0,220,
1,1377,2953,16,0,
220,1,172,1443,1,
1939,2954,16,0,220,
1,437,2955,16,0,
220,1,188,1487,1,
942,1459,1,1195,2956,
16,0,220,1,1449,
2957,16,0,220,1,
1701,2958,16,0,220,
1,447,1480,1,205,
1492,1,827,1357,1,
223,1508,1,476,1518,
1,477,1524,1,1231,
2959,16,0,220,1,
479,1534,1,480,1539,
1,1485,2960,16,0,
220,1,1737,2961,16,
0,220,1,242,1552,
1,478,1557,1,1001,
1562,1,1002,1567,1,
40,2962,19,210,1,
40,2963,5,83,1,
1011,1079,1,1012,2964,
16,0,208,1,1013,
1234,1,262,1096,1,
1267,2965,16,0,208,
1,515,2966,16,0,
208,1,1521,2967,16,
0,208,1,525,1192,
1,283,1154,1,2557,
2968,16,0,208,1,
40,1143,1,42,2969,
16,0,208,1,44,
1159,1,47,1160,1,
1303,2970,16,0,208,
1,1555,2971,16,0,
208,1,50,1177,1,
48,1166,1,49,1172,
1,51,1182,1,63,
1198,1,305,1187,1,
66,1204,1,67,1209,
1,68,1214,1,69,
1219,1,70,1224,1,
73,2972,16,0,208,
1,74,1229,1,328,
1282,1,1048,1244,1,
82,2973,16,0,208,
1,1840,2974,16,0,
208,1,1591,2975,16,
0,208,1,1341,2976,
16,0,208,1,1096,
1292,1,93,1298,1,
352,1310,1,107,2977,
16,0,208,1,1114,
1322,1,118,2978,16,
0,208,1,1123,2979,
16,0,208,1,371,
1334,1,1628,2980,16,
0,208,1,375,1346,
1,1882,2981,16,0,
208,1,377,1352,1,
379,1390,1,380,1362,
1,883,2982,16,0,
208,1,373,1380,1,
130,2983,16,0,208,
1,143,2984,16,0,
208,1,387,2985,16,
0,208,1,1159,2986,
16,0,208,1,157,
2987,16,0,208,1,
1413,2988,16,0,208,
1,1665,2989,16,0,
208,1,412,2990,16,
0,208,1,1377,2991,
16,0,208,1,172,
2992,16,0,208,1,
1939,2993,16,0,208,
1,437,2994,16,0,
208,1,188,2995,16,
0,208,1,942,1459,
1,1195,2996,16,0,
208,1,1449,2997,16,
0,208,1,1701,2998,
16,0,208,1,447,
1480,1,205,2999,16,
0,208,1,827,3000,
16,0,208,1,223,
3001,16,0,208,1,
476,1518,1,477,1524,
1,1231,3002,16,0,
208,1,479,1534,1,
480,1539,1,1485,3003,
16,0,208,1,1737,
3004,16,0,208,1,
242,3005,16,0,208,
1,478,1557,1,1001,
1562,1,1002,1567,1,
41,3006,19,172,1,
41,3007,5,83,1,
1011,1079,1,1012,3008,
16,0,170,1,1013,
1234,1,262,1096,1,
1267,3009,16,0,170,
1,515,3010,16,0,
170,1,1521,3011,16,
0,170,1,525,1192,
1,283,1154,1,2557,
3012,16,0,170,1,
40,1143,1,42,3013,
16,0,170,1,44,
1159,1,47,1160,1,
1303,3014,16,0,170,
1,1555,3015,16,0,
170,1,50,1177,1,
48,1166,1,49,1172,
1,51,1182,1,63,
1198,1,305,1187,1,
66,1204,1,67,1209,
1,68,1214,1,69,
1219,1,70,1224,1,
73,3016,16,0,170,
1,74,1229,1,328,
1282,1,1048,1244,1,
82,3017,16,0,170,
1,1840,3018,16,0,
170,1,1591,3019,16,
0,170,1,1341,3020,
16,0,170,1,1096,
1292,1,93,1298,1,
352,1310,1,107,3021,
16,0,170,1,1114,
1322,1,118,3022,16,
0,170,1,1123,3023,
16,0,170,1,371,
1334,1,1628,3024,16,
0,170,1,375,1346,
1,1882,3025,16,0,
170,1,377,1352,1,
379,1390,1,380,1362,
1,883,3026,16,0,
170,1,373,1380,1,
130,3027,16,0,170,
1,143,3028,16,0,
170,1,387,3029,16,
0,170,1,1159,3030,
16,0,170,1,157,
3031,16,0,170,1,
1413,3032,16,0,170,
1,1665,3033,16,0,
170,1,412,3034,16,
0,170,1,1377,3035,
16,0,170,1,172,
3036,16,0,170,1,
1939,3037,16,0,170,
1,437,3038,16,0,
170,1,188,3039,16,
0,170,1,942,1459,
1,1195,3040,16,0,
170,1,1449,3041,16,
0,170,1,1701,3042,
16,0,170,1,447,
1480,1,205,3043,16,
0,170,1,827,3044,
16,0,170,1,223,
3045,16,0,170,1,
476,1518,1,477,1524,
1,1231,3046,16,0,
170,1,479,1534,1,
480,1539,1,1485,3047,
16,0,170,1,1737,
3048,16,0,170,1,
242,3049,16,0,170,
1,478,1557,1,1001,
1562,1,1002,1567,1,
42,3050,19,436,1,
42,3051,5,36,1,
2075,3052,16,0,434,
1,1860,827,1,2198,
3053,16,0,434,1,
1873,836,1,2310,3054,
16,0,434,1,1657,
883,1,1989,899,1,
1990,3055,16,0,434,
1,1775,3056,16,0,
434,1,32,3057,16,
0,434,1,2356,861,
1,2105,810,1,2106,
3058,16,0,434,1,
2359,816,1,2227,891,
1,1901,3059,16,0,
434,1,1802,777,1,
2021,709,1,1804,3060,
16,0,434,1,2136,
845,1,2355,804,1,
2029,716,1,2030,722,
1,2031,727,1,2032,
732,1,2033,737,1,
2361,821,1,2035,743,
1,2037,748,1,2039,
753,1,1931,866,1,
2041,759,1,2043,764,
1,2045,769,1,1574,
790,1,1958,3061,16,
0,434,1,43,3062,
19,474,1,43,3063,
5,24,1,2035,743,
1,2037,748,1,2039,
753,1,2041,759,1,
2227,891,1,2043,764,
1,1860,827,1,2021,
709,1,2031,727,1,
1574,790,1,2136,845,
1,1873,836,1,2356,
861,1,1802,777,1,
2105,3064,16,0,576,
1,1989,3065,16,0,
472,1,1657,883,1,
2361,821,1,2029,716,
1,2030,722,1,1931,
866,1,2032,732,1,
2033,737,1,2045,769,
1,44,3066,19,259,
1,44,3067,5,36,
1,2075,3068,16,0,
257,1,1860,827,1,
2198,3069,16,0,257,
1,1873,836,1,2310,
3070,16,0,257,1,
1657,883,1,1989,899,
1,1990,3071,16,0,
257,1,1775,3072,16,
0,257,1,32,3073,
16,0,257,1,2356,
861,1,2105,810,1,
2106,3074,16,0,257,
1,2359,816,1,2227,
891,1,1901,3075,16,
0,257,1,1802,777,
1,2021,709,1,1804,
3076,16,0,257,1,
2136,845,1,2355,804,
1,2029,716,1,2030,
722,1,2031,727,1,
2032,732,1,2033,737,
1,2361,821,1,2035,
743,1,2037,748,1,
2039,753,1,1931,866,
1,2041,759,1,2043,
764,1,2045,769,1,
1574,790,1,1958,3077,
16,0,257,1,45,
3078,19,321,1,45,
3079,5,37,1,2075,
3080,16,0,368,1,
1860,827,1,2198,3081,
16,0,368,1,1873,
836,1,2310,3082,16,
0,368,1,1657,883,
1,1989,899,1,1990,
3083,16,0,368,1,
1775,3084,16,0,368,
1,32,3085,16,0,
368,1,2356,861,1,
2105,810,1,2106,3086,
16,0,368,1,2359,
816,1,2227,891,1,
1901,3087,16,0,368,
1,1802,777,1,2021,
709,1,1804,3088,16,
0,368,1,2136,845,
1,2355,804,1,2029,
716,1,2030,722,1,
2031,727,1,2032,732,
1,2033,737,1,2361,
821,1,2035,743,1,
2037,748,1,2039,753,
1,1931,866,1,2041,
759,1,2043,764,1,
2045,769,1,1832,3089,
16,0,319,1,1574,
790,1,1958,3090,16,
0,368,1,46,3091,
19,661,1,46,3092,
5,36,1,2075,3093,
16,0,659,1,1860,
827,1,2198,3094,16,
0,659,1,1873,836,
1,2310,3095,16,0,
659,1,1657,883,1,
1989,899,1,1990,3096,
16,0,659,1,1775,
3097,16,0,659,1,
32,3098,16,0,659,
1,2356,861,1,2105,
810,1,2106,3099,16,
0,659,1,2359,816,
1,2227,891,1,1901,
3100,16,0,659,1,
1802,777,1,2021,709,
1,1804,3101,16,0,
659,1,2136,845,1,
2355,804,1,2029,716,
1,2030,722,1,2031,
727,1,2032,732,1,
2033,737,1,2361,821,
1,2035,743,1,2037,
748,1,2039,753,1,
1931,866,1,2041,759,
1,2043,764,1,2045,
769,1,1574,790,1,
1958,3102,16,0,659,
1,47,3103,19,546,
1,47,3104,5,19,
1,0,3105,16,0,
544,1,2548,3106,17,
3107,15,3108,4,50,
37,0,71,0,108,
0,111,0,98,0,
97,0,108,0,70,
0,117,0,110,0,
99,0,116,0,105,
0,111,0,110,0,
68,0,101,0,102,
0,105,0,110,0,
105,0,116,0,105,
0,111,0,110,0,
1,-1,1,5,3109,
20,3110,4,52,71,
0,108,0,111,0,
98,0,97,0,108,
0,70,0,117,0,
110,0,99,0,116,
0,105,0,111,0,
110,0,68,0,101,
0,102,0,105,0,
110,0,105,0,116,
0,105,0,111,0,
110,0,95,0,49,
0,1,149,1,3,
1,6,1,5,3111,
22,1,9,1,2599,
3112,16,0,544,1,
2527,693,1,2529,3113,
16,0,544,1,2532,
676,1,2453,670,1,
2608,3114,17,3115,15,
3116,4,36,37,0,
71,0,108,0,111,
0,98,0,97,0,
108,0,68,0,101,
0,102,0,105,0,
110,0,105,0,116,
0,105,0,111,0,
110,0,115,0,1,
-1,1,5,3117,20,
3118,4,38,71,0,
108,0,111,0,98,
0,97,0,108,0,
68,0,101,0,102,
0,105,0,110,0,
105,0,116,0,105,
0,111,0,110,0,
115,0,95,0,51,
0,1,145,1,3,
1,2,1,1,3119,
22,1,5,1,2609,
3120,17,3121,15,3116,
1,-1,1,5,3122,
20,3123,4,38,71,
0,108,0,111,0,
98,0,97,0,108,
0,68,0,101,0,
102,0,105,0,110,
0,105,0,116,0,
105,0,111,0,110,
0,115,0,95,0,
49,0,1,143,1,
3,1,2,1,1,
3124,22,1,3,1,
2576,3125,17,3126,15,
3127,4,52,37,0,
71,0,108,0,111,
0,98,0,97,0,
108,0,86,0,97,
0,114,0,105,0,
97,0,98,0,108,
0,101,0,68,0,
101,0,99,0,108,
0,97,0,114,0,
97,0,116,0,105,
0,111,0,110,0,
1,-1,1,5,3128,
20,3129,4,54,71,
0,108,0,111,0,
98,0,97,0,108,
0,86,0,97,0,
114,0,105,0,97,
0,98,0,108,0,
101,0,68,0,101,
0,99,0,108,0,
97,0,114,0,97,
0,116,0,105,0,
111,0,110,0,95,
0,50,0,1,148,
1,3,1,5,1,
4,3130,22,1,8,
1,2022,3131,16,0,
568,1,2356,861,1,
2533,688,1,2606,3132,
17,3133,15,3116,1,
-1,1,5,3134,20,
3135,4,38,71,0,
108,0,111,0,98,
0,97,0,108,0,
68,0,101,0,102,
0,105,0,110,0,
105,0,116,0,105,
0,111,0,110,0,
115,0,95,0,52,
0,1,146,1,3,
1,3,1,2,3136,
22,1,6,1,2607,
3137,17,3138,15,3116,
1,-1,1,5,3139,
20,3140,4,38,71,
0,108,0,111,0,
98,0,97,0,108,
0,68,0,101,0,
102,0,105,0,110,
0,105,0,116,0,
105,0,111,0,110,
0,115,0,95,0,
50,0,1,144,1,
3,1,3,1,2,
3141,22,1,4,1,
2361,821,1,2363,3142,
17,3143,15,3108,1,
-1,1,5,3144,20,
3145,4,52,71,0,
108,0,111,0,98,
0,97,0,108,0,
70,0,117,0,110,
0,99,0,116,0,
105,0,111,0,110,
0,68,0,101,0,
102,0,105,0,110,
0,105,0,116,0,
105,0,111,0,110,
0,95,0,50,0,
1,150,1,3,1,
7,1,6,3146,22,
1,10,1,2587,3147,
17,3148,15,3127,1,
-1,1,5,3149,20,
3150,4,54,71,0,
108,0,111,0,98,
0,97,0,108,0,
86,0,97,0,114,
0,105,0,97,0,
98,0,108,0,101,
0,68,0,101,0,
99,0,108,0,97,
0,114,0,97,0,
116,0,105,0,111,
0,110,0,95,0,
49,0,1,147,1,
3,1,3,1,2,
3151,22,1,7,1,
2588,3152,16,0,544,
1,48,3153,19,493,
1,48,3154,5,52,
1,0,3155,16,0,
645,1,2075,3156,16,
0,491,1,1860,827,
1,2198,3157,16,0,
491,1,1657,883,1,
2527,693,1,2310,3158,
16,0,491,1,2529,
3159,16,0,645,1,
2029,716,1,2532,676,
1,2032,732,1,1989,
899,1,1990,3160,16,
0,491,1,1775,3161,
16,0,491,1,32,
3162,16,0,491,1,
2105,810,1,2106,3163,
16,0,491,1,2043,
764,1,2548,3106,1,
2227,891,1,1901,3164,
16,0,491,1,2587,
3147,1,2453,670,1,
1802,777,1,2021,709,
1,1804,3165,16,0,
491,1,2136,845,1,
2355,804,1,2356,861,
1,2030,722,1,2576,
3125,1,2359,816,1,
2033,737,1,2361,821,
1,2035,743,1,2363,
3142,1,2037,748,1,
2039,753,1,1931,866,
1,2041,759,1,1873,
836,1,2588,3166,16,
0,645,1,2045,769,
1,1574,790,1,2031,
727,1,2599,3167,16,
0,645,1,2606,3132,
1,2607,3137,1,2608,
3114,1,2609,3120,1,
1958,3168,16,0,491,
1,2533,688,1,49,
3169,19,498,1,49,
3170,5,36,1,2075,
3171,16,0,496,1,
1860,827,1,2198,3172,
16,0,496,1,1873,
836,1,2310,3173,16,
0,496,1,1657,883,
1,1989,899,1,1990,
3174,16,0,496,1,
1775,3175,16,0,496,
1,32,3176,16,0,
496,1,2356,861,1,
2105,810,1,2106,3177,
16,0,496,1,2359,
816,1,2227,891,1,
1901,3178,16,0,496,
1,1802,777,1,2021,
709,1,1804,3179,16,
0,496,1,2136,845,
1,2355,804,1,2029,
716,1,2030,722,1,
2031,727,1,2032,732,
1,2033,737,1,2361,
821,1,2035,743,1,
2037,748,1,2039,753,
1,1931,866,1,2041,
759,1,2043,764,1,
2045,769,1,1574,790,
1,1958,3180,16,0,
496,1,50,3181,19,
615,1,50,3182,5,
36,1,2075,3183,16,
0,613,1,1860,827,
1,2198,3184,16,0,
613,1,1873,836,1,
2310,3185,16,0,613,
1,1657,883,1,1989,
899,1,1990,3186,16,
0,613,1,1775,3187,
16,0,613,1,32,
3188,16,0,613,1,
2356,861,1,2105,810,
1,2106,3189,16,0,
613,1,2359,816,1,
2227,891,1,1901,3190,
16,0,613,1,1802,
777,1,2021,709,1,
1804,3191,16,0,613,
1,2136,845,1,2355,
804,1,2029,716,1,
2030,722,1,2031,727,
1,2032,732,1,2033,
737,1,2361,821,1,
2035,743,1,2037,748,
1,2039,753,1,1931,
866,1,2041,759,1,
2043,764,1,2045,769,
1,1574,790,1,1958,
3192,16,0,613,1,
51,3193,19,127,1,
51,3194,5,51,1,
0,3195,16,0,125,
1,2402,3196,16,0,
125,1,1860,827,1,
10,3197,16,0,125,
1,2198,3198,16,0,
125,1,1873,836,1,
2310,3199,16,0,125,
1,1657,883,1,21,
3200,16,0,125,1,
2031,727,1,2032,732,
1,1989,899,1,2535,
3201,16,0,125,1,
1775,3202,16,0,125,
1,32,3203,16,0,
125,1,2105,810,1,
2106,3204,16,0,125,
1,2043,764,1,2548,
3106,1,2227,891,1,
1901,3205,16,0,125,
1,52,3206,16,0,
125,1,1802,777,1,
2021,709,1,1804,3207,
16,0,125,1,2136,
845,1,2355,804,1,
2356,861,1,2030,722,
1,2576,3125,1,2359,
816,1,2033,737,1,
2361,821,1,2035,743,
1,2363,3142,1,2037,
748,1,2039,753,1,
1931,866,1,2041,759,
1,2587,3147,1,2588,
3208,16,0,125,1,
2045,769,1,1574,790,
1,2029,716,1,1990,
3209,16,0,125,1,
2075,3210,16,0,125,
1,2606,3132,1,2607,
3137,1,2608,3114,1,
2609,3120,1,1958,3211,
16,0,125,1,52,
3212,19,124,1,52,
3213,5,51,1,0,
3214,16,0,122,1,
2402,3215,16,0,122,
1,1860,827,1,10,
3216,16,0,122,1,
2198,3217,16,0,122,
1,1873,836,1,2310,
3218,16,0,122,1,
1657,883,1,21,3219,
16,0,122,1,2031,
727,1,2032,732,1,
1989,899,1,2535,3220,
16,0,122,1,1775,
3221,16,0,122,1,
32,3222,16,0,122,
1,2105,810,1,2106,
3223,16,0,122,1,
2043,764,1,2548,3106,
1,2227,891,1,1901,
3224,16,0,122,1,
52,3225,16,0,122,
1,1802,777,1,2021,
709,1,1804,3226,16,
0,122,1,2136,845,
1,2355,804,1,2356,
861,1,2030,722,1,
2576,3125,1,2359,816,
1,2033,737,1,2361,
821,1,2035,743,1,
2363,3142,1,2037,748,
1,2039,753,1,1931,
866,1,2041,759,1,
2587,3147,1,2588,3227,
16,0,122,1,2045,
769,1,1574,790,1,
2029,716,1,1990,3228,
16,0,122,1,2075,
3229,16,0,122,1,
2606,3132,1,2607,3137,
1,2608,3114,1,2609,
3120,1,1958,3230,16,
0,122,1,53,3231,
19,121,1,53,3232,
5,51,1,0,3233,
16,0,119,1,2402,
3234,16,0,119,1,
1860,827,1,10,3235,
16,0,119,1,2198,
3236,16,0,119,1,
1873,836,1,2310,3237,
16,0,119,1,1657,
883,1,21,3238,16,
0,119,1,2031,727,
1,2032,732,1,1989,
899,1,2535,3239,16,
0,119,1,1775,3240,
16,0,119,1,32,
3241,16,0,119,1,
2105,810,1,2106,3242,
16,0,119,1,2043,
764,1,2548,3106,1,
2227,891,1,1901,3243,
16,0,119,1,52,
3244,16,0,119,1,
1802,777,1,2021,709,
1,1804,3245,16,0,
119,1,2136,845,1,
2355,804,1,2356,861,
1,2030,722,1,2576,
3125,1,2359,816,1,
2033,737,1,2361,821,
1,2035,743,1,2363,
3142,1,2037,748,1,
2039,753,1,1931,866,
1,2041,759,1,2587,
3147,1,2588,3246,16,
0,119,1,2045,769,
1,1574,790,1,2029,
716,1,1990,3247,16,
0,119,1,2075,3248,
16,0,119,1,2606,
3132,1,2607,3137,1,
2608,3114,1,2609,3120,
1,1958,3249,16,0,
119,1,54,3250,19,
118,1,54,3251,5,
51,1,0,3252,16,
0,116,1,2402,3253,
16,0,116,1,1860,
827,1,10,3254,16,
0,116,1,2198,3255,
16,0,116,1,1873,
836,1,2310,3256,16,
0,116,1,1657,883,
1,21,3257,16,0,
116,1,2031,727,1,
2032,732,1,1989,899,
1,2535,3258,16,0,
116,1,1775,3259,16,
0,116,1,32,3260,
16,0,116,1,2105,
810,1,2106,3261,16,
0,116,1,2043,764,
1,2548,3106,1,2227,
891,1,1901,3262,16,
0,116,1,52,3263,
16,0,116,1,1802,
777,1,2021,709,1,
1804,3264,16,0,116,
1,2136,845,1,2355,
804,1,2356,861,1,
2030,722,1,2576,3125,
1,2359,816,1,2033,
737,1,2361,821,1,
2035,743,1,2363,3142,
1,2037,748,1,2039,
753,1,1931,866,1,
2041,759,1,2587,3147,
1,2588,3265,16,0,
116,1,2045,769,1,
1574,790,1,2029,716,
1,1990,3266,16,0,
116,1,2075,3267,16,
0,116,1,2606,3132,
1,2607,3137,1,2608,
3114,1,2609,3120,1,
1958,3268,16,0,116,
1,55,3269,19,115,
1,55,3270,5,51,
1,0,3271,16,0,
113,1,2402,3272,16,
0,113,1,1860,827,
1,10,3273,16,0,
113,1,2198,3274,16,
0,113,1,1873,836,
1,2310,3275,16,0,
113,1,1657,883,1,
21,3276,16,0,113,
1,2031,727,1,2032,
732,1,1989,899,1,
2535,3277,16,0,113,
1,1775,3278,16,0,
113,1,32,3279,16,
0,113,1,2105,810,
1,2106,3280,16,0,
113,1,2043,764,1,
2548,3106,1,2227,891,
1,1901,3281,16,0,
113,1,52,3282,16,
0,113,1,1802,777,
1,2021,709,1,1804,
3283,16,0,113,1,
2136,845,1,2355,804,
1,2356,861,1,2030,
722,1,2576,3125,1,
2359,816,1,2033,737,
1,2361,821,1,2035,
743,1,2363,3142,1,
2037,748,1,2039,753,
1,1931,866,1,2041,
759,1,2587,3147,1,
2588,3284,16,0,113,
1,2045,769,1,1574,
790,1,2029,716,1,
1990,3285,16,0,113,
1,2075,3286,16,0,
113,1,2606,3132,1,
2607,3137,1,2608,3114,
1,2609,3120,1,1958,
3287,16,0,113,1,
56,3288,19,112,1,
56,3289,5,51,1,
0,3290,16,0,110,
1,2402,3291,16,0,
110,1,1860,827,1,
10,3292,16,0,110,
1,2198,3293,16,0,
110,1,1873,836,1,
2310,3294,16,0,110,
1,1657,883,1,21,
3295,16,0,110,1,
2031,727,1,2032,732,
1,1989,899,1,2535,
3296,16,0,110,1,
1775,3297,16,0,110,
1,32,3298,16,0,
110,1,2105,810,1,
2106,3299,16,0,110,
1,2043,764,1,2548,
3106,1,2227,891,1,
1901,3300,16,0,110,
1,52,3301,16,0,
110,1,1802,777,1,
2021,709,1,1804,3302,
16,0,110,1,2136,
845,1,2355,804,1,
2356,861,1,2030,722,
1,2576,3125,1,2359,
816,1,2033,737,1,
2361,821,1,2035,743,
1,2363,3142,1,2037,
748,1,2039,753,1,
1931,866,1,2041,759,
1,2587,3147,1,2588,
3303,16,0,110,1,
2045,769,1,1574,790,
1,2029,716,1,1990,
3304,16,0,110,1,
2075,3305,16,0,110,
1,2606,3132,1,2607,
3137,1,2608,3114,1,
2609,3120,1,1958,3306,
16,0,110,1,57,
3307,19,109,1,57,
3308,5,51,1,0,
3309,16,0,107,1,
2402,3310,16,0,107,
1,1860,827,1,10,
3311,16,0,107,1,
2198,3312,16,0,107,
1,1873,836,1,2310,
3313,16,0,107,1,
1657,883,1,21,3314,
16,0,107,1,2031,
727,1,2032,732,1,
1989,899,1,2535,3315,
16,0,107,1,1775,
3316,16,0,107,1,
32,3317,16,0,107,
1,2105,810,1,2106,
3318,16,0,107,1,
2043,764,1,2548,3106,
1,2227,891,1,1901,
3319,16,0,107,1,
52,3320,16,0,107,
1,1802,777,1,2021,
709,1,1804,3321,16,
0,107,1,2136,845,
1,2355,804,1,2356,
861,1,2030,722,1,
2576,3125,1,2359,816,
1,2033,737,1,2361,
821,1,2035,743,1,
2363,3142,1,2037,748,
1,2039,753,1,1931,
866,1,2041,759,1,
2587,3147,1,2588,3322,
16,0,107,1,2045,
769,1,1574,790,1,
2029,716,1,1990,3323,
16,0,107,1,2075,
3324,16,0,107,1,
2606,3132,1,2607,3137,
1,2608,3114,1,2609,
3120,1,1958,3325,16,
0,107,1,58,3326,
19,428,1,58,3327,
5,9,1,2415,1591,
1,2417,3328,16,0,
426,1,2456,3329,16,
0,426,1,2452,1600,
1,2454,1606,1,2491,
3330,16,0,426,1,
2356,861,1,2361,821,
1,2367,3331,16,0,
426,1,59,3332,19,
344,1,59,3333,5,
9,1,2415,1591,1,
2417,3334,16,0,342,
1,2456,3335,16,0,
342,1,2452,1600,1,
2454,1606,1,2491,3336,
16,0,342,1,2356,
861,1,2361,821,1,
2367,3337,16,0,342,
1,60,3338,19,341,
1,60,3339,5,9,
1,2415,1591,1,2417,
3340,16,0,339,1,
2456,3341,16,0,339,
1,2452,1600,1,2454,
1606,1,2491,3342,16,
0,339,1,2356,861,
1,2361,821,1,2367,
3343,16,0,339,1,
61,3344,19,425,1,
61,3345,5,9,1,
2415,1591,1,2417,3346,
16,0,423,1,2456,
3347,16,0,423,1,
2452,1600,1,2454,1606,
1,2491,3348,16,0,
423,1,2356,861,1,
2361,821,1,2367,3349,
16,0,423,1,62,
3350,19,337,1,62,
3351,5,9,1,2415,
1591,1,2417,3352,16,
0,335,1,2456,3353,
16,0,335,1,2452,
1600,1,2454,1606,1,
2491,3354,16,0,335,
1,2356,861,1,2361,
821,1,2367,3355,16,
0,335,1,63,3356,
19,334,1,63,3357,
5,9,1,2415,1591,
1,2417,3358,16,0,
332,1,2456,3359,16,
0,332,1,2452,1600,
1,2454,1606,1,2491,
3360,16,0,332,1,
2356,861,1,2361,821,
1,2367,3361,16,0,
332,1,64,3362,19,
555,1,64,3363,5,
9,1,2415,1591,1,
2417,3364,16,0,553,
1,2456,3365,16,0,
553,1,2452,1600,1,
2454,1606,1,2491,3366,
16,0,553,1,2356,
861,1,2361,821,1,
2367,3367,16,0,553,
1,65,3368,19,328,
1,65,3369,5,9,
1,2415,1591,1,2417,
3370,16,0,326,1,
2456,3371,16,0,326,
1,2452,1600,1,2454,
1606,1,2491,3372,16,
0,326,1,2356,861,
1,2361,821,1,2367,
3373,16,0,326,1,
66,3374,19,325,1,
66,3375,5,9,1,
2415,1591,1,2417,3376,
16,0,323,1,2456,
3377,16,0,323,1,
2452,1600,1,2454,1606,
1,2491,3378,16,0,
323,1,2356,861,1,
2361,821,1,2367,3379,
16,0,323,1,67,
3380,19,421,1,67,
3381,5,9,1,2415,
1591,1,2417,3382,16,
0,419,1,2456,3383,
16,0,419,1,2452,
1600,1,2454,1606,1,
2491,3384,16,0,419,
1,2356,861,1,2361,
821,1,2367,3385,16,
0,419,1,68,3386,
19,418,1,68,3387,
5,9,1,2415,1591,
1,2417,3388,16,0,
416,1,2456,3389,16,
0,416,1,2452,1600,
1,2454,1606,1,2491,
3390,16,0,416,1,
2356,861,1,2361,821,
1,2367,3391,16,0,
416,1,69,3392,19,
415,1,69,3393,5,
9,1,2415,1591,1,
2417,3394,16,0,413,
1,2456,3395,16,0,
413,1,2452,1600,1,
2454,1606,1,2491,3396,
16,0,413,1,2356,
861,1,2361,821,1,
2367,3397,16,0,413,
1,70,3398,19,317,
1,70,3399,5,9,
1,2415,1591,1,2417,
3400,16,0,315,1,
2456,3401,16,0,315,
1,2452,1600,1,2454,
1606,1,2491,3402,16,
0,315,1,2356,861,
1,2361,821,1,2367,
3403,16,0,315,1,
71,3404,19,409,1,
71,3405,5,9,1,
2415,1591,1,2417,3406,
16,0,407,1,2456,
3407,16,0,407,1,
2452,1600,1,2454,1606,
1,2491,3408,16,0,
407,1,2356,861,1,
2361,821,1,2367,3409,
16,0,407,1,72,
3410,19,313,1,72,
3411,5,9,1,2415,
1591,1,2417,3412,16,
0,311,1,2456,3413,
16,0,311,1,2452,
1600,1,2454,1606,1,
2491,3414,16,0,311,
1,2356,861,1,2361,
821,1,2367,3415,16,
0,311,1,73,3416,
19,406,1,73,3417,
5,9,1,2415,1591,
1,2417,3418,16,0,
404,1,2456,3419,16,
0,404,1,2452,1600,
1,2454,1606,1,2491,
3420,16,0,404,1,
2356,861,1,2361,821,
1,2367,3421,16,0,
404,1,74,3422,19,
403,1,74,3423,5,
9,1,2415,1591,1,
2417,3424,16,0,401,
1,2456,3425,16,0,
401,1,2452,1600,1,
2454,1606,1,2491,3426,
16,0,401,1,2356,
861,1,2361,821,1,
2367,3427,16,0,401,
1,75,3428,19,306,
1,75,3429,5,9,
1,2415,1591,1,2417,
3430,16,0,304,1,
2456,3431,16,0,304,
1,2452,1600,1,2454,
1606,1,2491,3432,16,
0,304,1,2356,861,
1,2361,821,1,2367,
3433,16,0,304,1,
76,3434,19,303,1,
76,3435,5,9,1,
2415,1591,1,2417,3436,
16,0,301,1,2456,
3437,16,0,301,1,
2452,1600,1,2454,1606,
1,2491,3438,16,0,
301,1,2356,861,1,
2361,821,1,2367,3439,
16,0,301,1,77,
3440,19,398,1,77,
3441,5,9,1,2415,
1591,1,2417,3442,16,
0,396,1,2456,3443,
16,0,396,1,2452,
1600,1,2454,1606,1,
2491,3444,16,0,396,
1,2356,861,1,2361,
821,1,2367,3445,16,
0,396,1,78,3446,
19,299,1,78,3447,
5,9,1,2415,1591,
1,2417,3448,16,0,
297,1,2456,3449,16,
0,297,1,2452,1600,
1,2454,1606,1,2491,
3450,16,0,297,1,
2356,861,1,2361,821,
1,2367,3451,16,0,
297,1,79,3452,19,
462,1,79,3453,5,
9,1,2415,1591,1,
2417,3454,16,0,460,
1,2456,3455,16,0,
460,1,2452,1600,1,
2454,1606,1,2491,3456,
16,0,460,1,2356,
861,1,2361,821,1,
2367,3457,16,0,460,
1,80,3458,19,293,
1,80,3459,5,9,
1,2415,1591,1,2417,
3460,16,0,291,1,
2456,3461,16,0,291,
1,2452,1600,1,2454,
1606,1,2491,3462,16,
0,291,1,2356,861,
1,2361,821,1,2367,
3463,16,0,291,1,
81,3464,19,290,1,
81,3465,5,9,1,
2415,1591,1,2417,3466,
16,0,288,1,2456,
3467,16,0,288,1,
2452,1600,1,2454,1606,
1,2491,3468,16,0,
288,1,2356,861,1,
2361,821,1,2367,3469,
16,0,288,1,82,
3470,19,287,1,82,
3471,5,9,1,2415,
1591,1,2417,3472,16,
0,285,1,2456,3473,
16,0,285,1,2452,
1600,1,2454,1606,1,
2491,3474,16,0,285,
1,2356,861,1,2361,
821,1,2367,3475,16,
0,285,1,83,3476,
19,592,1,83,3477,
5,9,1,2415,1591,
1,2417,3478,16,0,
590,1,2456,3479,16,
0,590,1,2452,1600,
1,2454,1606,1,2491,
3480,16,0,590,1,
2356,861,1,2361,821,
1,2367,3481,16,0,
590,1,84,3482,19,
387,1,84,3483,5,
9,1,2415,1591,1,
2417,3484,16,0,385,
1,2456,3485,16,0,
385,1,2452,1600,1,
2454,1606,1,2491,3486,
16,0,385,1,2356,
861,1,2361,821,1,
2367,3487,16,0,385,
1,85,3488,19,280,
1,85,3489,5,9,
1,2415,1591,1,2417,
3490,16,0,278,1,
2456,3491,16,0,278,
1,2452,1600,1,2454,
1606,1,2491,3492,16,
0,278,1,2356,861,
1,2361,821,1,2367,
3493,16,0,278,1,
86,3494,19,277,1,
86,3495,5,9,1,
2415,1591,1,2417,3496,
16,0,275,1,2456,
3497,16,0,275,1,
2452,1600,1,2454,1606,
1,2491,3498,16,0,
275,1,2356,861,1,
2361,821,1,2367,3499,
16,0,275,1,87,
3500,19,383,1,87,
3501,5,9,1,2415,
1591,1,2417,3502,16,
0,381,1,2456,3503,
16,0,381,1,2452,
1600,1,2454,1606,1,
2491,3504,16,0,381,
1,2356,861,1,2361,
821,1,2367,3505,16,
0,381,1,88,3506,
19,273,1,88,3507,
5,9,1,2415,1591,
1,2417,3508,16,0,
271,1,2456,3509,16,
0,271,1,2452,1600,
1,2454,1606,1,2491,
3510,16,0,271,1,
2356,861,1,2361,821,
1,2367,3511,16,0,
271,1,89,3512,19,
376,1,89,3513,5,
9,1,2415,1591,1,
2417,3514,16,0,374,
1,2456,3515,16,0,
374,1,2452,1600,1,
2454,1606,1,2491,3516,
16,0,374,1,2356,
861,1,2361,821,1,
2367,3517,16,0,374,
1,90,3518,19,650,
1,90,3519,5,9,
1,2415,1591,1,2417,
3520,16,0,648,1,
2456,3521,16,0,648,
1,2452,1600,1,2454,
1606,1,2491,3522,16,
0,648,1,2356,861,
1,2361,821,1,2367,
3523,16,0,648,1,
91,3524,19,133,1,
91,3525,5,121,1,
0,3526,16,0,467,
1,1,1915,1,2,
1921,1,3,1926,1,
4,1931,1,5,1936,
1,6,1941,1,7,
1946,1,8,3527,16,
0,131,1,1515,3528,
16,0,165,1,2607,
3137,1,2021,709,1,
2022,3529,16,0,495,
1,256,3530,16,0,
173,1,2025,3531,16,
0,499,1,18,3532,
16,0,138,1,2027,
3533,16,0,503,1,
2029,716,1,2030,722,
1,2031,727,1,2032,
732,1,2033,737,1,
277,3534,16,0,173,
1,2035,743,1,2037,
748,1,2039,753,1,
32,3535,16,0,165,
1,2041,759,1,2043,
764,1,2045,769,1,
2548,3106,1,41,3536,
16,0,173,1,1297,
3537,16,0,165,1,
43,3538,16,0,173,
1,1802,777,1,46,
3539,16,0,178,1,
1804,3540,16,0,165,
1,299,3541,16,0,
173,1,2310,3542,16,
0,165,1,52,3543,
16,0,165,1,509,
3544,16,0,173,1,
525,3545,16,0,173,
1,62,3546,16,0,
195,1,65,3547,16,
0,197,1,2576,3125,
1,2075,3548,16,0,
165,1,1574,790,1,
71,3549,16,0,173,
1,1775,3550,16,0,
165,1,76,3551,16,
0,173,1,1834,3552,
16,0,165,1,2588,
3553,16,0,467,1,
79,3554,16,0,173,
1,1335,3555,16,0,
165,1,322,3556,16,
0,173,1,85,3557,
16,0,173,1,1261,
3558,16,0,165,1,
89,3559,16,0,173,
1,346,3560,16,0,
173,1,2355,804,1,
2356,861,1,2106,3561,
16,0,165,1,2609,
3120,1,2359,816,1,
2361,821,1,1860,827,
1,2363,3142,1,2365,
3562,16,0,267,1,
97,3563,16,0,173,
1,1113,3564,16,0,
158,1,112,3565,16,
0,173,1,1117,3566,
16,0,165,1,1873,
836,1,102,3567,16,
0,173,1,1876,3568,
16,0,165,1,372,
3569,16,0,533,1,
2551,3570,16,0,173,
1,374,3571,16,0,
535,1,124,3572,16,
0,173,1,376,3573,
16,0,537,1,378,
3574,16,0,539,1,
2136,845,1,381,3575,
16,0,173,1,1585,
3576,16,0,173,1,
137,3577,16,0,173,
1,1901,3578,16,0,
165,1,1153,3579,16,
0,165,1,151,3580,
16,0,173,1,1407,
3581,16,0,165,1,
1659,3582,16,0,165,
1,406,3583,16,0,
173,1,2587,3147,1,
1371,3584,16,0,165,
1,2105,810,1,166,
3585,16,0,173,1,
1622,3586,16,0,173,
1,1931,866,1,1933,
3587,16,0,165,1,
2606,3132,1,431,3588,
16,0,173,1,2608,
3114,1,182,3589,16,
0,173,1,1189,3590,
16,0,165,1,1443,
3591,16,0,165,1,
1695,3592,16,0,165,
1,2198,3593,16,0,
165,1,447,3594,16,
0,173,1,199,3595,
16,0,173,1,1958,
3596,16,0,165,1,
1657,883,1,459,3597,
16,0,173,1,462,
3598,16,0,173,1,
217,3599,16,0,173,
1,2227,891,1,1225,
3600,16,0,165,1,
1479,3601,16,0,165,
1,1731,3602,16,0,
173,1,1989,899,1,
1990,3603,16,0,165,
1,236,3604,16,0,
173,1,1756,3605,16,
0,165,1,92,3606,
19,627,1,92,3607,
5,91,1,256,3608,
16,0,625,1,1261,
3609,16,0,625,1,
509,3610,16,0,625,
1,1515,3611,16,0,
625,1,2021,709,1,
1775,3612,16,0,625,
1,2029,716,1,2030,
722,1,2031,727,1,
2032,732,1,2033,737,
1,277,3613,16,0,
625,1,2035,743,1,
2037,748,1,2039,753,
1,32,3614,16,0,
625,1,2041,759,1,
2043,764,1,2045,769,
1,41,3615,16,0,
625,1,1297,3616,16,
0,625,1,43,3617,
16,0,625,1,1802,
777,1,1804,3618,16,
0,625,1,299,3619,
16,0,625,1,2310,
3620,16,0,625,1,
52,3621,16,0,625,
1,525,3622,16,0,
625,1,62,3623,16,
0,625,1,2075,3624,
16,0,625,1,1574,
790,1,71,3625,16,
0,625,1,76,3626,
16,0,625,1,1834,
3627,16,0,625,1,
79,3628,16,0,625,
1,1335,3629,16,0,
625,1,322,3630,16,
0,625,1,85,3631,
16,0,625,1,89,
3632,16,0,625,1,
346,3633,16,0,625,
1,2355,804,1,2105,
810,1,2106,3634,16,
0,625,1,2359,816,
1,2361,821,1,1860,
827,1,97,3635,16,
0,625,1,112,3636,
16,0,625,1,1117,
3637,16,0,625,1,
1873,836,1,102,3638,
16,0,625,1,1876,
3639,16,0,625,1,
2551,3640,16,0,625,
1,124,3641,16,0,
625,1,2136,845,1,
381,3642,16,0,625,
1,137,3643,16,0,
625,1,1901,3644,16,
0,625,1,1153,3645,
16,0,625,1,151,
3646,16,0,625,1,
1407,3647,16,0,625,
1,1659,3648,16,0,
625,1,406,3649,16,
0,625,1,1371,3650,
16,0,625,1,166,
3651,16,0,625,1,
1622,3652,16,0,625,
1,2356,861,1,1931,
866,1,1933,3653,16,
0,625,1,431,3654,
16,0,625,1,1585,
3655,16,0,625,1,
182,3656,16,0,625,
1,1189,3657,16,0,
625,1,1443,3658,16,
0,625,1,1695,3659,
16,0,625,1,2198,
3660,16,0,625,1,
447,3661,16,0,625,
1,199,3662,16,0,
625,1,1958,3663,16,
0,625,1,1657,883,
1,459,3664,16,0,
625,1,462,3665,16,
0,625,1,217,3666,
16,0,625,1,2227,
891,1,1225,3667,16,
0,625,1,1479,3668,
16,0,625,1,1731,
3669,16,0,625,1,
1989,899,1,1990,3670,
16,0,625,1,236,
3671,16,0,625,1,
1756,3672,16,0,625,
1,93,3673,19,624,
1,93,3674,5,91,
1,256,3675,16,0,
622,1,1261,3676,16,
0,622,1,509,3677,
16,0,622,1,1515,
3678,16,0,622,1,
2021,709,1,1775,3679,
16,0,622,1,2029,
716,1,2030,722,1,
2031,727,1,2032,732,
1,2033,737,1,277,
3680,16,0,622,1,
2035,743,1,2037,748,
1,2039,753,1,32,
3681,16,0,622,1,
2041,759,1,2043,764,
1,2045,769,1,41,
3682,16,0,622,1,
1297,3683,16,0,622,
1,43,3684,16,0,
622,1,1802,777,1,
1804,3685,16,0,622,
1,299,3686,16,0,
622,1,2310,3687,16,
0,622,1,52,3688,
16,0,622,1,525,
3689,16,0,622,1,
62,3690,16,0,622,
1,2075,3691,16,0,
622,1,1574,790,1,
71,3692,16,0,622,
1,76,3693,16,0,
622,1,1834,3694,16,
0,622,1,79,3695,
16,0,622,1,1335,
3696,16,0,622,1,
322,3697,16,0,622,
1,85,3698,16,0,
622,1,89,3699,16,
0,622,1,346,3700,
16,0,622,1,2355,
804,1,2105,810,1,
2106,3701,16,0,622,
1,2359,816,1,2361,
821,1,1860,827,1,
97,3702,16,0,622,
1,112,3703,16,0,
622,1,1117,3704,16,
0,622,1,1873,836,
1,102,3705,16,0,
622,1,1876,3706,16,
0,622,1,2551,3707,
16,0,622,1,124,
3708,16,0,622,1,
2136,845,1,381,3709,
16,0,622,1,137,
3710,16,0,622,1,
1901,3711,16,0,622,
1,1153,3712,16,0,
622,1,151,3713,16,
0,622,1,1407,3714,
16,0,622,1,1659,
3715,16,0,622,1,
406,3716,16,0,622,
1,1371,3717,16,0,
622,1,166,3718,16,
0,622,1,1622,3719,
16,0,622,1,2356,
861,1,1931,866,1,
1933,3720,16,0,622,
1,431,3721,16,0,
622,1,1585,3722,16,
0,622,1,182,3723,
16,0,622,1,1189,
3724,16,0,622,1,
1443,3725,16,0,622,
1,1695,3726,16,0,
622,1,2198,3727,16,
0,622,1,447,3728,
16,0,622,1,199,
3729,16,0,622,1,
1958,3730,16,0,622,
1,1657,883,1,459,
3731,16,0,622,1,
462,3732,16,0,622,
1,217,3733,16,0,
622,1,2227,891,1,
1225,3734,16,0,622,
1,1479,3735,16,0,
622,1,1731,3736,16,
0,622,1,1989,899,
1,1990,3737,16,0,
622,1,236,3738,16,
0,622,1,1756,3739,
16,0,622,1,94,
3740,19,621,1,94,
3741,5,91,1,256,
3742,16,0,619,1,
1261,3743,16,0,619,
1,509,3744,16,0,
619,1,1515,3745,16,
0,619,1,2021,709,
1,1775,3746,16,0,
619,1,2029,716,1,
2030,722,1,2031,727,
1,2032,732,1,2033,
737,1,277,3747,16,
0,619,1,2035,743,
1,2037,748,1,2039,
753,1,32,3748,16,
0,619,1,2041,759,
1,2043,764,1,2045,
769,1,41,3749,16,
0,619,1,1297,3750,
16,0,619,1,43,
3751,16,0,619,1,
1802,777,1,1804,3752,
16,0,619,1,299,
3753,16,0,619,1,
2310,3754,16,0,619,
1,52,3755,16,0,
619,1,525,3756,16,
0,619,1,62,3757,
16,0,619,1,2075,
3758,16,0,619,1,
1574,790,1,71,3759,
16,0,619,1,76,
3760,16,0,619,1,
1834,3761,16,0,619,
1,79,3762,16,0,
619,1,1335,3763,16,
0,619,1,322,3764,
16,0,619,1,85,
3765,16,0,619,1,
89,3766,16,0,619,
1,346,3767,16,0,
619,1,2355,804,1,
2105,810,1,2106,3768,
16,0,619,1,2359,
816,1,2361,821,1,
1860,827,1,97,3769,
16,0,619,1,112,
3770,16,0,619,1,
1117,3771,16,0,619,
1,1873,836,1,102,
3772,16,0,619,1,
1876,3773,16,0,619,
1,2551,3774,16,0,
619,1,124,3775,16,
0,619,1,2136,845,
1,381,3776,16,0,
619,1,137,3777,16,
0,619,1,1901,3778,
16,0,619,1,1153,
3779,16,0,619,1,
151,3780,16,0,619,
1,1407,3781,16,0,
619,1,1659,3782,16,
0,619,1,406,3783,
16,0,619,1,1371,
3784,16,0,619,1,
166,3785,16,0,619,
1,1622,3786,16,0,
619,1,2356,861,1,
1931,866,1,1933,3787,
16,0,619,1,431,
3788,16,0,619,1,
1585,3789,16,0,619,
1,182,3790,16,0,
619,1,1189,3791,16,
0,619,1,1443,3792,
16,0,619,1,1695,
3793,16,0,619,1,
2198,3794,16,0,619,
1,447,3795,16,0,
619,1,199,3796,16,
0,619,1,1958,3797,
16,0,619,1,1657,
883,1,459,3798,16,
0,619,1,462,3799,
16,0,619,1,217,
3800,16,0,619,1,
2227,891,1,1225,3801,
16,0,619,1,1479,
3802,16,0,619,1,
1731,3803,16,0,619,
1,1989,899,1,1990,
3804,16,0,619,1,
236,3805,16,0,619,
1,1756,3806,16,0,
619,1,95,3807,19,
103,1,95,3808,5,
1,1,0,3809,16,
0,104,1,96,3810,
19,586,1,96,3811,
5,1,1,0,3812,
16,0,584,1,97,
3813,19,635,1,97,
3814,5,2,1,0,
3815,16,0,663,1,
2588,3816,16,0,633,
1,98,3817,19,561,
1,98,3818,5,2,
1,0,3819,16,0,
605,1,2588,3820,16,
0,559,1,99,3821,
19,458,1,99,3822,
5,2,1,0,3823,
16,0,456,1,2588,
3824,16,0,469,1,
100,3825,19,465,1,
100,3826,5,4,1,
0,3827,16,0,551,
1,2599,3828,16,0,
463,1,2588,3829,16,
0,551,1,2529,3830,
16,0,463,1,101,
3831,19,442,1,101,
3832,5,2,1,2367,
3833,16,0,440,1,
2456,3834,16,0,484,
1,102,3835,19,391,
1,102,3836,5,4,
1,2367,3837,16,0,
393,1,2456,3838,16,
0,393,1,2491,3839,
16,0,389,1,2417,
3840,16,0,389,1,
103,3841,19,141,1,
103,3842,5,3,1,
2402,3843,16,0,483,
1,2535,3844,16,0,
470,1,10,3845,16,
0,139,1,104,3846,
19,151,1,104,3847,
5,16,1,0,3848,
16,0,632,1,2075,
3849,16,0,642,1,
10,3850,16,0,263,
1,1901,3851,16,0,
642,1,2198,3852,16,
0,642,1,2310,3853,
16,0,642,1,2535,
3854,16,0,263,1,
21,3855,16,0,149,
1,2106,3856,16,0,
642,1,1958,3857,16,
0,642,1,1804,3858,
16,0,642,1,1990,
3859,16,0,642,1,
32,3860,16,0,642,
1,2402,3861,16,0,
263,1,2588,3862,16,
0,632,1,1775,3863,
16,0,642,1,105,
3864,19,130,1,105,
3865,5,17,1,0,
3866,16,0,128,1,
2075,3867,16,0,137,
1,10,3868,16,0,
137,1,2198,3869,16,
0,137,1,1901,3870,
16,0,137,1,52,
3871,16,0,193,1,
2310,3872,16,0,137,
1,2535,3873,16,0,
137,1,21,3874,16,
0,137,1,2106,3875,
16,0,137,1,1958,
3876,16,0,137,1,
1804,3877,16,0,137,
1,1990,3878,16,0,
137,1,32,3879,16,
0,137,1,2402,3880,
16,0,137,1,2588,
3881,16,0,128,1,
1775,3882,16,0,137,
1,106,3883,19,348,
1,106,3884,5,4,
1,2367,3885,16,0,
346,1,2456,3886,16,
0,346,1,2491,3887,
16,0,346,1,2417,
3888,16,0,346,1,
107,3889,19,262,1,
107,3890,5,13,1,
2075,3891,16,0,504,
1,2413,3892,16,0,
355,1,1901,3893,16,
0,504,1,2198,3894,
16,0,504,1,2310,
3895,16,0,504,1,
2106,3896,16,0,504,
1,1804,3897,16,0,
504,1,1990,3898,16,
0,504,1,2546,3899,
16,0,475,1,31,
3900,16,0,260,1,
32,3901,16,0,504,
1,1958,3902,16,0,
504,1,1775,3903,16,
0,504,1,108,3904,
19,309,1,108,3905,
5,1,1,32,3906,
16,0,307,1,109,
3907,19,251,1,109,
3908,5,10,1,2075,
3909,16,0,575,1,
1901,3910,16,0,433,
1,2198,3911,16,0,
373,1,2310,3912,16,
0,249,1,2106,3913,
16,0,609,1,1804,
3914,16,0,318,1,
1990,3915,16,0,490,
1,32,3916,16,0,
370,1,1958,3917,16,
0,471,1,1775,3918,
16,0,256,1,110,
3919,19,581,1,110,
3920,5,10,1,2075,
3921,16,0,579,1,
1901,3922,16,0,579,
1,2198,3923,16,0,
579,1,2310,3924,16,
0,579,1,2106,3925,
16,0,579,1,1804,
3926,16,0,579,1,
1990,3927,16,0,579,
1,32,3928,16,0,
579,1,1958,3929,16,
0,579,1,1775,3930,
16,0,579,1,111,
3931,19,639,1,111,
3932,5,10,1,2075,
3933,16,0,637,1,
1901,3934,16,0,637,
1,2198,3935,16,0,
637,1,2310,3936,16,
0,637,1,2106,3937,
16,0,637,1,1804,
3938,16,0,637,1,
1990,3939,16,0,637,
1,32,3940,16,0,
637,1,1958,3941,16,
0,637,1,1775,3942,
16,0,637,1,112,
3943,19,161,1,112,
3944,5,29,1,1479,
3945,16,0,557,1,
2075,3946,16,0,641,
1,1695,3947,16,0,
189,1,1756,3948,16,
0,188,1,2198,3949,
16,0,641,1,2310,
3950,16,0,641,1,
1876,3951,16,0,653,
1,1659,3952,16,0,
188,1,1443,3953,16,
0,520,1,1117,3954,
16,0,159,1,1990,
3955,16,0,641,1,
1189,3956,16,0,235,
1,1775,3957,16,0,
641,1,32,3958,16,
0,641,1,2106,3959,
16,0,641,1,1515,
3960,16,0,577,1,
1901,3961,16,0,641,
1,52,3962,16,0,
593,1,1804,3963,16,
0,641,1,1261,3964,
16,0,350,1,1153,
3965,16,0,242,1,
1225,3966,16,0,281,
1,1335,3967,16,0,
455,1,1933,3968,16,
0,562,1,1834,3969,
16,0,365,1,1297,
3970,16,0,380,1,
1407,3971,16,0,569,
1,1958,3972,16,0,
641,1,1371,3973,16,
0,450,1,113,3974,
19,529,1,113,3975,
5,10,1,2075,3976,
16,0,527,1,1901,
3977,16,0,527,1,
2198,3978,16,0,527,
1,2310,3979,16,0,
527,1,2106,3980,16,
0,527,1,1804,3981,
16,0,527,1,1990,
3982,16,0,527,1,
32,3983,16,0,527,
1,1958,3984,16,0,
527,1,1775,3985,16,
0,527,1,114,3986,
19,525,1,114,3987,
5,10,1,2075,3988,
16,0,523,1,1901,
3989,16,0,523,1,
2198,3990,16,0,523,
1,2310,3991,16,0,
523,1,2106,3992,16,
0,523,1,1804,3993,
16,0,523,1,1990,
3994,16,0,523,1,
32,3995,16,0,523,
1,1958,3996,16,0,
523,1,1775,3997,16,
0,523,1,115,3998,
19,573,1,115,3999,
5,10,1,2075,4000,
16,0,571,1,1901,
4001,16,0,571,1,
2198,4002,16,0,571,
1,2310,4003,16,0,
571,1,2106,4004,16,
0,571,1,1804,4005,
16,0,571,1,1990,
4006,16,0,571,1,
32,4007,16,0,571,
1,1958,4008,16,0,
571,1,1775,4009,16,
0,571,1,116,4010,
19,519,1,116,4011,
5,10,1,2075,4012,
16,0,517,1,1901,
4013,16,0,517,1,
2198,4014,16,0,517,
1,2310,4015,16,0,
517,1,2106,4016,16,
0,517,1,1804,4017,
16,0,517,1,1990,
4018,16,0,517,1,
32,4019,16,0,517,
1,1958,4020,16,0,
517,1,1775,4021,16,
0,517,1,117,4022,
19,516,1,117,4023,
5,10,1,2075,4024,
16,0,514,1,1901,
4025,16,0,514,1,
2198,4026,16,0,514,
1,2310,4027,16,0,
514,1,2106,4028,16,
0,514,1,1804,4029,
16,0,514,1,1990,
4030,16,0,514,1,
32,4031,16,0,514,
1,1958,4032,16,0,
514,1,1775,4033,16,
0,514,1,118,4034,
19,513,1,118,4035,
5,10,1,2075,4036,
16,0,511,1,1901,
4037,16,0,511,1,
2198,4038,16,0,511,
1,2310,4039,16,0,
511,1,2106,4040,16,
0,511,1,1804,4041,
16,0,511,1,1990,
4042,16,0,511,1,
32,4043,16,0,511,
1,1958,4044,16,0,
511,1,1775,4045,16,
0,511,1,119,4046,
19,510,1,119,4047,
5,10,1,2075,4048,
16,0,508,1,1901,
4049,16,0,508,1,
2198,4050,16,0,508,
1,2310,4051,16,0,
508,1,2106,4052,16,
0,508,1,1804,4053,
16,0,508,1,1990,
4054,16,0,508,1,
32,4055,16,0,508,
1,1958,4056,16,0,
508,1,1775,4057,16,
0,508,1,120,4058,
19,507,1,120,4059,
5,10,1,2075,4060,
16,0,505,1,1901,
4061,16,0,505,1,
2198,4062,16,0,505,
1,2310,4063,16,0,
505,1,2106,4064,16,
0,505,1,1804,4065,
16,0,505,1,1990,
4066,16,0,505,1,
32,4067,16,0,505,
1,1958,4068,16,0,
505,1,1775,4069,16,
0,505,1,121,4070,
19,147,1,121,4071,
5,2,1,1756,4072,
16,0,314,1,1659,
4073,16,0,145,1,
122,4074,19,549,1,
122,4075,5,65,1,
1479,4076,16,0,547,
1,112,4077,16,0,
547,1,2075,4078,16,
0,547,1,1804,4079,
16,0,547,1,431,
4080,16,0,547,1,
1443,4081,16,0,547,
1,1756,4082,16,0,
547,1,124,4083,16,
0,547,1,525,4084,
16,0,547,1,236,
4085,16,0,547,1,
346,4086,16,0,547,
1,2310,4087,16,0,
547,1,1876,4088,16,
0,547,1,1659,4089,
16,0,547,1,1225,
4090,16,0,547,1,
1117,4091,16,0,547,
1,137,4092,16,0,
547,1,1775,4093,16,
0,547,1,32,4094,
16,0,547,1,1407,
4095,16,0,547,1,
256,4096,16,0,547,
1,459,4097,16,0,
547,1,41,4098,16,
0,547,1,151,4099,
16,0,547,1,43,
4100,16,0,547,1,
2551,4101,16,0,547,
1,1901,4102,16,0,
547,1,509,4103,16,
0,547,1,52,4104,
16,0,547,1,381,
4105,16,0,547,1,
447,4106,16,0,547,
1,166,4107,16,0,
547,1,462,4108,16,
0,547,1,277,4109,
16,0,547,1,1695,
4110,16,0,547,1,
1261,4111,16,0,547,
1,1153,4112,16,0,
547,1,62,4113,16,
0,587,1,2106,4114,
16,0,547,1,1335,
4115,16,0,547,1,
71,4116,16,0,547,
1,182,4117,16,0,
547,1,76,4118,16,
0,547,1,79,4119,
16,0,547,1,1933,
4120,16,0,547,1,
299,4121,16,0,547,
1,85,4122,16,0,
547,1,1515,4123,16,
0,547,1,2198,4124,
16,0,547,1,89,
4125,16,0,547,1,
1834,4126,16,0,547,
1,1622,4127,16,0,
547,1,1990,4128,16,
0,547,1,406,4129,
16,0,547,1,1731,
4130,16,0,547,1,
97,4131,16,0,547,
1,1297,4132,16,0,
547,1,1189,4133,16,
0,547,1,102,4134,
16,0,547,1,1585,
4135,16,0,547,1,
322,4136,16,0,547,
1,1958,4137,16,0,
547,1,199,4138,16,
0,547,1,1371,4139,
16,0,547,1,217,
4140,16,0,547,1,
123,4141,19,603,1,
123,4142,5,2,1,
459,4143,16,0,601,
1,41,4144,16,0,
656,1,124,4145,19,
608,1,124,4146,5,
3,1,462,4147,16,
0,606,1,459,4148,
16,0,631,1,41,
4149,16,0,631,1,
125,4150,19,4151,4,
36,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,65,0,114,0,
103,0,117,0,109,
0,101,0,110,0,
116,0,1,125,4146,
1,126,4152,19,542,
1,126,4153,5,65,
1,1479,4154,16,0,
540,1,112,4155,16,
0,540,1,2075,4156,
16,0,540,1,1804,
4157,16,0,540,1,
431,4158,16,0,540,
1,1443,4159,16,0,
540,1,1756,4160,16,
0,540,1,124,4161,
16,0,540,1,525,
4162,16,0,540,1,
236,4163,16,0,540,
1,346,4164,16,0,
540,1,2310,4165,16,
0,540,1,1876,4166,
16,0,540,1,1659,
4167,16,0,540,1,
1225,4168,16,0,540,
1,1117,4169,16,0,
540,1,137,4170,16,
0,540,1,1775,4171,
16,0,540,1,32,
4172,16,0,540,1,
1407,4173,16,0,540,
1,256,4174,16,0,
540,1,459,4175,16,
0,540,1,41,4176,
16,0,540,1,151,
4177,16,0,540,1,
43,4178,16,0,540,
1,2551,4179,16,0,
540,1,1901,4180,16,
0,540,1,509,4181,
16,0,540,1,52,
4182,16,0,540,1,
381,4183,16,0,540,
1,447,4184,16,0,
540,1,166,4185,16,
0,540,1,462,4186,
16,0,540,1,277,
4187,16,0,540,1,
1695,4188,16,0,540,
1,1261,4189,16,0,
540,1,1153,4190,16,
0,540,1,62,4191,
16,0,588,1,2106,
4192,16,0,540,1,
1335,4193,16,0,540,
1,71,4194,16,0,
540,1,182,4195,16,
0,540,1,76,4196,
16,0,540,1,79,
4197,16,0,540,1,
1933,4198,16,0,540,
1,299,4199,16,0,
540,1,85,4200,16,
0,540,1,1515,4201,
16,0,540,1,2198,
4202,16,0,540,1,
89,4203,16,0,540,
1,1834,4204,16,0,
540,1,1622,4205,16,
0,540,1,1990,4206,
16,0,540,1,406,
4207,16,0,540,1,
1731,4208,16,0,540,
1,97,4209,16,0,
540,1,1297,4210,16,
0,540,1,1189,4211,
16,0,540,1,102,
4212,16,0,540,1,
1585,4213,16,0,540,
1,322,4214,16,0,
540,1,1958,4215,16,
0,540,1,199,4216,
16,0,540,1,1371,
4217,16,0,540,1,
217,4218,16,0,540,
1,127,4219,19,4220,
4,28,86,0,101,
0,99,0,116,0,
111,0,114,0,67,
0,111,0,110,0,
115,0,116,0,97,
0,110,0,116,0,
1,127,4153,1,128,
4221,19,4222,4,32,
82,0,111,0,116,
0,97,0,116,0,
105,0,111,0,110,
0,67,0,111,0,
110,0,115,0,116,
0,97,0,110,0,
116,0,1,128,4153,
1,129,4223,19,4224,
4,24,76,0,105,
0,115,0,116,0,
67,0,111,0,110,
0,115,0,116,0,
97,0,110,0,116,
0,1,129,4153,1,
130,4225,19,169,1,
130,4226,5,64,1,
1479,4227,16,0,531,
1,112,4228,16,0,
244,1,2075,4229,16,
0,583,1,1804,4230,
16,0,583,1,431,
4231,16,0,578,1,
1443,4232,16,0,482,
1,1756,4233,16,0,
664,1,124,4234,16,
0,255,1,525,4235,
16,0,358,1,236,
4236,16,0,422,1,
346,4237,16,0,494,
1,2310,4238,16,0,
583,1,1876,4239,16,
0,372,1,1659,4240,
16,0,664,1,1225,
4241,16,0,243,1,
1117,4242,16,0,219,
1,137,4243,16,0,
274,1,1775,4244,16,
0,583,1,32,4245,
16,0,583,1,1407,
4246,16,0,485,1,
256,4247,16,0,437,
1,459,4248,16,0,
167,1,41,4249,16,
0,167,1,151,4250,
16,0,310,1,43,
4251,16,0,636,1,
2551,4252,16,0,566,
1,1901,4253,16,0,
583,1,509,4254,16,
0,647,1,52,4255,
16,0,595,1,381,
4256,16,0,552,1,
447,4257,16,0,358,
1,166,4258,16,0,
345,1,462,4259,16,
0,167,1,277,4260,
16,0,448,1,1695,
4261,16,0,269,1,
1261,4262,16,0,300,
1,1153,4263,16,0,
174,1,2106,4264,16,
0,583,1,1335,4265,
16,0,394,1,71,
4266,16,0,203,1,
182,4267,16,0,358,
1,76,4268,16,0,
550,1,79,4269,16,
0,218,1,1933,4270,
16,0,443,1,299,
4271,16,0,466,1,
85,4272,16,0,479,
1,1515,4273,16,0,
565,1,2198,4274,16,
0,583,1,89,4275,
16,0,226,1,1834,
4276,16,0,338,1,
1622,4277,16,0,646,
1,1990,4278,16,0,
583,1,406,4279,16,
0,567,1,1731,4280,
16,0,245,1,97,
4281,16,0,444,1,
1297,4282,16,0,400,
1,1189,4283,16,0,
217,1,102,4284,16,
0,234,1,1585,4285,
16,0,655,1,322,
4286,16,0,480,1,
1958,4287,16,0,583,
1,199,4288,16,0,
369,1,1371,4289,16,
0,438,1,217,4290,
16,0,388,1,131,
4291,19,4292,4,36,
67,0,111,0,110,
0,115,0,116,0,
97,0,110,0,116,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,131,4226,1,
132,4293,19,4294,4,
30,73,0,100,0,
101,0,110,0,116,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,132,4226,1,
133,4295,19,4296,4,
36,73,0,100,0,
101,0,110,0,116,
0,68,0,111,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,1,133,4226,
1,134,4297,19,4298,
4,44,70,0,117,
0,110,0,99,0,
116,0,105,0,111,
0,110,0,67,0,
97,0,108,0,108,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,134,4226,1,
135,4299,19,4300,4,
32,66,0,105,0,
110,0,97,0,114,
0,121,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,1,135,
4226,1,136,4301,19,
4302,4,30,85,0,
110,0,97,0,114,
0,121,0,69,0,
120,0,112,0,114,
0,101,0,115,0,
115,0,105,0,111,
0,110,0,1,136,
4226,1,137,4303,19,
4304,4,36,84,0,
121,0,112,0,101,
0,99,0,97,0,
115,0,116,0,69,
0,120,0,112,0,
114,0,101,0,115,
0,115,0,105,0,
111,0,110,0,1,
137,4226,1,138,4305,
19,4306,4,42,80,
0,97,0,114,0,
101,0,110,0,116,
0,104,0,101,0,
115,0,105,0,115,
0,69,0,120,0,
112,0,114,0,101,
0,115,0,115,0,
105,0,111,0,110,
0,1,138,4226,1,
139,4307,19,4308,4,
56,73,0,110,0,
99,0,114,0,101,
0,109,0,101,0,
110,0,116,0,68,
0,101,0,99,0,
114,0,101,0,109,
0,101,0,110,0,
116,0,69,0,120,
0,112,0,114,0,
101,0,115,0,115,
0,105,0,111,0,
110,0,1,139,4226,
1,141,4309,19,686,
1,141,3808,1,142,
4310,19,701,1,142,
3808,1,143,4311,19,
3123,1,143,3811,1,
144,4312,19,3140,1,
144,3811,1,145,4313,
19,3118,1,145,3811,
1,146,4314,19,3135,
1,146,3811,1,147,
4315,19,3150,1,147,
3814,1,148,4316,19,
3129,1,148,3814,1,
149,4317,19,3110,1,
149,3818,1,150,4318,
19,3145,1,150,3818,
1,151,4319,19,691,
1,151,3822,1,152,
4320,19,680,1,152,
3822,1,153,4321,19,
696,1,153,3826,1,
154,4322,19,674,1,
154,3826,1,155,4323,
19,1609,1,155,3832,
1,156,4324,19,1604,
1,156,3832,1,157,
4325,19,1595,1,157,
3836,1,158,4326,19,
1641,1,158,3842,1,
159,4327,19,1625,1,
159,3842,1,160,4328,
19,1094,1,160,3847,
1,161,4329,19,825,
1,161,3890,1,162,
4330,19,864,1,162,
3890,1,163,4331,19,
819,1,163,3905,1,
164,4332,19,808,1,
164,3905,1,165,4333,
19,1122,1,165,3920,
1,166,4334,19,772,
1,166,3908,1,167,
4335,19,886,1,167,
3908,1,168,4336,19,
767,1,168,3908,1,
169,4337,19,793,1,
169,3908,1,170,4338,
19,762,1,170,3908,
1,171,4339,19,756,
1,171,3908,1,172,
4340,19,751,1,172,
3908,1,173,4341,19,
746,1,173,3908,1,
174,4342,19,740,1,
174,3908,1,175,4343,
19,735,1,175,3908,
1,176,4344,19,730,
1,176,3908,1,177,
4345,19,725,1,177,
3908,1,178,4346,19,
720,1,178,3908,1,
179,4347,19,1129,1,
179,3987,1,180,4348,
19,1270,1,180,3999,
1,181,4349,19,1116,
1,181,4011,1,182,
4350,19,1258,1,182,
4011,1,183,4351,19,
902,1,183,4023,1,
184,4352,19,713,1,
184,4023,1,185,4353,
19,813,1,185,4023,
1,186,4354,19,848,
1,186,4023,1,187,
4355,19,870,1,187,
4035,1,188,4356,19,
894,1,188,4035,1,
189,4357,19,831,1,
189,4047,1,190,4358,
19,839,1,190,4047,
1,191,4359,19,781,
1,191,4059,1,192,
4360,19,1501,1,192,
4071,1,193,4361,19,
1135,1,193,4071,1,
194,4362,19,1478,1,
194,4071,1,195,4363,
19,1516,1,195,4071,
1,196,4364,19,1377,
1,196,3932,1,197,
4365,19,1440,1,197,
3932,1,198,4366,19,
1110,1,198,3944,1,
199,4367,19,1548,1,
199,3944,1,200,4368,
19,1473,1,200,3944,
1,201,4369,19,1424,
1,201,3944,1,202,
4370,19,1344,1,202,
3944,1,203,4371,19,
1280,1,203,3944,1,
204,4372,19,1290,1,
204,3944,1,205,4373,
19,1105,1,205,3944,
1,206,4374,19,1532,
1,206,3944,1,207,
4375,19,1468,1,207,
3944,1,208,4376,19,
1414,1,208,3944,1,
209,4377,19,1332,1,
209,3944,1,210,4378,
19,1306,1,210,3944,
1,211,4379,19,1088,
1,211,3944,1,212,
4380,19,1435,1,212,
3944,1,213,4381,19,
1456,1,213,3944,1,
214,4382,19,1409,1,
214,3944,1,215,4383,
19,1429,1,215,3944,
1,216,4384,19,1242,
1,216,3944,1,217,
4385,19,1152,1,217,
3944,1,218,4386,19,
1077,1,218,3944,1,
219,4387,19,1506,1,
219,3944,1,220,4388,
19,1451,1,220,3944,
1,221,4389,19,1404,
1,221,3944,1,222,
4390,19,1275,1,222,
3975,1,223,4391,19,
1253,1,223,3975,1,
224,4392,19,1537,1,
224,4153,1,225,4393,
19,1560,1,225,4153,
1,226,4394,19,1527,
1,226,4153,1,227,
4395,19,1522,1,227,
4153,1,228,4396,19,
1543,1,228,4153,1,
229,4397,19,1484,1,
229,4153,1,230,4398,
19,1196,1,230,4153,
1,231,4399,19,1366,
1,231,4226,1,232,
4400,19,1147,1,232,
4226,1,233,4401,19,
1164,1,233,4226,1,
234,4402,19,1185,1,
234,4226,1,235,4403,
19,1180,1,235,4226,
1,236,4404,19,1175,
1,236,4226,1,237,
4405,19,1170,1,237,
4226,1,238,4406,19,
1355,1,238,4226,1,
239,4407,19,1383,1,
239,4226,1,240,4408,
19,1393,1,240,4226,
1,241,4409,19,1349,
1,241,4226,1,242,
4410,19,1338,1,242,
4226,1,243,4411,19,
1313,1,243,4226,1,
244,4412,19,1285,1,
244,4226,1,245,4413,
19,1190,1,245,4226,
1,246,4414,19,1157,
1,246,4226,1,247,
4415,19,1100,1,247,
4226,1,248,4416,19,
1555,1,248,4226,1,
249,4417,19,1511,1,
249,4226,1,250,4418,
19,1495,1,250,4226,
1,251,4419,19,1490,
1,251,4226,1,252,
4420,19,1446,1,252,
4226,1,253,4421,19,
1419,1,253,4226,1,
254,4422,19,1398,1,
254,4226,1,255,4423,
19,1388,1,255,4226,
1,256,4424,19,1327,
1,256,4226,1,257,
4425,19,1360,1,257,
4226,1,258,4426,19,
1371,1,258,4226,1,
259,4427,19,1462,1,
259,4226,1,260,4428,
19,1247,1,260,4226,
1,261,4429,19,1320,
1,261,4226,1,262,
4430,19,1301,1,262,
4226,1,263,4431,19,
1264,1,263,4226,1,
264,4432,19,1237,1,
264,4226,1,265,4433,
19,1083,1,265,4226,
1,266,4434,19,1570,
1,266,4226,1,267,
4435,19,1202,1,267,
4226,1,268,4436,19,
1207,1,268,4226,1,
269,4437,19,1227,1,
269,4226,1,270,4438,
19,1217,1,270,4226,
1,271,4439,19,1222,
1,271,4226,1,272,
4440,19,1212,1,272,
4226,1,273,4441,19,
1565,1,273,4226,1,
274,4442,19,1232,1,
274,4226,1,275,4443,
19,1296,1,275,4075,
1,276,4444,19,1662,
1,276,4142,1,277,
4445,19,1657,1,277,
4142,1,278,4446,19,
1636,1,278,4146,1,
279,4447,19,1949,1,
279,3865,1,280,4448,
19,1944,1,280,3865,
1,281,4449,19,1939,
1,281,3865,1,282,
4450,19,1934,1,282,
3865,1,283,4451,19,
1929,1,283,3865,1,
284,4452,19,1924,1,
284,3865,1,285,4453,
19,1919,1,285,3865,
1,286,4454,19,1850,
1,286,3884,1,287,
4455,19,1845,1,287,
3884,1,288,4456,19,
1840,1,288,3884,1,
289,4457,19,1835,1,
289,3884,1,290,4458,
19,1903,1,290,3884,
1,291,4459,19,1829,
1,291,3884,1,292,
4460,19,1824,1,292,
3884,1,293,4461,19,
1819,1,293,3884,1,
294,4462,19,1814,1,
294,3884,1,295,4463,
19,1809,1,295,3884,
1,296,4464,19,1804,
1,296,3884,1,297,
4465,19,1799,1,297,
3884,1,298,4466,19,
1794,1,298,3884,1,
299,4467,19,1789,1,
299,3884,1,300,4468,
19,1784,1,300,3884,
1,301,4469,19,1779,
1,301,3884,1,302,
4470,19,1774,1,302,
3884,1,303,4471,19,
1893,1,303,3884,1,
304,4472,19,1768,1,
304,3884,1,305,4473,
19,1763,1,305,3884,
1,306,4474,19,1758,
1,306,3884,1,307,
4475,19,1753,1,307,
3884,1,308,4476,19,
1748,1,308,3884,1,
309,4477,19,1886,1,
309,3884,1,310,4478,
19,1742,1,310,3884,
1,311,4479,19,1881,
1,311,3884,1,312,
4480,19,1737,1,312,
3884,1,313,4481,19,
1732,1,313,3884,1,
314,4482,19,1680,1,
314,3884,1,315,4483,
19,1874,1,315,3884,
1,316,4484,19,1725,
1,316,3884,1,317,
4485,19,1720,1,317,
3884,1,318,4486,19,
1715,1,318,3884,1,
319,4487,19,4488,4,
50,65,0,114,0,
103,0,117,0,109,
0,101,0,110,0,
116,0,68,0,101,
0,99,0,108,0,
97,0,114,0,97,
0,116,0,105,0,
111,0,110,0,76,
0,105,0,115,0,
116,0,95,0,51,
0,1,319,3842,1,
320,4489,19,4490,4,
28,65,0,114,0,
103,0,117,0,109,
0,101,0,110,0,
116,0,76,0,105,
0,115,0,116,0,
95,0,51,0,1,
320,4142,1,321,4491,
19,4492,4,50,65,
0,114,0,103,0,
117,0,109,0,101,
0,110,0,116,0,
68,0,101,0,99,
0,108,0,97,0,
114,0,97,0,116,
0,105,0,111,0,
110,0,76,0,105,
0,115,0,116,0,
95,0,52,0,1,
321,3842,1,322,4493,
19,4494,4,50,65,
0,114,0,103,0,
117,0,109,0,101,
0,110,0,116,0,
68,0,101,0,99,
0,108,0,97,0,
114,0,97,0,116,
0,105,0,111,0,
110,0,76,0,105,
0,115,0,116,0,
95,0,53,0,1,
322,3842,1,323,4495,
19,4496,4,28,65,
0,114,0,103,0,
117,0,109,0,101,
0,110,0,116,0,
76,0,105,0,115,
0,116,0,95,0,
52,0,1,323,4142,
2,0,0};
new Sfactory(this,"ExpressionArgument_1",new SCreator(ExpressionArgument_1_factory));
new Sfactory(this,"SimpleAssignment_8",new SCreator(SimpleAssignment_8_factory));
new Sfactory(this,"StatementList_1",new SCreator(StatementList_1_factory));
new Sfactory(this,"StateChange_1",new SCreator(StateChange_1_factory));
new Sfactory(this,"StateChange_2",new SCreator(StateChange_2_factory));
new Sfactory(this,"Declaration",new SCreator(Declaration_factory));
new Sfactory(this,"IdentExpression",new SCreator(IdentExpression_factory));
new Sfactory(this,"error",new SCreator(error_factory));
new Sfactory(this,"BinaryExpression_2",new SCreator(BinaryExpression_2_factory));
new Sfactory(this,"BinaryExpression_3",new SCreator(BinaryExpression_3_factory));
new Sfactory(this,"BinaryExpression_4",new SCreator(BinaryExpression_4_factory));
new Sfactory(this,"BinaryExpression_5",new SCreator(BinaryExpression_5_factory));
new Sfactory(this,"ReturnStatement_2",new SCreator(ReturnStatement_2_factory));
new Sfactory(this,"SimpleAssignment_19",new SCreator(SimpleAssignment_19_factory));
new Sfactory(this,"BinaryExpression_9",new SCreator(BinaryExpression_9_factory));
new Sfactory(this,"VectorConstant_1",new SCreator(VectorConstant_1_factory));
new Sfactory(this,"ParenthesisExpression",new SCreator(ParenthesisExpression_factory));
new Sfactory(this,"UnaryExpression",new SCreator(UnaryExpression_factory));
new Sfactory(this,"IdentDotExpression_1",new SCreator(IdentDotExpression_1_factory));
new Sfactory(this,"ArgumentList_4",new SCreator(ArgumentList_4_factory));
new Sfactory(this,"Typename",new SCreator(Typename_factory));
new Sfactory(this,"IfStatement_1",new SCreator(IfStatement_1_factory));
new Sfactory(this,"Assignment",new SCreator(Assignment_factory));
new Sfactory(this,"CompoundStatement_1",new SCreator(CompoundStatement_1_factory));
new Sfactory(this,"CompoundStatement_2",new SCreator(CompoundStatement_2_factory));
new Sfactory(this,"ReturnStatement_1",new SCreator(ReturnStatement_1_factory));
new Sfactory(this,"IdentDotExpression",new SCreator(IdentDotExpression_factory));
new Sfactory(this,"Argument",new SCreator(Argument_factory));
new Sfactory(this,"State_2",new SCreator(State_2_factory));
new Sfactory(this,"GlobalDefinitions_3",new SCreator(GlobalDefinitions_3_factory));
new Sfactory(this,"GlobalDefinitions_4",new SCreator(GlobalDefinitions_4_factory));
new Sfactory(this,"Event_1",new SCreator(Event_1_factory));
new Sfactory(this,"ListConstant",new SCreator(ListConstant_factory));
new Sfactory(this,"Event_3",new SCreator(Event_3_factory));
new Sfactory(this,"Event_4",new SCreator(Event_4_factory));
new Sfactory(this,"Event_5",new SCreator(Event_5_factory));
new Sfactory(this,"SimpleAssignment_5",new SCreator(SimpleAssignment_5_factory));
new Sfactory(this,"Typename_1",new SCreator(Typename_1_factory));
new Sfactory(this,"Typename_2",new SCreator(Typename_2_factory));
new Sfactory(this,"Typename_3",new SCreator(Typename_3_factory));
new Sfactory(this,"Typename_4",new SCreator(Typename_4_factory));
new Sfactory(this,"Typename_5",new SCreator(Typename_5_factory));
new Sfactory(this,"Typename_6",new SCreator(Typename_6_factory));
new Sfactory(this,"Typename_7",new SCreator(Typename_7_factory));
new Sfactory(this,"ArgumentDeclarationList",new SCreator(ArgumentDeclarationList_factory));
new Sfactory(this,"ConstantExpression",new SCreator(ConstantExpression_factory));
new Sfactory(this,"LSLProgramRoot_1",new SCreator(LSLProgramRoot_1_factory));
new Sfactory(this,"LSLProgramRoot_2",new SCreator(LSLProgramRoot_2_factory));
new Sfactory(this,"States_1",new SCreator(States_1_factory));
new Sfactory(this,"States_2",new SCreator(States_2_factory));
new Sfactory(this,"FunctionCallExpression_1",new SCreator(FunctionCallExpression_1_factory));
new Sfactory(this,"ForLoopStatement",new SCreator(ForLoopStatement_factory));
new Sfactory(this,"DoWhileStatement_1",new SCreator(DoWhileStatement_1_factory));
new Sfactory(this,"DoWhileStatement_2",new SCreator(DoWhileStatement_2_factory));
new Sfactory(this,"ForLoopStatement_4",new SCreator(ForLoopStatement_4_factory));
new Sfactory(this,"SimpleAssignment_11",new SCreator(SimpleAssignment_11_factory));
new Sfactory(this,"SimpleAssignment_12",new SCreator(SimpleAssignment_12_factory));
new Sfactory(this,"SimpleAssignment_13",new SCreator(SimpleAssignment_13_factory));
new Sfactory(this,"JumpLabel",new SCreator(JumpLabel_factory));
new Sfactory(this,"SimpleAssignment_15",new SCreator(SimpleAssignment_15_factory));
new Sfactory(this,"SimpleAssignment_17",new SCreator(SimpleAssignment_17_factory));
new Sfactory(this,"SimpleAssignment_18",new SCreator(SimpleAssignment_18_factory));
new Sfactory(this,"JumpStatement_1",new SCreator(JumpStatement_1_factory));
new Sfactory(this,"GlobalDefinitions",new SCreator(GlobalDefinitions_factory));
new Sfactory(this,"FunctionCall_1",new SCreator(FunctionCall_1_factory));
new Sfactory(this,"ArgumentList_3",new SCreator(ArgumentList_3_factory));
new Sfactory(this,"Assignment_2",new SCreator(Assignment_2_factory));
new Sfactory(this,"TypecastExpression_1",new SCreator(TypecastExpression_1_factory));
new Sfactory(this,"SimpleAssignment_21",new SCreator(SimpleAssignment_21_factory));
new Sfactory(this,"SimpleAssignment_22",new SCreator(SimpleAssignment_22_factory));
new Sfactory(this,"SimpleAssignment_23",new SCreator(SimpleAssignment_23_factory));
new Sfactory(this,"TypecastExpression_9",new SCreator(TypecastExpression_9_factory));
new Sfactory(this,"ArgumentDeclarationList_1",new SCreator(ArgumentDeclarationList_1_factory));
new Sfactory(this,"ArgumentDeclarationList_2",new SCreator(ArgumentDeclarationList_2_factory));
new Sfactory(this,"ArgumentDeclarationList_3",new SCreator(ArgumentDeclarationList_3_factory));
new Sfactory(this,"GlobalDefinitions_1",new SCreator(GlobalDefinitions_1_factory));
new Sfactory(this,"GlobalDefinitions_2",new SCreator(GlobalDefinitions_2_factory));
new Sfactory(this,"IncrementDecrementExpression",new SCreator(IncrementDecrementExpression_factory));
new Sfactory(this,"GlobalVariableDeclaration",new SCreator(GlobalVariableDeclaration_factory));
new Sfactory(this,"Event_11",new SCreator(Event_11_factory));
new Sfactory(this,"TypecastExpression_2",new SCreator(TypecastExpression_2_factory));
new Sfactory(this,"TypecastExpression_3",new SCreator(TypecastExpression_3_factory));
new Sfactory(this,"TypecastExpression_5",new SCreator(TypecastExpression_5_factory));
new Sfactory(this,"TypecastExpression_8",new SCreator(TypecastExpression_8_factory));
new Sfactory(this,"Constant_1",new SCreator(Constant_1_factory));
new Sfactory(this,"Expression",new SCreator(Expression_factory));
new Sfactory(this,"Constant_3",new SCreator(Constant_3_factory));
new Sfactory(this,"Constant_4",new SCreator(Constant_4_factory));
new Sfactory(this,"BinaryExpression_1",new SCreator(BinaryExpression_1_factory));
new Sfactory(this,"IfStatement_2",new SCreator(IfStatement_2_factory));
new Sfactory(this,"IfStatement_3",new SCreator(IfStatement_3_factory));
new Sfactory(this,"IfStatement_4",new SCreator(IfStatement_4_factory));
new Sfactory(this,"ReturnStatement",new SCreator(ReturnStatement_factory));
new Sfactory(this,"Event_2",new SCreator(Event_2_factory));
new Sfactory(this,"RotationConstant",new SCreator(RotationConstant_factory));
new Sfactory(this,"Statement_12",new SCreator(Statement_12_factory));
new Sfactory(this,"UnaryExpression_1",new SCreator(UnaryExpression_1_factory));
new Sfactory(this,"UnaryExpression_2",new SCreator(UnaryExpression_2_factory));
new Sfactory(this,"UnaryExpression_3",new SCreator(UnaryExpression_3_factory));
new Sfactory(this,"ArgumentList_1",new SCreator(ArgumentList_1_factory));
new Sfactory(this,"StateBody_2",new SCreator(StateBody_2_factory));
new Sfactory(this,"Constant",new SCreator(Constant_factory));
new Sfactory(this,"State",new SCreator(State_factory));
new Sfactory(this,"Event_13",new SCreator(Event_13_factory));
new Sfactory(this,"LSLProgramRoot",new SCreator(LSLProgramRoot_factory));
new Sfactory(this,"StateChange",new SCreator(StateChange_factory));
new Sfactory(this,"IncrementDecrementExpression_2",new SCreator(IncrementDecrementExpression_2_factory));
new Sfactory(this,"GlobalVariableDeclaration_1",new SCreator(GlobalVariableDeclaration_1_factory));
new Sfactory(this,"GlobalVariableDeclaration_2",new SCreator(GlobalVariableDeclaration_2_factory));
new Sfactory(this,"IncrementDecrementExpression_5",new SCreator(IncrementDecrementExpression_5_factory));
new Sfactory(this,"GlobalFunctionDefinition_2",new SCreator(GlobalFunctionDefinition_2_factory));
new Sfactory(this,"IncrementDecrementExpression_7",new SCreator(IncrementDecrementExpression_7_factory));
new Sfactory(this,"IncrementDecrementExpression_8",new SCreator(IncrementDecrementExpression_8_factory));
new Sfactory(this,"Assignment_1",new SCreator(Assignment_1_factory));
new Sfactory(this,"Event_21",new SCreator(Event_21_factory));
new Sfactory(this,"Event_22",new SCreator(Event_22_factory));
new Sfactory(this,"ArgumentList_2",new SCreator(ArgumentList_2_factory));
new Sfactory(this,"CompoundStatement",new SCreator(CompoundStatement_factory));
new Sfactory(this,"RotationConstant_1",new SCreator(RotationConstant_1_factory));
new Sfactory(this,"TypecastExpression",new SCreator(TypecastExpression_factory));
new Sfactory(this,"SimpleAssignment_3",new SCreator(SimpleAssignment_3_factory));
new Sfactory(this,"SimpleAssignment_4",new SCreator(SimpleAssignment_4_factory));
new Sfactory(this,"Statement_1",new SCreator(Statement_1_factory));
new Sfactory(this,"Statement_2",new SCreator(Statement_2_factory));
new Sfactory(this,"Statement_3",new SCreator(Statement_3_factory));
new Sfactory(this,"Statement_4",new SCreator(Statement_4_factory));
new Sfactory(this,"Statement_5",new SCreator(Statement_5_factory));
new Sfactory(this,"Statement_6",new SCreator(Statement_6_factory));
new Sfactory(this,"Statement_7",new SCreator(Statement_7_factory));
new Sfactory(this,"Statement_8",new SCreator(Statement_8_factory));
new Sfactory(this,"Statement_9",new SCreator(Statement_9_factory));
new Sfactory(this,"ExpressionArgument",new SCreator(ExpressionArgument_factory));
new Sfactory(this,"GlobalFunctionDefinition",new SCreator(GlobalFunctionDefinition_factory));
new Sfactory(this,"State_1",new SCreator(State_1_factory));
new Sfactory(this,"DoWhileStatement",new SCreator(DoWhileStatement_factory));
new Sfactory(this,"ParenthesisExpression_1",new SCreator(ParenthesisExpression_1_factory));
new Sfactory(this,"ParenthesisExpression_2",new SCreator(ParenthesisExpression_2_factory));
new Sfactory(this,"StateBody",new SCreator(StateBody_factory));
new Sfactory(this,"Event_7",new SCreator(Event_7_factory));
new Sfactory(this,"Event_8",new SCreator(Event_8_factory));
new Sfactory(this,"IncrementDecrementExpression_1",new SCreator(IncrementDecrementExpression_1_factory));
new Sfactory(this,"IncrementDecrementExpression_3",new SCreator(IncrementDecrementExpression_3_factory));
new Sfactory(this,"IncrementDecrementExpression_4",new SCreator(IncrementDecrementExpression_4_factory));
new Sfactory(this,"IncrementDecrementExpression_6",new SCreator(IncrementDecrementExpression_6_factory));
new Sfactory(this,"StateEvent",new SCreator(StateEvent_factory));
new Sfactory(this,"Event_20",new SCreator(Event_20_factory));
new Sfactory(this,"Event_23",new SCreator(Event_23_factory));
new Sfactory(this,"Event_24",new SCreator(Event_24_factory));
new Sfactory(this,"Event_26",new SCreator(Event_26_factory));
new Sfactory(this,"SimpleAssignment_10",new SCreator(SimpleAssignment_10_factory));
new Sfactory(this,"Event",new SCreator(Event_factory));
new Sfactory(this,"SimpleAssignment_14",new SCreator(SimpleAssignment_14_factory));
new Sfactory(this,"SimpleAssignment_16",new SCreator(SimpleAssignment_16_factory));
new Sfactory(this,"Statement_10",new SCreator(Statement_10_factory));
new Sfactory(this,"Statement_11",new SCreator(Statement_11_factory));
new Sfactory(this,"SimpleAssignment",new SCreator(SimpleAssignment_factory));
new Sfactory(this,"Statement_13",new SCreator(Statement_13_factory));
new Sfactory(this,"Event_15",new SCreator(Event_15_factory));
new Sfactory(this,"Event_16",new SCreator(Event_16_factory));
new Sfactory(this,"Event_32",new SCreator(Event_32_factory));
new Sfactory(this,"SimpleAssignment_20",new SCreator(SimpleAssignment_20_factory));
new Sfactory(this,"SimpleAssignment_24",new SCreator(SimpleAssignment_24_factory));
new Sfactory(this,"SimpleAssignment_1",new SCreator(SimpleAssignment_1_factory));
new Sfactory(this,"SimpleAssignment_2",new SCreator(SimpleAssignment_2_factory));
new Sfactory(this,"BinaryExpression",new SCreator(BinaryExpression_factory));
new Sfactory(this,"FunctionCallExpression",new SCreator(FunctionCallExpression_factory));
new Sfactory(this,"SimpleAssignment_6",new SCreator(SimpleAssignment_6_factory));
new Sfactory(this,"StateBody_1",new SCreator(StateBody_1_factory));
new Sfactory(this,"StatementList_2",new SCreator(StatementList_2_factory));
new Sfactory(this,"SimpleAssignment_9",new SCreator(SimpleAssignment_9_factory));
new Sfactory(this,"BinaryExpression_15",new SCreator(BinaryExpression_15_factory));
new Sfactory(this,"BinaryExpression_16",new SCreator(BinaryExpression_16_factory));
new Sfactory(this,"BinaryExpression_17",new SCreator(BinaryExpression_17_factory));
new Sfactory(this,"BinaryExpression_18",new SCreator(BinaryExpression_18_factory));
new Sfactory(this,"Event_25",new SCreator(Event_25_factory));
new Sfactory(this,"Event_9",new SCreator(Event_9_factory));
new Sfactory(this,"Statement",new SCreator(Statement_factory));
new Sfactory(this,"JumpStatement",new SCreator(JumpStatement_factory));
new Sfactory(this,"BinaryExpression_11",new SCreator(BinaryExpression_11_factory));
new Sfactory(this,"BinaryExpression_12",new SCreator(BinaryExpression_12_factory));
new Sfactory(this,"BinaryExpression_13",new SCreator(BinaryExpression_13_factory));
new Sfactory(this,"BinaryExpression_14",new SCreator(BinaryExpression_14_factory));
new Sfactory(this,"BinaryExpression_6",new SCreator(BinaryExpression_6_factory));
new Sfactory(this,"BinaryExpression_7",new SCreator(BinaryExpression_7_factory));
new Sfactory(this,"BinaryExpression_8",new SCreator(BinaryExpression_8_factory));
new Sfactory(this,"ArgumentList",new SCreator(ArgumentList_factory));
new Sfactory(this,"Event_10",new SCreator(Event_10_factory));
new Sfactory(this,"ConstantExpression_1",new SCreator(ConstantExpression_1_factory));
new Sfactory(this,"Event_12",new SCreator(Event_12_factory));
new Sfactory(this,"Event_14",new SCreator(Event_14_factory));
new Sfactory(this,"Event_17",new SCreator(Event_17_factory));
new Sfactory(this,"Event_18",new SCreator(Event_18_factory));
new Sfactory(this,"Event_19",new SCreator(Event_19_factory));
new Sfactory(this,"BinaryExpression_10",new SCreator(BinaryExpression_10_factory));
new Sfactory(this,"StateEvent_1",new SCreator(StateEvent_1_factory));
new Sfactory(this,"VectorConstant",new SCreator(VectorConstant_factory));
new Sfactory(this,"EmptyStatement_1",new SCreator(EmptyStatement_1_factory));
new Sfactory(this,"TypecastExpression_4",new SCreator(TypecastExpression_4_factory));
new Sfactory(this,"TypecastExpression_6",new SCreator(TypecastExpression_6_factory));
new Sfactory(this,"TypecastExpression_7",new SCreator(TypecastExpression_7_factory));
new Sfactory(this,"FunctionCall",new SCreator(FunctionCall_factory));
new Sfactory(this,"Event_27",new SCreator(Event_27_factory));
new Sfactory(this,"Event_28",new SCreator(Event_28_factory));
new Sfactory(this,"Event_29",new SCreator(Event_29_factory));
new Sfactory(this,"ListConstant_1",new SCreator(ListConstant_1_factory));
new Sfactory(this,"Event_6",new SCreator(Event_6_factory));
new Sfactory(this,"Declaration_1",new SCreator(Declaration_1_factory));
new Sfactory(this,"SimpleAssignment_7",new SCreator(SimpleAssignment_7_factory));
new Sfactory(this,"ForLoop",new SCreator(ForLoop_factory));
new Sfactory(this,"Event_30",new SCreator(Event_30_factory));
new Sfactory(this,"Event_31",new SCreator(Event_31_factory));
new Sfactory(this,"Event_33",new SCreator(Event_33_factory));
new Sfactory(this,"GlobalFunctionDefinition_1",new SCreator(GlobalFunctionDefinition_1_factory));
new Sfactory(this,"JumpLabel_1",new SCreator(JumpLabel_1_factory));
new Sfactory(this,"IfStatement",new SCreator(IfStatement_factory));
new Sfactory(this,"ForLoopStatement_1",new SCreator(ForLoopStatement_1_factory));
new Sfactory(this,"ForLoopStatement_2",new SCreator(ForLoopStatement_2_factory));
new Sfactory(this,"ForLoopStatement_3",new SCreator(ForLoopStatement_3_factory));
new Sfactory(this,"ArgumentDeclarationList_4",new SCreator(ArgumentDeclarationList_4_factory));
new Sfactory(this,"ArgumentDeclarationList_5",new SCreator(ArgumentDeclarationList_5_factory));
new Sfactory(this,"EmptyStatement",new SCreator(EmptyStatement_factory));
new Sfactory(this,"WhileStatement",new SCreator(WhileStatement_factory));
new Sfactory(this,"ForLoop_1",new SCreator(ForLoop_1_factory));
new Sfactory(this,"Constant_2",new SCreator(Constant_2_factory));
new Sfactory(this,"StatementList",new SCreator(StatementList_factory));
new Sfactory(this,"WhileStatement_1",new SCreator(WhileStatement_1_factory));
new Sfactory(this,"WhileStatement_2",new SCreator(WhileStatement_2_factory));
new Sfactory(this,"IdentExpression_1",new SCreator(IdentExpression_1_factory));
new Sfactory(this,"States",new SCreator(States_factory));
}
public static object ExpressionArgument_1_factory(Parser yyp) { return new ExpressionArgument_1(yyp); }
public static object SimpleAssignment_8_factory(Parser yyp) { return new SimpleAssignment_8(yyp); }
public static object StatementList_1_factory(Parser yyp) { return new StatementList_1(yyp); }
public static object StateChange_1_factory(Parser yyp) { return new StateChange_1(yyp); }
public static object StateChange_2_factory(Parser yyp) { return new StateChange_2(yyp); }
public static object Declaration_factory(Parser yyp) { return new Declaration(yyp); }
public static object IdentExpression_factory(Parser yyp) { return new IdentExpression(yyp); }
public static object error_factory(Parser yyp) { return new error(yyp); }
public static object BinaryExpression_2_factory(Parser yyp) { return new BinaryExpression_2(yyp); }
public static object BinaryExpression_3_factory(Parser yyp) { return new BinaryExpression_3(yyp); }
public static object BinaryExpression_4_factory(Parser yyp) { return new BinaryExpression_4(yyp); }
public static object BinaryExpression_5_factory(Parser yyp) { return new BinaryExpression_5(yyp); }
public static object ReturnStatement_2_factory(Parser yyp) { return new ReturnStatement_2(yyp); }
public static object SimpleAssignment_19_factory(Parser yyp) { return new SimpleAssignment_19(yyp); }
public static object BinaryExpression_9_factory(Parser yyp) { return new BinaryExpression_9(yyp); }
public static object VectorConstant_1_factory(Parser yyp) { return new VectorConstant_1(yyp); }
public static object ParenthesisExpression_factory(Parser yyp) { return new ParenthesisExpression(yyp); }
public static object UnaryExpression_factory(Parser yyp) { return new UnaryExpression(yyp); }
public static object IdentDotExpression_1_factory(Parser yyp) { return new IdentDotExpression_1(yyp); }
public static object ArgumentList_4_factory(Parser yyp) { return new ArgumentList_4(yyp); }
public static object Typename_factory(Parser yyp) { return new Typename(yyp); }
public static object IfStatement_1_factory(Parser yyp) { return new IfStatement_1(yyp); }
public static object Assignment_factory(Parser yyp) { return new Assignment(yyp); }
public static object CompoundStatement_1_factory(Parser yyp) { return new CompoundStatement_1(yyp); }
public static object CompoundStatement_2_factory(Parser yyp) { return new CompoundStatement_2(yyp); }
public static object ReturnStatement_1_factory(Parser yyp) { return new ReturnStatement_1(yyp); }
public static object IdentDotExpression_factory(Parser yyp) { return new IdentDotExpression(yyp); }
public static object Argument_factory(Parser yyp) { return new Argument(yyp); }
public static object State_2_factory(Parser yyp) { return new State_2(yyp); }
public static object GlobalDefinitions_3_factory(Parser yyp) { return new GlobalDefinitions_3(yyp); }
public static object GlobalDefinitions_4_factory(Parser yyp) { return new GlobalDefinitions_4(yyp); }
public static object Event_1_factory(Parser yyp) { return new Event_1(yyp); }
public static object ListConstant_factory(Parser yyp) { return new ListConstant(yyp); }
public static object Event_3_factory(Parser yyp) { return new Event_3(yyp); }
public static object Event_4_factory(Parser yyp) { return new Event_4(yyp); }
public static object Event_5_factory(Parser yyp) { return new Event_5(yyp); }
public static object SimpleAssignment_5_factory(Parser yyp) { return new SimpleAssignment_5(yyp); }
public static object Typename_1_factory(Parser yyp) { return new Typename_1(yyp); }
public static object Typename_2_factory(Parser yyp) { return new Typename_2(yyp); }
public static object Typename_3_factory(Parser yyp) { return new Typename_3(yyp); }
public static object Typename_4_factory(Parser yyp) { return new Typename_4(yyp); }
public static object Typename_5_factory(Parser yyp) { return new Typename_5(yyp); }
public static object Typename_6_factory(Parser yyp) { return new Typename_6(yyp); }
public static object Typename_7_factory(Parser yyp) { return new Typename_7(yyp); }
public static object ArgumentDeclarationList_factory(Parser yyp) { return new ArgumentDeclarationList(yyp); }
public static object ConstantExpression_factory(Parser yyp) { return new ConstantExpression(yyp); }
public static object LSLProgramRoot_1_factory(Parser yyp) { return new LSLProgramRoot_1(yyp); }
public static object LSLProgramRoot_2_factory(Parser yyp) { return new LSLProgramRoot_2(yyp); }
public static object States_1_factory(Parser yyp) { return new States_1(yyp); }
public static object States_2_factory(Parser yyp) { return new States_2(yyp); }
public static object FunctionCallExpression_1_factory(Parser yyp) { return new FunctionCallExpression_1(yyp); }
public static object ForLoopStatement_factory(Parser yyp) { return new ForLoopStatement(yyp); }
public static object DoWhileStatement_1_factory(Parser yyp) { return new DoWhileStatement_1(yyp); }
public static object DoWhileStatement_2_factory(Parser yyp) { return new DoWhileStatement_2(yyp); }
public static object ForLoopStatement_4_factory(Parser yyp) { return new ForLoopStatement_4(yyp); }
public static object SimpleAssignment_11_factory(Parser yyp) { return new SimpleAssignment_11(yyp); }
public static object SimpleAssignment_12_factory(Parser yyp) { return new SimpleAssignment_12(yyp); }
public static object SimpleAssignment_13_factory(Parser yyp) { return new SimpleAssignment_13(yyp); }
public static object JumpLabel_factory(Parser yyp) { return new JumpLabel(yyp); }
public static object SimpleAssignment_15_factory(Parser yyp) { return new SimpleAssignment_15(yyp); }
public static object SimpleAssignment_17_factory(Parser yyp) { return new SimpleAssignment_17(yyp); }
public static object SimpleAssignment_18_factory(Parser yyp) { return new SimpleAssignment_18(yyp); }
public static object JumpStatement_1_factory(Parser yyp) { return new JumpStatement_1(yyp); }
public static object GlobalDefinitions_factory(Parser yyp) { return new GlobalDefinitions(yyp); }
public static object FunctionCall_1_factory(Parser yyp) { return new FunctionCall_1(yyp); }
public static object ArgumentList_3_factory(Parser yyp) { return new ArgumentList_3(yyp); }
public static object Assignment_2_factory(Parser yyp) { return new Assignment_2(yyp); }
public static object TypecastExpression_1_factory(Parser yyp) { return new TypecastExpression_1(yyp); }
public static object SimpleAssignment_21_factory(Parser yyp) { return new SimpleAssignment_21(yyp); }
public static object SimpleAssignment_22_factory(Parser yyp) { return new SimpleAssignment_22(yyp); }
public static object SimpleAssignment_23_factory(Parser yyp) { return new SimpleAssignment_23(yyp); }
public static object TypecastExpression_9_factory(Parser yyp) { return new TypecastExpression_9(yyp); }
public static object ArgumentDeclarationList_1_factory(Parser yyp) { return new ArgumentDeclarationList_1(yyp); }
public static object ArgumentDeclarationList_2_factory(Parser yyp) { return new ArgumentDeclarationList_2(yyp); }
public static object ArgumentDeclarationList_3_factory(Parser yyp) { return new ArgumentDeclarationList_3(yyp); }
public static object GlobalDefinitions_1_factory(Parser yyp) { return new GlobalDefinitions_1(yyp); }
public static object GlobalDefinitions_2_factory(Parser yyp) { return new GlobalDefinitions_2(yyp); }
public static object IncrementDecrementExpression_factory(Parser yyp) { return new IncrementDecrementExpression(yyp); }
public static object GlobalVariableDeclaration_factory(Parser yyp) { return new GlobalVariableDeclaration(yyp); }
public static object Event_11_factory(Parser yyp) { return new Event_11(yyp); }
public static object TypecastExpression_2_factory(Parser yyp) { return new TypecastExpression_2(yyp); }
public static object TypecastExpression_3_factory(Parser yyp) { return new TypecastExpression_3(yyp); }
public static object TypecastExpression_5_factory(Parser yyp) { return new TypecastExpression_5(yyp); }
public static object TypecastExpression_8_factory(Parser yyp) { return new TypecastExpression_8(yyp); }
public static object Constant_1_factory(Parser yyp) { return new Constant_1(yyp); }
public static object Expression_factory(Parser yyp) { return new Expression(yyp); }
public static object Constant_3_factory(Parser yyp) { return new Constant_3(yyp); }
public static object Constant_4_factory(Parser yyp) { return new Constant_4(yyp); }
public static object BinaryExpression_1_factory(Parser yyp) { return new BinaryExpression_1(yyp); }
public static object IfStatement_2_factory(Parser yyp) { return new IfStatement_2(yyp); }
public static object IfStatement_3_factory(Parser yyp) { return new IfStatement_3(yyp); }
public static object IfStatement_4_factory(Parser yyp) { return new IfStatement_4(yyp); }
public static object ReturnStatement_factory(Parser yyp) { return new ReturnStatement(yyp); }
public static object Event_2_factory(Parser yyp) { return new Event_2(yyp); }
public static object RotationConstant_factory(Parser yyp) { return new RotationConstant(yyp); }
public static object Statement_12_factory(Parser yyp) { return new Statement_12(yyp); }
public static object UnaryExpression_1_factory(Parser yyp) { return new UnaryExpression_1(yyp); }
public static object UnaryExpression_2_factory(Parser yyp) { return new UnaryExpression_2(yyp); }
public static object UnaryExpression_3_factory(Parser yyp) { return new UnaryExpression_3(yyp); }
public static object ArgumentList_1_factory(Parser yyp) { return new ArgumentList_1(yyp); }
public static object StateBody_2_factory(Parser yyp) { return new StateBody_2(yyp); }
public static object Constant_factory(Parser yyp) { return new Constant(yyp); }
public static object State_factory(Parser yyp) { return new State(yyp); }
public static object Event_13_factory(Parser yyp) { return new Event_13(yyp); }
public static object LSLProgramRoot_factory(Parser yyp) { return new LSLProgramRoot(yyp); }
public static object StateChange_factory(Parser yyp) { return new StateChange(yyp); }
public static object IncrementDecrementExpression_2_factory(Parser yyp) { return new IncrementDecrementExpression_2(yyp); }
public static object GlobalVariableDeclaration_1_factory(Parser yyp) { return new GlobalVariableDeclaration_1(yyp); }
public static object GlobalVariableDeclaration_2_factory(Parser yyp) { return new GlobalVariableDeclaration_2(yyp); }
public static object IncrementDecrementExpression_5_factory(Parser yyp) { return new IncrementDecrementExpression_5(yyp); }
public static object GlobalFunctionDefinition_2_factory(Parser yyp) { return new GlobalFunctionDefinition_2(yyp); }
public static object IncrementDecrementExpression_7_factory(Parser yyp) { return new IncrementDecrementExpression_7(yyp); }
public static object IncrementDecrementExpression_8_factory(Parser yyp) { return new IncrementDecrementExpression_8(yyp); }
public static object Assignment_1_factory(Parser yyp) { return new Assignment_1(yyp); }
public static object Event_21_factory(Parser yyp) { return new Event_21(yyp); }
public static object Event_22_factory(Parser yyp) { return new Event_22(yyp); }
public static object ArgumentList_2_factory(Parser yyp) { return new ArgumentList_2(yyp); }
public static object CompoundStatement_factory(Parser yyp) { return new CompoundStatement(yyp); }
public static object RotationConstant_1_factory(Parser yyp) { return new RotationConstant_1(yyp); }
public static object TypecastExpression_factory(Parser yyp) { return new TypecastExpression(yyp); }
public static object SimpleAssignment_3_factory(Parser yyp) { return new SimpleAssignment_3(yyp); }
public static object SimpleAssignment_4_factory(Parser yyp) { return new SimpleAssignment_4(yyp); }
public static object Statement_1_factory(Parser yyp) { return new Statement_1(yyp); }
public static object Statement_2_factory(Parser yyp) { return new Statement_2(yyp); }
public static object Statement_3_factory(Parser yyp) { return new Statement_3(yyp); }
public static object Statement_4_factory(Parser yyp) { return new Statement_4(yyp); }
public static object Statement_5_factory(Parser yyp) { return new Statement_5(yyp); }
public static object Statement_6_factory(Parser yyp) { return new Statement_6(yyp); }
public static object Statement_7_factory(Parser yyp) { return new Statement_7(yyp); }
public static object Statement_8_factory(Parser yyp) { return new Statement_8(yyp); }
public static object Statement_9_factory(Parser yyp) { return new Statement_9(yyp); }
public static object ExpressionArgument_factory(Parser yyp) { return new ExpressionArgument(yyp); }
public static object GlobalFunctionDefinition_factory(Parser yyp) { return new GlobalFunctionDefinition(yyp); }
public static object State_1_factory(Parser yyp) { return new State_1(yyp); }
public static object DoWhileStatement_factory(Parser yyp) { return new DoWhileStatement(yyp); }
public static object ParenthesisExpression_1_factory(Parser yyp) { return new ParenthesisExpression_1(yyp); }
public static object ParenthesisExpression_2_factory(Parser yyp) { return new ParenthesisExpression_2(yyp); }
public static object StateBody_factory(Parser yyp) { return new StateBody(yyp); }
public static object Event_7_factory(Parser yyp) { return new Event_7(yyp); }
public static object Event_8_factory(Parser yyp) { return new Event_8(yyp); }
public static object IncrementDecrementExpression_1_factory(Parser yyp) { return new IncrementDecrementExpression_1(yyp); }
public static object IncrementDecrementExpression_3_factory(Parser yyp) { return new IncrementDecrementExpression_3(yyp); }
public static object IncrementDecrementExpression_4_factory(Parser yyp) { return new IncrementDecrementExpression_4(yyp); }
public static object IncrementDecrementExpression_6_factory(Parser yyp) { return new IncrementDecrementExpression_6(yyp); }
public static object StateEvent_factory(Parser yyp) { return new StateEvent(yyp); }
public static object Event_20_factory(Parser yyp) { return new Event_20(yyp); }
public static object Event_23_factory(Parser yyp) { return new Event_23(yyp); }
public static object Event_24_factory(Parser yyp) { return new Event_24(yyp); }
public static object Event_26_factory(Parser yyp) { return new Event_26(yyp); }
public static object SimpleAssignment_10_factory(Parser yyp) { return new SimpleAssignment_10(yyp); }
public static object Event_factory(Parser yyp) { return new Event(yyp); }
public static object SimpleAssignment_14_factory(Parser yyp) { return new SimpleAssignment_14(yyp); }
public static object SimpleAssignment_16_factory(Parser yyp) { return new SimpleAssignment_16(yyp); }
public static object Statement_10_factory(Parser yyp) { return new Statement_10(yyp); }
public static object Statement_11_factory(Parser yyp) { return new Statement_11(yyp); }
public static object SimpleAssignment_factory(Parser yyp) { return new SimpleAssignment(yyp); }
public static object Statement_13_factory(Parser yyp) { return new Statement_13(yyp); }
public static object Event_15_factory(Parser yyp) { return new Event_15(yyp); }
public static object Event_16_factory(Parser yyp) { return new Event_16(yyp); }
public static object Event_32_factory(Parser yyp) { return new Event_32(yyp); }
public static object SimpleAssignment_20_factory(Parser yyp) { return new SimpleAssignment_20(yyp); }
public static object SimpleAssignment_24_factory(Parser yyp) { return new SimpleAssignment_24(yyp); }
public static object SimpleAssignment_1_factory(Parser yyp) { return new SimpleAssignment_1(yyp); }
public static object SimpleAssignment_2_factory(Parser yyp) { return new SimpleAssignment_2(yyp); }
public static object BinaryExpression_factory(Parser yyp) { return new BinaryExpression(yyp); }
public static object FunctionCallExpression_factory(Parser yyp) { return new FunctionCallExpression(yyp); }
public static object SimpleAssignment_6_factory(Parser yyp) { return new SimpleAssignment_6(yyp); }
public static object StateBody_1_factory(Parser yyp) { return new StateBody_1(yyp); }
public static object StatementList_2_factory(Parser yyp) { return new StatementList_2(yyp); }
public static object SimpleAssignment_9_factory(Parser yyp) { return new SimpleAssignment_9(yyp); }
public static object BinaryExpression_15_factory(Parser yyp) { return new BinaryExpression_15(yyp); }
public static object BinaryExpression_16_factory(Parser yyp) { return new BinaryExpression_16(yyp); }
public static object BinaryExpression_17_factory(Parser yyp) { return new BinaryExpression_17(yyp); }
public static object BinaryExpression_18_factory(Parser yyp) { return new BinaryExpression_18(yyp); }
public static object Event_25_factory(Parser yyp) { return new Event_25(yyp); }
public static object Event_9_factory(Parser yyp) { return new Event_9(yyp); }
public static object Statement_factory(Parser yyp) { return new Statement(yyp); }
public static object JumpStatement_factory(Parser yyp) { return new JumpStatement(yyp); }
public static object BinaryExpression_11_factory(Parser yyp) { return new BinaryExpression_11(yyp); }
public static object BinaryExpression_12_factory(Parser yyp) { return new BinaryExpression_12(yyp); }
public static object BinaryExpression_13_factory(Parser yyp) { return new BinaryExpression_13(yyp); }
public static object BinaryExpression_14_factory(Parser yyp) { return new BinaryExpression_14(yyp); }
public static object BinaryExpression_6_factory(Parser yyp) { return new BinaryExpression_6(yyp); }
public static object BinaryExpression_7_factory(Parser yyp) { return new BinaryExpression_7(yyp); }
public static object BinaryExpression_8_factory(Parser yyp) { return new BinaryExpression_8(yyp); }
public static object ArgumentList_factory(Parser yyp) { return new ArgumentList(yyp); }
public static object Event_10_factory(Parser yyp) { return new Event_10(yyp); }
public static object ConstantExpression_1_factory(Parser yyp) { return new ConstantExpression_1(yyp); }
public static object Event_12_factory(Parser yyp) { return new Event_12(yyp); }
public static object Event_14_factory(Parser yyp) { return new Event_14(yyp); }
public static object Event_17_factory(Parser yyp) { return new Event_17(yyp); }
public static object Event_18_factory(Parser yyp) { return new Event_18(yyp); }
public static object Event_19_factory(Parser yyp) { return new Event_19(yyp); }
public static object BinaryExpression_10_factory(Parser yyp) { return new BinaryExpression_10(yyp); }
public static object StateEvent_1_factory(Parser yyp) { return new StateEvent_1(yyp); }
public static object VectorConstant_factory(Parser yyp) { return new VectorConstant(yyp); }
public static object EmptyStatement_1_factory(Parser yyp) { return new EmptyStatement_1(yyp); }
public static object TypecastExpression_4_factory(Parser yyp) { return new TypecastExpression_4(yyp); }
public static object TypecastExpression_6_factory(Parser yyp) { return new TypecastExpression_6(yyp); }
public static object TypecastExpression_7_factory(Parser yyp) { return new TypecastExpression_7(yyp); }
public static object FunctionCall_factory(Parser yyp) { return new FunctionCall(yyp); }
public static object Event_27_factory(Parser yyp) { return new Event_27(yyp); }
public static object Event_28_factory(Parser yyp) { return new Event_28(yyp); }
public static object Event_29_factory(Parser yyp) { return new Event_29(yyp); }
public static object ListConstant_1_factory(Parser yyp) { return new ListConstant_1(yyp); }
public static object Event_6_factory(Parser yyp) { return new Event_6(yyp); }
public static object Declaration_1_factory(Parser yyp) { return new Declaration_1(yyp); }
public static object SimpleAssignment_7_factory(Parser yyp) { return new SimpleAssignment_7(yyp); }
public static object ForLoop_factory(Parser yyp) { return new ForLoop(yyp); }
public static object Event_30_factory(Parser yyp) { return new Event_30(yyp); }
public static object Event_31_factory(Parser yyp) { return new Event_31(yyp); }
public static object Event_33_factory(Parser yyp) { return new Event_33(yyp); }
public static object GlobalFunctionDefinition_1_factory(Parser yyp) { return new GlobalFunctionDefinition_1(yyp); }
public static object JumpLabel_1_factory(Parser yyp) { return new JumpLabel_1(yyp); }
public static object IfStatement_factory(Parser yyp) { return new IfStatement(yyp); }
public static object ForLoopStatement_1_factory(Parser yyp) { return new ForLoopStatement_1(yyp); }
public static object ForLoopStatement_2_factory(Parser yyp) { return new ForLoopStatement_2(yyp); }
public static object ForLoopStatement_3_factory(Parser yyp) { return new ForLoopStatement_3(yyp); }
public static object ArgumentDeclarationList_4_factory(Parser yyp) { return new ArgumentDeclarationList_4(yyp); }
public static object ArgumentDeclarationList_5_factory(Parser yyp) { return new ArgumentDeclarationList_5(yyp); }
public static object EmptyStatement_factory(Parser yyp) { return new EmptyStatement(yyp); }
public static object WhileStatement_factory(Parser yyp) { return new WhileStatement(yyp); }
public static object ForLoop_1_factory(Parser yyp) { return new ForLoop_1(yyp); }
public static object Constant_2_factory(Parser yyp) { return new Constant_2(yyp); }
public static object StatementList_factory(Parser yyp) { return new StatementList(yyp); }
public static object WhileStatement_1_factory(Parser yyp) { return new WhileStatement_1(yyp); }
public static object WhileStatement_2_factory(Parser yyp) { return new WhileStatement_2(yyp); }
public static object IdentExpression_1_factory(Parser yyp) { return new IdentExpression_1(yyp); }
public static object States_factory(Parser yyp) { return new States(yyp); }
}
public class LSLSyntax
: Parser {
public LSLSyntax
():base(new yyLSLSyntax
(),new LSLTokens()) {}
public LSLSyntax
(YyParser syms):base(syms,new LSLTokens()) {}
public LSLSyntax
(YyParser syms,ErrorHandler erh):base(syms,new LSLTokens(erh)) {}

 }
}
